some usb_devices fault if usb_suspend enabled

Bug #85488 reported by Clay Weber on 2007-02-16
302
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KDE Graphics
Invalid
Undecided
Unassigned
Linux
Fix Released
Medium
sane-backends
Expired
Medium
xsane
Invalid
Undecided
Unassigned
libusb (Ubuntu)
Undecided
Unassigned
Nominated for Feisty by Emanuel Goscinski
linux-source-2.6.20 (Baltix)
Undecided
Unassigned
linux-source-2.6.20 (Debian)
Fix Released
Unknown
linux-source-2.6.20 (Ubuntu)
Low
Unassigned
Nominated for Feisty by Emanuel Goscinski
linux-source-2.6.22 (Ubuntu)
Medium
Amit Kucheria
Nominated for Feisty by Emanuel Goscinski
sane-backends (Ubuntu)
Medium
brethes
Nominated for Feisty by Emanuel Goscinski

Bug Description

Binary package hint: libsane

In Feisty, using xsane or Kooka, my Canon Lide25 scanner, which uses the plustek backend, does not produce any scanned image, though both gui applications go through the motions (progress dialogs, etc) and produce a black preview. Using the command line 'scanimage' does produce a scan correctly

The scanner works correctly in Edgy.

Fix= disable "usb selective suspend/resume' in linux-source

ProblemType: Bug
Date: Thu Feb 15 22:27:27 2007
DistroRelease: Ubuntu 7.04
Uname: Linux feisty 2.6.20-8-generic #2 SMP Tue Feb 13 05:18:42 UTC 2007 i686 GNU/Linux

CVE References

Hi :-)

I have a Canon LiDE 25 scanner, woking perfectly with sane-backends-1.0.17. After an upgrade to version 1.0.18 (Gentoo
release 1.0.18-r2), the scanner didn't work anymore; other people also experienced problems with other scanners (see
http://forums.gentoo.org/viewtopic-t-506227.html -- German).

sane-find-scanner lists the scanner anyway, but scanimage -L didn't work anymore.

After a downgrade to version 1.0.17, everything works as expected again.

Greetings, Tobias

Reproducible: Always

Steps to Reproduce:

I am not sure what I can do about this, but I will check the source differences and sane CVS as soon as I find some time (which is quite a problem at the moment).

About the forums thread:
Sorry, but sane-backends 1.0.18 has been in ~x86 since july 2006 and in x86 since september. Since no developer has all the hardware I have to rely on user feedback. This is the first time I am told about such problems with .18.

They just didn't report a bug, as the downgrade worked for them ;-) I don't know if dev-libs/libusb-1.1.11 matters (as reported on the forums), as just downgrading sane-backends worked for me. I also reported this bug on the SANE bugtacker: https://alioth.debian.org/tracker/index.php?func=detail&aid=304426&group_id=30186&atid=410366

Hi,

I have another possible solution to the problem:

My LiDE 25 worked again after removing the kernel-option "Device Drivers - USB Support - USB selective suspend/resume and wakeup". The problem appeared with gentoo-sources-2.6.19.

Other versions:
libusb 0.1.12
sane-backends 1.0.18-r2

barbobot (deadlyh) wrote :

I am also experiencing this problem.

Bus 001 Device 011: ID 04a9:2220 Canon, Inc.
(While it's device ID is well known, I think it's worth note here)

sane-backend uses the plustek driver for this particular scanner.

yostral (y-o) wrote :

Same here, with a canon lide 30 :

Bus 001 Device 009: ID 04a9:220e Canon, Inc. CanoScan N1240U/LiDE 30

It's recognized, but doesn't work at all. Nothing is previewed and nothing is scanned.

This scanner works perfectly with dapper and edgy.

echazare (elie-chazarenc) wrote :

Same here, with a canon lide 20 :
Bus 003 Device 002: ID 04a9:220d Canon, Inc. CanoScan N670U/N676U/LiDE 20
It's recognized, but doesn't work at all. Nothing is previewed and nothing is scanned.
This scanner works perfectly with dapper and edgy.

etx90 (bruno-germain5) wrote :

Same problem with a Canon Canoscan N656U.

This scanner : works fine with MS Windows
                       makes a lot of noise and does not scan anything with Edgy
                       seems to be recognized with Feisty (herd5), but nothing is previewed nor scanned.

I'm using Xsane under Edubuntu and Omnipage under XP.

Fabio Marzocca (thesaltydog) wrote :

I confirm this bug in Feisty (xsane was working perfectly with all previous ubuntu versions).

Bus 001 Device 002: ID 04a9:220e Canon, Inc. CanoScan N1240U/LiDE 30

lebouvier (seb-video) wrote :

i confirm this bug too in feisty. i've got a Canon lide 30 who works perfectly under dapper and edgy but since Feisty it doesn't work at all.

Changed in sane-backends:
status: Unconfirmed → Confirmed
importance: Undecided → Medium

Same here with a canon Lide25 and plustek backend.
There appears no errors so that all seems ok but the scanner doesnt scan and a black picture appears in the end.

max63 (max-maxbase) wrote :

Same for me with a LIDE25 too, the scanner doesn't work just scan a black page.

Lemmit Kaplinski (lemmit) wrote :

Same here with Lide 25.

Additionally the scanner was not recognized by udev and I had to add the following to /etc/udev/rules.d/45-libsane.rules:
# Canon CanoScan N670U/N676U/LiDE20
SYSFS{idVendor}=="04a9", SYSFS{idProduct}=="2220", MODE="664", GROUP="scanner"

Thom Pischke (thom-pischke) wrote :

Same here. Canoscan n1240u. Worked fine in Edgy. In feisty, it pretends to work, but does not actually scan, just produces a black page.

scanimage via command does work however.

Clay Weber (claydoh) wrote :

I wonder if it is a kernel/udev/hal issue as it seems that the libsane version is the same in Edgy and Feisty

http://bugs.gentoo.org/show_bug.cgi?id=165315#c3

Thom Pischke (thom-pischke) wrote :

Also tried with gnomescan. Exact same behavior. It pretends to scan, with a progress bar and everything, but the scanner itself doesn't even make a peep.

Booted windows and made the scan with no problem, so no issue with the scanner.

Clay Weber (claydoh) wrote :

From the gentoo bug listed above
http://bugs.gentoo.org/show_bug.cgi?id=165315#c3
I compiled a kernel with the 'USB selective suspend/resume and wakeup' disabled, and it does fix this issue in kooka, xsane and xscanimage. The option is marked as experimental

Should I file a bug on linux-source package?

Clay Weber (claydoh) on 2007-03-21
description: updated
description: updated
Ben Collins (ben-collins) wrote :

Unfortunately this option needs to remain enabled so that a good chunk of other users can have suspend/resume, which ultimately is more important than a working scanner.

Hopefully someone sooner or later will fix this properly.

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Low
status: Unconfirmed → Confirmed
Changed in sane-backends:
status: Unknown → In Progress

Bug is confirmed in Ubuntu Feisty with a Canon N1240U Scanner. The scanner is recognized when plugged in ("dmesg" and "lsusb" list it correctly), but scanning with any GUI (xsane, gnomescan or from within GIMP) is not possible. Using "scanimage" from the command line works, but even that sometimes needs a kick off by first invoking "sane-find-scanner" and then "scanimage -L". After that, the scanning starts smoothely.

Until the kernel/sane problems are solved I propose a small workaround. Edit the file .bashrc in your home directory and add the following alias (everything on one line, modifications of are up to you):

alias scan='scanimage --format tiff --resolution 300 -x 215 -y 297 > ~/Desktop/scanned_image'

From now on you can scan an image by simply typing "scan" in the command line. The file will be saved as TIFF with a resolution of 300 dpi as scanned_image to your Desktop. And dont' forget: If it doesn't scan, you have to try "sane-find-scanner" and/or "scanimage -L" first. Good luck!

I have the same problem with my Canon Lide 20!

Here the Scanner works with the original Feisty Herd5 Iso release(kernel 2.6.20-9 without any updates) but stopped working after applying all updates incl. kernel 2.6.20-12. A reboot with the kernel 2.6.20-9 after applying the updates, don't solved the problem.

So i think that the problem is not only caused by that (USB selective suspend/resume) kernel option!

Ian (superian) wrote :

And another confirmation. Canon LiDE 20, recognised (although not quickly) but that's about it.

Ben said "which ultimately is more important than a working scanner". Well, it depends who has the scanner :) and I'd be surprised if this is the only USB peripheral that's been broken.

My current workaround is to reboot to an earlier live CD and save to a memory stick, but I'll give the other suggestions a go.

renbag (renbag) wrote :

I noticed the same problem with a HP ScanJet 4070 (hp3900 backend) and with an Epson Perfection 1260 (plustek backend). The scanners were perfectly workig in edgy with xsane.

Ulisse (ulipo) wrote :

Canon LiDE25 on Feisty, same as above.
Scanning thru command line works.

Jorge Castelao (jcastelao) wrote :

The same problem with a Canon LiDE30 (Bus 002 Device 008: ID 04a9:220e Canon, Inc. CanoScan N1240U/LiDE 30). It works properly under Dapper and Windows, but not under Feisty fully actualized.

confirmed for Feisty with all updates (29.3.07) or from Live-CD:
Canon N650U doesn't work.
Same machine with edgy works out of the box.
Is anyone working on this?
I need a working scanner more than suspend/resume...

As I was informed, the USB_SUSPEND seems to be needed for many people to be able to suspen/resume their laptops, and there are a *lot* of laptops out there these days. I think it has to be fixed in the sane code, not in the kernel, but there are not enough entries in Sane's bug reports/mailing lists

Maybe adding to the existing bug report there might get some attention?
https://alioth.debian.org/tracker/?group_id=30186&atid=410366&func=detail&aid=304132

Dean Loros (autocrosser) wrote :

Same problem as above--Command-line "fix" works (but not a answer). scanimage -L & lsusb below.

dean@linux:~$ lsusb
Bus 006 Device 001: ID 0000:0000
Bus 007 Device 001: ID 0000:0000
Bus 005 Device 001: ID 0000:0000
Bus 005 Device 002: ID 06a3:8021 Saitek PLC
Bus 003 Device 002: ID 0803:9700 Zoom Telephonics, Inc. 2986L FaxModem
Bus 003 Device 001: ID 0000:0000
Bus 008 Device 001: ID 0000:0000
Bus 008 Device 002: ID 04f9:0029 Brother Industries, Ltd
Bus 004 Device 002: ID 04a9:220d Canon, Inc. CanoScan N670U/N676U/LiDE 20
Bus 004 Device 001: ID 0000:0000
Bus 001 Device 005: ID 07d0:1106 Dazzle
Bus 001 Device 002: ID 0c0b:2bcf Dura Micro, Inc. (Acomdata)
Bus 001 Device 001: ID 0000:0000
Bus 002 Device 002: ID 059f:0202 LaCie, Ltd
Bus 002 Device 001: ID 0000:0000
dean@linux:~$ scanimage -L
device `plustek:libusb:004:002' is a Canon N670U/N676U/LiDE20 USB flatbed scanner

llimaa (llimaa) wrote :

@Clay Weber: In Debian Etch it works fine and iirc it's even the same xsane version as in ubuntu feisty. So the problem cant be the xsane code! But maybe depends of compilation options or something else.

Dean Loros (autocrosser) wrote :

I am wondering how this is to be resolved then. Scanimage works, but Xsane won't. What information do you need to help find the error?

Clay Weber (claydoh) wrote :

@ llimaa, as I noted, if you compile a kernel without USB_SUSPEND, it works fine. and as Ubuntu kernel dev Ben Collins also noted, this option is needed for laptop suspend/resume, so either libusb or sane-backends/xsane/kooka/quiteinsane/etc needs to be patched somehow to resolve this. And as i don't see *all* scanners broken, I am guessing this may need to be done for each sane backend (driver) that is exhibiting these issues. Easier than kernel/libusb hacking I am sure.

I have lost the link, but I did find that someone had determined that the scanners were being set to 'sleep' much too quickly so the scanner never even starts, or for those that do, it stops before finishing its path

now to see if i can find where I discovered that information.......

Clay Weber (claydoh) wrote :

@ Dean Loros;
I really have no idea, no one with the technical knowledge has afaik responded to any of the bugs in sane's bug tracker, and only one response in their mailing list.

Dean Loros (autocrosser) wrote :

So this seems to be a problem with interaction of some of the sane backends & hal/udev/USB_SUSPEND. Looks like some of the backends need to access USB "differently".

Dean Loros (autocrosser) wrote :

I just got some information from sane-development-list

Subject: Re: [sane-devel] LIde 20 scanner & kernels newer than
 2.6.20-9 (snip)

I'm using backend with no problems in kernel 2.6.20 disabling such
option. Most backends use libusb to establish communitation between device
and PC. Libusb doesn't provide functions to check that condition. May be
I'm wrong but If it's not a kernel problem (USB_SUSPEND is yet experimental)
I think that problem must be fixed in libusb libraries.

Jonathan Bravo

I an going to file this with libusb & point to this bug.

renbag (renbag) wrote :

I have recompiled the ubuntu feisty kernel disabling the 'USB selective suspend/resume and wakeup' option, but in my case the problem remained. With my HP ScanJet 4070 (hp3900 backend) xsane freezes while triyng to find the device. xscanimage, instead, works if the correct device name is supplied.
I then used strace to see what happens with xsane and found that it was continuosly writing to /dev/parport0:

...
open("./geniusvp2.conf", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/etc/sane.d/geniusvp2.conf", O_RDONLY) = 6
fstat64(6, {st_mode=S_IFREG|0644, st_size=877, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7329000
read(6, "# geniusvp2 backend configuratio"..., 4096) = 877
read(6, "", 4096) = 0
close(6) = 0
munmap(0xb7329000, 4096) = 0
open("/dev/parport0", O_RDWR) = 6
ioctl(6, PPCLAIM, 0x825a1c8) = 0
ioctl(6, PPGETMODES, 0xbf98baac) = 0
ioctl(6, PPWCONTROL, 0xbf98ba80) = 0
ioctl(6, PPWDATA, 0xbf98ba80) = 0
...
ioctl(6, PPWDATA, 0xbf98ba80) = 0
ioctl(6, PPSETMODE, 0xbf98ba80) = 0
write(6, "\0", 1) = 0
write(6, "\0", 1) = 0
...
write(6, "\0", 1) = 0
write(6, "\0", 1) = 0
write(6, "\0", 1 <unfinished ...>

Finally I found that removing the 'ppdev' kernel module (rmmod ppdev) solved the problem.
This module was not automatically loaded in edgy, but I have read that it has been introduced in feisty to allow automatic detection of parallel printers.
I tried this also for an Epson Perfection 1260 (plustek backend) and it works too.
So maybe that the problem is not the 'USB selective suspend/resume and wakeup' option but the 'ppdev' kernel module.

Clay Weber (claydoh) wrote :

disabling ppdev didn't help in my case. On my canon LiDE25 9plustek, it does let e get a preview scan (as it would on occasion let me) but the scan head does not return all the way (also as would do when it would actually scan) and on a second scan attempt, it would do the ususal.

What specific command can I run, and where do I look do get strace results for comparison?

Dean Loros (autocrosser) wrote :

I also tried disabling ppdev with no positive result. It seems like there are several problems with the backends, depending on which one you need/use.

Renzo--I would think that you should open a seperate bug for your problem, and link it to this bug. I am hoping that with enough problems, we will get some "love".

renbag (renbag) wrote :

I used this command to get a strace dump: 'strace xsane 2&> dump.txt'
If it hangs you have to kill the process, otherways it will continue to write to the dump file.

I have also replied to another bug which was already reported for an Epson Perfection scanner:
https://bugs.launchpad.net/ubuntu/+source/sane-backends-extras/+bug/88672/

Same issue with my LiDE 30, however downgrading sane-backends didn't fix it. Fixed after removing `USB selective suspend/resume and wakeup' as suggested by Achim Strobelt above. My kernel is 2.6.20.4, libusb 0.1.12.

ianrose (ian-themagictree) wrote :

Bug still here on a LiDE20 - hopefully this will be fixed (or a workaround found) by release. Feisty supported ALL my hardware nicely up until the last few weeks, unlike Dapper and Edgy, so it's a bit heartbreaking to see another bit of my hardware support dropping away :(

howtoforums.net (jbaloul) wrote :

Same problem here...this is a very painful showstopper...we have multiple Cannon LiDE scanners in our organization and we cannot upgrade due to this issue.

Please help fix this before release,

Thanks,
Jacob

Thomas (thomas-pabst) wrote :

Hi,

I have the same thing here, with my canoscan lide 25.
Bus 002 Device 011: ID 04a9:2220 Canon, Inc.
is it this bug fix before release

kervel (frank-dekervel) wrote :

same problem here, with LIDE 30, and indeed scanimage cmdline works fine. i understand it is a kernel/libusb issue, but i wonder why the commandline version manages to scan.

Arthus42 (arthus42) wrote :

I have the same problem and switch backed to Edgy Eft. I´ll hope they fixe the problem, otherwise i don´t want to change to feisty wich seems to be good.

ianrose (ian-themagictree) wrote :

The kernel has gone from 2.6.20-14 to 2.6.20-15, but this regression is still unfixed - like a large number of people I bought this hardware specifically due to its mature support under linux. I don't really understand why experimental suspend/resume functionality for laptops should be allowed to break support for scanners attached to desktop machines - is it not possible for the installer to detect laptop/desktop initially, and install laptop-specific stuff like this (and NetworkManager!) only for laptops?

ianrose (ian-themagictree) wrote :

Workaround to enable GUI tools:
I can use the command line workaround mentioned earlier, but it isn't acceptable for the rest of my family. I have written a short shell script that "prods" the scanner every second and stops after around 15-20 minutes. This enables the standard GUI scanner utitlities (Kooka and so on) to work. Apologies for the quality of the solution, as I am far from a skilled technical type, however I don't think anyone is likely to sort this problem out so close to release.

1. Find the device using "lsusb":
for me:
Bus 001 Device 004: ID 04a9:220d Canon, Inc. CanoScan N670U/N676U/LiDE 20

so my scanner is on bus 001, device 004 - these numbers are used in the "wake-up" script as follows:

#!/bin/sh
echo "prodding scanner begins ..."
         for i in `seq 1 1000`;
        do
cat /dev/bus/usb/001/004 > /dev/null
sleep 1
        done
echo "scanner is now having a nice rest..."

save the above as "scantouch.sh". Activate the script by typing "sh scantouch.sh" - while the script is running (around 17 minutes max), the GUI scanner utilities can be used. Thanks to this horrible hack, my wife is able to get on with her work, and my ears no longer ring!

Warning: This worked for me, it might not for you, it might not be safe, there are surely better ways of doing this.

@ ianrose: thank you for the script, it works for me.

By the way: Is anybody working on this issue?
The affected scanners are very popular because, they are cheap, small and of good quality. I really can´t promote ubuntu, knowing that those scanners doesn`t work.
And looking forward to bug #1 this is a very critical issue.

Greetings emu

Christian González (droetker) wrote :

I am using ubuntu on my laptop, but having my scanner working is MUCH more necessary than having a working suspend/resume function.
Si I agree with ianrose.
please, please fix this.

Clay Weber (claydoh) wrote :

The script does work for me with my LiDE 25, but only for one scan, the lamp does not return fully after the scan, and the scanner does its pretend scanning. I have to restart xsane. It is an improvement at least.

rubengs (rgarcia-cucea) wrote :

Same problem, last kernel and libusb updates (until 15/04/07) not fixing the problem. Canon Lide 25 just gets a black screen in Xsane for the preview window.

Joel Berger (hikari-lp) wrote :

I've got an N1240U/LiDE30 with the same problem as Clay above: the workaround script works for one scan, but gets the black output afterward.

For those who are able to get more than one scan, I took a page from ianrose and wrote a wrapper script that will continue to poke the scanner port as long as xsane (or the tool of your choice) is alive:

#!/bin/bash
# plustek-wrapper: finds a plustek USB device and keeps it alive while the
# wrapped program is running.
# Joel Berger <hikari (at) yumemiru (dot) org> 2007-04-15

# Requires:
# sane-utils (scanimage)
# sed
# gawk

# Detect device and store as $SANE_DEVICE
SANE_DEVICE=$( scanimage -L | \
                grep plustek | \
                sed 's/^.*plustek/plustek/' | \
                sed "s/' is a.*//" | \
                awk -F : '{print "/dev/bus/usb/" $3 "/" $4}'
             )

if [ $SANE_DEVICE ] ; then
  $* &
  CHILD_PID=$!
  while ps -p $CHILD_PID > /dev/null; do
    cat $SANE_DEVICE > /dev/null
    sleep 1
  done
else
  # If no plustek device is detected, bail out and run the program normally.
  exec $*
fi

Dean Loros (autocrosser) wrote :

Just updated to the new 20-15.27 kernel, still can not scan. Problem remains the same, no change.

this bug also hit me with a Epson Perfection 2480 Photo scanner.
Communication was interrupted over and over, and I had to wait 20-30 secs to get a preview scan, which worked, but the real scan did not (in 1 out of 20 cases I had luck and it did).
Only building a custom kernel without usb-sleep and (for safety, don't know if this was also part of the problem) without ppdev helped.
If this bugfix cannot make it into Feisty, the issue should be made very clear (=Release Notes) and an appropriate solution should be suggested IMO.

The workaround proposed by Joel Berger works perfectly for me (CanonScan Lide30).
Thanks, Joel.

Arthus42 (arthus42) wrote :

Hello Joel

scanimage -L & lsusb gives me the following information

hans@kubuntu:~$ scanimage -L & lsusb
[1] 11713
Bus 005 Device 002: ID 04a9:2220 Canon, Inc.
Bus 005 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 002: ID 04a9:1072 Canon, Inc. I850 Printer
Bus 003 Device 003: ID 046d:0b02 Logitech, Inc.
Bus 003 Device 001: ID 0000:0000
Bus 003 Device 005: ID 046d:c70a Logitech, Inc.
Bus 003 Device 004: ID 046d:c70e Logitech, Inc.
Bus 002 Device 005: ID 0dda:2026 Integrated Circuit Solution, Inc.
Bus 002 Device 004: ID 04b4:6560 Cypress Semiconductor Corp. CY7C65640 USB-2.0 "TetraHub"
Bus 002 Device 002: ID 04b4:6560 Cypress Semiconductor Corp. CY7C65640 USB-2.0 "TetraHub"
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000
hans@kubuntu:~$ device `plustek:libusb:005:002' is a Canon LiDE25 USB flatbed scanner

also i thought i can use your script for working , i named it scanner2 , but wgen i test it with sh -x scanner2 if got the message can´t open scanner2 .
i test it as user and as root, can you help me, where is my mistake

I can confirm the bug in Ubuntu Feisty Fawn, fully updated. But Joels workaround works perfectly, thanks :)

My scanner is: device `plustek:libusb:002:005' is a Canon N1240U/LiDE30 USB flatbed scanner

Joel Berger (hikari-lp) wrote :

@ all:

Thank ianrose for the idea of the script; I just liked the idea and wanted a single-command solution (something that could be called easily from a GUI). Also, in case it's non-obvious, the syntax is plustek-wrapper <command>, just as you'd use sudo. Finally, if anyone's got superior regex-fu to mine, feel free to convert that mess for setting $SANE_DEVICE into something more graceful. I've just never had much luck with backreferences in sed. Oh, and don't forget that the script is still just a workaround and I think it'll be better for us all in the long run to deal with this upstream (e.g. most likely the SANE developers) in the interest of a real fix.

@ Arthus42:

The only cases in which I could reproduce that error were for cases where the file as specified didn't exist (remember that sh <file> doesn't honor $PATH) or the user trying to run the script didn't have read permission to the file. So that's where I'd troubleshoot first.

Joel Berger (hikari-lp) wrote :
Thom Pischke (thom-pischke) wrote :

Just checked the upstream bug link. It hasn't even been assigned to anybody and is priority 3, which seems pretty low. If that really is the source of the problem, it's probably a good idea if those posting to this issue also post to the upstream issue. Otherwise it doesn't look like it's going to get fixed anytime soon.

nordkurve5 (1mrmk) wrote :

I can confirm the description from Clay Weber with Ubuntu 7.04 and a Lide20, but without any workaround. Lide60 works as usual.
By the way scanimage also gets no reaction from my Lide20.

Dean Loros (autocrosser) wrote :

This from Sane-development-list:

Message: 3
Date: Mon, 16 Apr 2007 17:12:20 +0200
From: JKD <email address hidden>
Subject: Re: [sane-devel] Scanning produces black images
To: <email address hidden>
Message-ID: <email address hidden>
Content-Type: text/plain; charset=us-ascii

El Mon, 16 de Apr de 2007, a las 02:50:01PM +0200, Gerhard Jaeger dijo:
> > On Montag, 16. April 2007, JKD wrote:
> > [SNIPSNAP]
>>> > > > This is also an issue with the Plustek backend, reported by various
>>> > > > Ubuntu and Gentoo users. As already stated by PhobosK, the problem is
>>> > > > the kernel option CONFIG_USB_SUSPEND. This in deed is needed for laptop
>>> > > > users. It is currently marked as "experimental" but already used by various
>>> > > > distros.
>>> > > >
>> > >
>> > > That was my first thought. But if it's a kernel problem neither xsane
>> > > nor scanimage would scan successfully. And in two different compilations of
>> > > hp3900, ubuntu's one fails and my last compilation works.
>> > >
>>> > > > I think the problem really is, that libusb does not know anything about that
>>> > > > suspend stuff and therefore we have more or less no possibility to wakeup
>>> > > > the port, where the scanner is connected to.
>> > >
>> > > I think you're right. But may be libusb is already updated in debian
>> > > unstable. That would explain that my compilation works in ubuntu and
>> > > library provided by ubuntu in libsane-extras package doesn't. So my
>> > > conclusion would be the same. Backends need to be compiled against
>> > > current version of libusb.
> >
> > Could you please check which version of the libusb you/they use?

Debian:
 libusb-0.1-4 0.1.12-6
 libusb-dev 0.1.12-6

Ubuntu:
 libusb-0.1-4 0.1.12-2
 libusb-dev 0.1.12-2

>>> > > > One thing that could be observed: In all cases, scanimage works fine - guess
>>> > > > this is because it never closes the port until the scan process is done.
>> > >
>> > > I'm confused. Why should exist any difference between scanimage and xsane when
>> > > both frontends use the same SANE API to access usb scanners?
> >
> > Guess it's the workflow. When you call scanimage, then the scanner is openend,
> > detected, configured, scanning is done, closed.
> > XSane tries to open and detect, then closes a device. Then then scan is done
> > upon request. And I think after the first close, the device (or the port) will
> > be suspended.

I've compiled SANE backends in ubuntu. Instead of installing all project
I've just overwritten libsane-hp3900.la and libsane-hp3900.so.1.0.18 in
/usr/lib/sane with the ones generated in this compilation and xsane
works retrieving scanned image without problems.

Jonathan Bravo Lopez

Dean Loros (autocrosser) wrote :

What it looks like is that some of us should download/install Debian's libusb to see if this "fixes" the problem---I will as soon as I get home from work (writing this as I get ready to goto work) so I will be doing this in about 12 hours. I will report as soon as I have more info.....

yostral (y-o) wrote :

Tried to install Debian's libusb (libusb-0.1-4 0.1.12-6), but nothing new... still nothing happens.

Dean Loros (autocrosser) wrote :

Well, that's not a big suprise.... I guess that
i'll recompile the backend with the updated libusb stuff. As soon as
I get it done, I'll post the results.

Dean Loros (autocrosser) wrote :

I was not sucessfull with a recompile, my guess is that the Plustek backend needs more to work.

It is more low-level of a problem, as the snapscan backend is affected too (BenQ 640BU).

Fenix-TX (jesusvpct) wrote :

My EpsonDX5000 is not working on Feisty, on Edgy was working well...i hope a fix soon!!!

cyber_rigger (cyber-rigger) wrote :

Same here with a LiDE25. I did an upgrade from Edgy to Feisty with 'Update Manager'.
This sanner worked fine with Edgy.

Here's the problem with Feisty using xsane:

1. Xsane starts OK
2. Xsane appears to recognise the scanner as LiDE25.
3. When I click 'Acquire preview' there is about a 30 second pause
4. The preview fills with black as if it were scanning (about 20 seconds)
5. During the preview the scanner head in the scanner does NOT move, no lights come on
6. When I click 'Scan' (full page scan) there is another 30 second pause
7. The scan progress bar, 'Receiving RGB data', indicates that there is scanning (about 20 seconds)
8. The scanned image is dark grey (maybe autoadjusted black?)
9. During the "scan" the scanner head in the scanner does NOT move, no lights come on

10. When I set the boundary box to scan a small area I get (an expected) faster "scan" time but I stll get the 30 second delay before
11. The "scanned" image is still dark grey
12. The scanner head in the scanner still does NOT move and no lights come on

Xscanimage behaves in a similar fashion.
Xscanimage recognises this scanner as plustek.

der_vegi (m-may) wrote :

same here, feisty final on amd64. my scanner is a canon lide 20.

scanning with scanimage (sane-utils) works for me.

cyber_rigger (cyber-rigger) wrote :

With the same LiDE25/computer I was also able to get successful scans with scanimage (from the sane-utils package).

To scan an image into the file image.pnm I used this:
scanimage > image.pnm
This resulted in a small scanned area from the corner.

To get a full page scan I used the -x and -y switches:
scanimage -x 215 -y 297 > image.pnm

I also tried 'quiteinsane' but it too failed like xsane and xscanimage.

I consider this bug important enough to keep me from upgrading the rest of my machines.
(Otherwise, great job with Feisty!)

Kev (kev-wamrfixit) wrote :

Gee, thanks guys, I just threw my Canon 1240u in the bin because it wasn't working! Good work.

ubunovi (weber-klaus) wrote :

Hello out there,
my LIDE 20 doesn't work as it does with edgy. Same stuff like above: with XSANE: itchy noises but no image, with scanimage: noise and image. For all other manners: I love feisty! Really good work! Thanx

fsando (stfs) wrote :

This is also a problem with agfa 1212u - which worked perfectly in edgy

SpookyGhost (francesco-g) wrote :

Confirm problem with agfa 1212u and feisty, with edgy worked fine.

Superkatze (superkatze) wrote :

I have an Agfa SnapScan 1212U too and the LED of the USB-port it is connected to just blinks.

cyber_rigger (cyber-rigger) wrote :

It appears to be some problem with initializing the scanner.

I was playing around with scanimage then immediately afterwards I tried xsane.

Xsane accidentally worked for one scan.

I have not been able to reproduce it.

Dean Loros (autocrosser) wrote :

As noted above, libusb is the suspect in this case. USB port is going to "sleep" before the scan can be finalized.

fsando (stfs) wrote :

Confirming the problem with agfa snapscan 1212u - worked perfectly in edgy

dd (paagol) wrote :

Feisty Fawn: Cannon Lide20 is not working. The xsane is starting
fine. It is showing all component windows of the xsane frontend in
perfect order. But, it is not working. When I click the 'Preview' or the
'Scan' it is starting in usual manner, and after some time generating a
blank black image. Not that they are not working. They are working: but
generating blank black images.

t2000kw (donhellen) wrote :

This does not work on my system either, using a Canon LIDE 25 scanner. If suspend/resume cannot function together with useable scanner drivers, how about a way to choose one or the other for now until the bug can be fixed?

Is it worth learning how to recompile a kernel to fix this, and would it fix this problem if we didn't need suspend/resume???

Superkatze (superkatze) wrote :

Recompiling is no option either.

What we need is a proper fix and we need it soon.

And change the priority of this bug to high.

Thinking about going back to SuSE 10.2 :-(

Lionel Duval (fennec) wrote :

I confirm the problem of black preview/no movement with a Canon Lide 25. Really hope a fix very soon, as soon as I am not a devel.

t2000kw (donhellen) wrote :

If I could figure out how to get my Canon i850 printer to work properly under Suse 10.2 Linux, I would go back, but there seems to be no way to get the Pixus driver installed, or at least installed in a way I can figure out how to use it. I have the apt-get commands for Debian based Linux distros and it works for this just fine. I will need the Canon LIDE 25 scanner sooner or later, so I'll have to make the switch sooner, before I need it.

Is there a way to use a kernel from another distro or are they all broken now? in other words, is even Suse broken in the latest incarnation of their distro?

Thanks!!!

Donald

jwrooker (guitarz) wrote :

Confirming the problem with Feisty and LIDE 30. Works fine in Fedora Core 6.

hirse (christian-weichhard) wrote :

Also the same problem with up-to-date (2007-04-22) feisty and Canon N650U. Please fix in some way. The workarounds help. If you need a GUI, you can use "gscan2pdf", works fine.

t2000kw (donhellen) wrote :

Using an application called "scanner utility" I was able to successfully scan at 96 dpi with my Canon LIDE 25. When I tried about 600 dpi it wouldn't work but appeared to be working in the application, showing some progress in the status bar.

The utility is quite limited, and it only saves the file in a graphics file format.

But this utility can apparently keep the port open long enough to do a low res scan. Maybe this will be helpful to someone.

t2000kw (donhellen) wrote :

The utility I mentioned previously does not like to close when finished.

Dean Loros (autocrosser) wrote :

As reported elsewhere---gscan2pdf (from sourceforge) will scan with a GUI. I added the gscan repository to apt:
deb http://gscan2pdf.sourceforge.net/download/debian binary/

then used Synaptic to install with all the depends except sane (sane frontend). this software works very well & looks to be a great workaround until Xsane is fixed. (I think that I'll be keeping it because of the availablilty to create pdf's) ;)

t2000kw (donhellen) wrote :

FYI--if you experiment with this, you can use the Xkill application from within a terminal window to close the unruly window.

rwkraemer (rwkraemer) wrote :

I had also the USB SUSPEND Problem with my Epson Perfection 1260/Photo Scanner. I recompiled the Kernel and now it is working. While recompiling I found out, that the USB SUSPEND Funktion is still experimental. I think it should be deaktivited, there are to many Problems with it. I think it should only be aktivated when the Problem is fixed. Many People have Scanners, which now do not work any more. Not every User can recompile a Kernel to fix this Problem.

t2000kw (donhellen) wrote :

I tried gscan2pdf but the application from the link is missing some packages, according to an error message I got. Not sure where to get these things--I thought when a package was chosen all of the associated packages were brought along with it???

Anyway, it doesn't know my scanner exists, so there's not much I can do with it in this state.

As for disabling the USB Suspend in the kernel, can you give me a few pointers on where to disable this when I'm recompiling the kernel (what module to look for it under, etc.)?

I think I can get the information needed on how to recompile somewhere in a book I have or online.

Of course, if you wish to offer a step-by-step here you can do so, but I think it would be rather long.

Dean Loros (autocrosser) wrote :

Edit your apt sources.list <code> sudo gedit /etc/apt/sources.list

and add these lines:
#Gscan2pdf
deb http://gscan2pdf.sourceforge.net/download/debian binary/

save & close.....then start Synaptic & update.
Search for gscan2pdf, then highlight it/right click & add all depends EXCEPT sane. return & download.

I guess because it's a #rd party program, the depends don't come up except with a "prompt"

Hope this helps--I've posted on the forums also.....

t2000kw (donhellen) wrote :

How do I find and get rid of Gscan2pdf??? It won't work, and it doesn't show up in add/remove programs or in Synaptics package manager.

Dean Loros (autocrosser) wrote :

Added note: I guess that it would have been better to recomend apt-get to get it-Apt-get would recomend the extra stuff to get the software working--just don't add sane unless you un-install xsane.....

Clay Weber (claydoh) wrote :

As the kernel config option does not look to be going away (there are plenty of so-called experimental kernel options that are in just about every distro's version) as laptop support is deemed more important, and i tend to concur, even though I don't have a laptop. Becausr this problem does not effect all scanners, just plustek-based ones as far as I can see, the plac this needs to be fixed is imo in the plustek backkend, as all that needs to be done it seems is to have the plustek backend keep the usb device 'awake'.

If so, I wonder if it is a good idea to register bug reports on sane's bug tracker as well?

It is *not* a problem of the specific backend, as the snapscan backend (as I already stated) is affected too. It looks like a bug in libusb instead, which doesn't handle usb suspend correctly.

Christian González (droetker) wrote :

I have the Canon N650U that doesn't work - but I must say that my suspend/resume function doesn't work very good either.
So im very unhappy with this implementation in feisty.
(FJS Amilo Pa1538)

Dean Loros (autocrosser) wrote :

I just got the current message list from sane-development-list & saw this message:

Message: 8
Date: Mon, 23 Apr 2007 09:20:19 +0200
From: Gerhard Jaeger <email address hidden>
Subject: Re: [sane-devel] scanner
To: <email address hidden>
Message-ID: <email address hidden>
Content-Type: text/plain; charset="ansi_x3.4-1968"

On Sonntag, 22. April 2007, JKD wrote:
> > El Sun, 22 de Apr de 2007, a las 11:13:15AM +0200, guido dom dijo:
>> > > There must definitively be something fundamenally wrong with Feisty if such
>> > > a number of users are experimenting problems with their scanner (Iam too
>> > > with a canon N670U that is recognised but does not start).
>> > >
>> > > Both SANE and UBUNTU should, in my humble opinion, already have reacted with
>> > > a patch or a solution (or an advice to buy another scanner!!!).
>> > >
> >
> > May be it's not a SANE specific problem but kernel's experimental
> > changes and updated libraries that conflict with binary verions provided
> > by Ubuntu, and other distros. At least, testing with a backend (not
> > related to your scanner), the one provided by distro didn't work and
> > the same one compiled from SANE sources in Feisty worked like a charm.
> >
> > So one solution could be to compile SANE against current library versions
> > in each distro and after testing its funtionability, notify maintainers
> > to update their packages.
> >
It is in fact a problem that has been introduced by the kernel-option
CONFIG_USB_SUSPEND (which is marked as experimental). Disable that,
recompile the kernel and the stuff should work. I also got some
success reports, where libusb has been recompiled.

- Gerhard

Dean Loros (autocrosser) wrote :

i have a suggestion. How hard would it be to have TWO kernels---One for desktop unit that have no need for USB_SUSPEND & one for laptops that do? It would be very easy for the user to download the right kernel for his/her use........

Christian González (droetker) wrote :

good workaround. Ubuntu had more than two kernels in Dapper or Breezy if I remember correctly - for i386, i586, k7, k8, so THAT should be not the problem.
But it doesn't solve the problem, neither helps it people who hava just a laptop and want to attach a scanner to it.
Of course they could use the desktop kernel then...
It would be a workaround, good idea in my opinion.
And they could install both kernels, and start the one they need ;-)

matchstich (jaz0977) wrote :

my epson perfection 1200 quit after the update
xsane just hangs, say it searching but that is it
have to force quit to get it to stop

scanimage thru the terminal does the same, just hangs

gimp hangs searching for plugins
the only way to close gimp is to reboot.

the scanner worked ok before the up date, just plugged it in
and it worked.

sane-find-scanner still sees my scanner

exkeks (s-klatt) wrote :

Same problem with LiDE25 on Feisty. Edgy worked fine with that scanner.
Thank you Joel Berger for the workaround!!!

txana (wepman) wrote :

Same here with CanoScan N650U. Yesterday it worked like a charm with Edgy on Dell Laptop. Today it doesn't work after updated to Feisty.

Can't find a workaround valid for me. Maybe with an old kernel version valid for Feisty?

Please someone mark this bug as high priority. People working on image tasks can't wait that long. Thinking on a downgrade to Edgy :(

txana (wepman) on 2007-04-24
Changed in xsane:
status: Unconfirmed → Confirmed
lanig (alainbe) wrote :

I have the same trouble on a Packard-Bell computer and a Epson perfection 1670.
Was working perfectly under edgy, now must be root to find the scanner, then scanimage -L and xane as user will work but sometimes I/O err with scanner.
Works with another computer.

Packard-Bell #lispci

00:00.0 Host bridge: ATI Technologies Inc Radeon Xpress 200 Host Bridge (rev 01)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:12.0 IDE interface: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SB600 SMBus (rev 13)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SB600 Azalia
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SB600 PCI to PCI Bridge
01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200]
02:05.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)

marvin duran (marvinduran) wrote :

Confirmed on ubunty fesity final

Bus 002 Device 007: ID 04a9:220e Canon, Inc. CanoScan N1240U/LiDE 30

Willi (jens-bausa) wrote :

I have the same problems and resolved it just by booting with the latest but one kernel that was automatically installed during the update from Edgy to Feisty. Obviously, the latest but one kerne was not compiled with the USB_SUSPEND-option. Now my Lide 20 works fine again.

If you do not need a kernel feature that is only available in the latest kernel, just boot the latest but one distributed by Ubuntu - no need to recompile your own kernel.

Jens

Lionel Duval (fennec) wrote :

Willi, which kernel are u working with ?

David78 (rouxdv) wrote :

same problem with a Epson Perfection 660 (snapscan)...
but, when I launch Xsane, it freeze on the device choice window, and I was sure it was a freeze, but not.
In fact, if I wait 5 minutes, it finally start and I can scan normally.

and if I don't scan for a long period, it freeze but just for 5 minutes...

perhaps it is possible to make a little daemon that "talk" to the scanner every 2 minutes, avoid it to "asleep" ;-)

David

PS: I've got this in /var/log/syslog, and the timing seems to match with the moment I use Xsane (but my scanner is USB!?):

Apr 26 11:44:44 morpheus kernel: [ 6245.556000] ppdev0: registered pardevice
Apr 26 11:44:44 morpheus kernel: [ 6245.556000] ppdev0: unregistered pardevice
Apr 26 11:44:45 morpheus kernel: [ 6246.300000] ppdev0: registered pardevice
Apr 26 11:44:45 morpheus kernel: [ 6246.348000] ppdev0: negotiated back to compatibility mode because user-space forgot
Apr 26 11:44:45 morpheus kernel: [ 6246.348000] ppdev0: unregistered pardevice

same in kern.log...

ianrose (ian-themagictree) wrote :

I've had to conclude that the developers won't be fixing this one - they are not going to change the kernel build options for anything other than security issues, which this isn't. The time to fix this was during feisty development, by responding to this bug report. Instead the decision was taken to allow some of the best-supported scanners under linux to become broken, balancing that against the benefit elsewhere. Hopefully it was worth it - some kind of response to all these hundreds of bug reports would be nice!

I now have Feisty running, with the latest Nvidia drivers, Beryl, all my hardware (INCLUDING my LIDE-20!) working properly.

How? By enabling edy security repository, installing the 2.6.17-11 kernel, removing the ubuntu Nvidia stuff, adding all the build-essential gcc and so on, then installing the Nvidia drivers (and compiling the kernel modules after stopping kdm), editing xorg.conf. I've had to do all this sort of thing before, but this kind of thing is what I moved to Ubuntu to avoid - certainly not working-out-of-the-box! Oh well, next release will be THE one, I'm sure.

fraz (franz-pfoertsch) wrote :

I also downgraded to 2.6.17-11 kernel and now my epson 1670 works fine with xsane and vuescan.

It is gracy ...

No help from ubuntu?! ...

Martin Paulo (martin-paulo) wrote :

Just been bitten by this one as well. I guess this means I have to return to using Windows. *Sigh*

FrankMayer (fmayer) wrote :

I can also confirm the problem on ubuntu/feisty/i386 with a Canon 670U. Fortunately, the wrapper from Joel Berger and ianrose works perfectly for me.

Although I know that it is a hack (and somehow dirty) it may be worth for everyone to give it a try. Maybe there are extensions possible for those, who experience problems due to the use of non-plustek-drivers.

IMO it stands to reason that kernel-settings in ubuntu are not going to be changed until the next release (except for security-issues of course).

Thanx to Joel and ianrose,
Frank

Fabio Marzocca (thesaltydog) wrote :

A windows user was looking at me while I was trying to scan a page with my Feisty and Canon Lide-30... He went away from my desk laughing aloud...

It's a shame.

Thom Pischke (thom-pischke) wrote :

Just for the record, Joel Berger's workaround didn't work for me. Or rather, it works only for one scan.

I've resigned myself to using scanimage until this gets fixed. This is annoying since I bought this scanner specifically because it would work well on Linux, and it worked amazingly well on edgy. I'm not willing to spend time and energy backpedalling kernels and/or recompiling stuff to get this working, so I hope the Ubuntu team recognizes this problem soon. Even if they don't fix it in Feisty, I'd be willing to risk an early upgrade to Gutsy to get a decent scan GUI back. From the sounds of it, Gutsy will be a stability release anyway, so would be an appropriate place to fix stuff like this.

I haven't tested Feisty yet (unfortunately I have been relying on a LiDE 30 scanner) but as I've followed the progress of this bug I wondered if someone could try rolling the "keep the USB port open" hacks into the scan button daemon http://scanbuttond.sourceforge.net/ That way the hack could be useful in more than one way.

(I have noticed newer versions of xsane such as the one in Edgy have button information in the GUI, which isn't activated on my LiDE 30. But it's possible scanbuttond might interfere with xsane's code somehow.)

Experiencing the same bug. Canon LiDE 30.

Like "Kev" above, I nearly THREW OUT my scanner because I assumed it had taken some sort of fatal blow. It's kind of bizarre that they'd allow this kind of regression to go into the stock kernel. I agree, laptop suspend/resume is important, but Jesus, if you're not going to fix the problem then patch xsane to warn the user or something.

Like I said, more than a kernel issue or a sane issue it's a libusb issue, because it can't handle suspend/resume. Has anyone tried contacting the libusb developers?

To elaborate, the really devious thing about this bug is that it can EASILY be mistaken for a hardware fault, especially since everything appears to function normally on the software end. Please AT LEAST release a quick and dirty "OMFG you got a crap scanner sry" patch.

Joel Berger's plustek-wrapper works wonderfully, however. Cheers to you friend.

I actually wrote a E-Mail to Johannes Erdfeldt, the developer of libusb. Because I didn´t found a official bugtracker for libusb. I asked him if the problem could be caused by libusb and if libusb already can handle the suspend/resume option.
Hope he will answer and help us.

Fabio Marzocca (thesaltydog) wrote :

@emu
I did it too... just few minutes before you did!

ra-ma (rmsterzik) wrote :

I want to confirm this issue with a Canon N650U at an IBM R40 notebook. Worked with Edgy, no more with Feisty.

xens (r-aviolat) wrote :

Same problem there with a Hercules Maxi Scan A4 USB 36bit, worked fine with Edgy and no luck with Feisty

aNTwNHs (antonis-lilis) wrote :

Same proble here. Canon Lide 20 worked fine in edgy but not in feisty.

aNTwNHs (antonis-lilis) wrote :

gscan2pdf worked for me. If you mainly need to scan documents and not images it's a 'workaround'. I just downloaded and installed the following package.
http://gscan2pdf.sourceforge.net/download/debian/binary/gscan2pdf_0.9.8_all.deb

Thom Pischke (thom-pischke) wrote :

Nice tip! gscan2pdf works fine for me too. Perfect workaround for me, since I typically want documents in PDF form anyway.

scottmb (scottmb) wrote :

Can someone point me in the right direction for information on how to get gscan2pdf to recognize that I have a USB scanner?

Thanks,

Scott

Dean Loros (autocrosser) wrote :

Take a look at my post #15 here: http://ubuntuforums.org/showthread.php?t=414474&page=2

I installed it with Synaptic, but the extra downloads are not reconized unless you right-click on the highlighted gscan2pdf.

cyber_rigger (cyber-rigger) wrote :

A quick hack to open a full page scan into gimp (LiDE25).

scanimage -x 215 -y 297 > ~/image.pnm && gimp ~/image.pnm

gscan2pdf refuses to scan in lineart mode. "Unknown message: scanimage: unrecognized option `--compression=None'"

Considering how this is the most useful mode for document scanning I wouldn't consider this a very good workaround.

Ashish Kulkarni (ashkulz) wrote :

It looks like it also affects other USB devices also, see bug #110806

Dean Loros (autocrosser) wrote :

As far as Gscan2pdf, I'd goto Sourceforge's page & contact the maintainer Also, he might be able to shed some light about your lineart needs. This was only proposed as a TEMPORARY solution until Xsane becomes operational again.

Corsaire (stranche) wrote :

Same thing with a Canon Lide 30

When starting xsane from GImp and asking for a preview, it does the preview but leaves the sensor head it the middle and then does not answer anymore.
Then when you close xsane and start it again, the sensor head moves a bit as to go in initial place but stops again too soon.

It seems to me to be a bug introduced in the initializing process of the Canon scanners.

Oleksij Rempel (olerem) wrote :

thanks emu. it's looks really like my bug https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/96883

It seems like some devices not working properly with USB_SUSPEND. Simple and may be only solution is to make blacklist entry to drivers/usb/core/quirks.c
or kompile the kernel without USB_SUSPEND ( not realy good idea ;) ) . Please report it to the kernel.org or continue this bug http://bugzilla.kernel.org/show_bug.cgi?id=8231

Corsaire (stranche) wrote :

is there a way to disable the USB_SUSPEND in a simple manipulation for test purposes ?

Is something like a command 'echo 1 > /proc/sys/kernel/<something_relate_to_USB_SUSPEND>' exists ?

Corsaire (stranche) wrote :

marked as "fixed in main stream." in http://bugzilla.kernel.org/show_bug.cgi?id=8231

Does it mean a new kernel for Feisty will be released soon ?

Oleksij Rempel (olerem) wrote :

hmm... good question!
i taked a look to the last git kernel_source and there is no support of procfs ( or i didn't found ) , it seems to support sysfs but it was added later for 2.6.21
Te is module parherameter usb_autosuspend_delay for usbcore you can try to set it to usb_autosuspend_delay=0 or to 60:
sudo gedit /etc/modprobe.d/options
options usbcore usb_autosuspend_delay=0

it can be this option working only with kernel 2.6.21

Chris Samuel (chris-csamuel) wrote :

I was going to suggest people try the linux-image-server kernel, but I noticed that this has CONFIG_USB_SUSPEND set too. :-(

Is there a reason for that (given that you don't usually expect servers needing to suspend/resume).

cchan (dono17) wrote :

Sorry to interrupt, but chalk up another one for Kubuntu/Feisty/AMD64/Canon N670U.

Currently have my 32-bit MEPIS machine doing all the scan jobs until this issue can be resolved.

Oleksij Rempel (olerem) wrote :

wow. you questions made me a bit smarter this morning. I read some documentation and this what i have:
from kernel source
Documentation/kernel-parameters.txt
"Module parameters for loadable modules are specified only as the
parameter name with optional '=' and value as appropriate, such as:

        modprobe usbcore blinkenlights=1

Module parameters for modules that are built into the kernel image
are specified on the kernel command line with the module name plus
'.' plus parameter name, with '=' and value if appropriate, such as:

        usbcore.blinkenlights=1

This document may not be entirely up to date and comprehensive. The command
"modinfo -p ${modulename}" shows a current list of all parameters of a loadable
module. Loadable modules, after being loaded into the running kernel, also
reveal their parameters in /sys/module/${modulename}/parameters/. Some of these
parameters may be changed at runtime by the command
"echo -n ${value} > /sys/module/${modulename}/parameters/${parm}"."

It's mean you need to make:
echo -n 60 > /sys/module/usbcore/parameters/autosuspend
or some other timing.

it can be so easy and at same time not. The ubuntu kernel do NOT have this option :(

Oleksij Rempel (olerem) wrote :
fraz (franz-pfoertsch) wrote :

Hello People,

I checked out the scan button daemon from feisty and IT WORKED.

It is really funny. The daemon could be started from the user.

Now I am able to remove the edgy kernel from my machine..

Oleksij Rempel (olerem) wrote :

It's a good workaround ;)
it still need be fixed in the kernel. scan button daemon don't allow suspend the device.

dompie (guido-dom-gmail) wrote :

It is a very big shame altogether and probably the first step to another distribution.

Corsaire (stranche) wrote :

to fraz

please can you tell exactly what is this "scan button daemon", I don't understand what this is about

Oleksij Rempel (olerem) wrote :

sudo aptitude install scanbuttond

fraz (franz-pfoertsch) wrote :

Some more explaination about scan button daemon:

install the software
sudo aptitude install scanbuttond

now start the daemon as normal user
scanbuttond.

after this my epson scanner with snapscan backend is working fine.

But what is going on?
the daemon allways watches for the scanner and the usb did not suspend.

the real function of this software is to look for the buttons on the scanner and do something usefull lke
scanning -> printing - scanning -> email

regards
Franz

Thank you soooooo much!
My LiDE 20 (N670U) cooperates with Xsane again - scanbuttond works
perfect for me...

regards

Frank

Works with my Lide 30 too.

However this is all only a workaround, the true essence of the problem remains.

On another note, do we have to start 'scanbuttond' everytime we want to scan or is does it start with the system boot once installed ?
Since I installed Ubuntu at my parents place (and they're NOT computer IT at all) a negative answer would mean that I have to start 'scanbuttond' with something like /etc/rc.local to be sure the scanner is available anytime.

t2000kw (donhellen) wrote :

I installed scanbuttond as suggested, following the instructions

Then I ran it from within terminal

Then ran Kooka

Still getting black scan (fake scan, scanner really doesn't scan)

So this may work with some scanning programs but not all.

Which program(s) have you tried with it that it works with?

I'd like to see one with OCR capabilities work, but anything that has some variety of options for saving scans would be good enough for now.

fraz (franz-pfoertsch) wrote :

Hi t2000kw,

I worked with gnome -> xsane.

Have you read the manuals at http://scanbuttond.sourceforge.net/ not all scanners are supported.

regards
Franz

t2000kw (donhellen) wrote :

I did try Xsane and it scanned--poor, unusable OCR rendering, though (I installed Gocr and Ocrad as OCR support). Any suggestions on a good OCR scanning program?

t2000kw (donhellen) wrote :

I should add that I got an acceptable scan, I think, so the scanbuttond is doing something. I couldn't' get Xsane to work before.

cyber_rigger (cyber-rigger) wrote :

The scanbuttond workaround worked for me too (LiDE25 scanner).

I installed the package scanbuttond with synaptic.
I entered the command

scanbuttond

as a normal user from a Terminal window.

Magically both xsane and xscanimage started working,
both as a standalone and with gimp.

Kooka worked too.

If I killed scanbuttond then xsane, xscanimage and kooka became broken again.

Ashish Kulkarni (ashkulz) wrote :

If the Ubuntu devs cannot post an "official" update as it would break laptop users, can someone post updated non-official kernel packages with USB_SUSPEND disabled?

I've been following this bug for a couple of weeks, and by now everybody
seems to relate this issue with USB_SUSPEND and agree that several backends
are affected...
But my Benq S2W 3300U (snapscan backend) is not working too, even with all
the posted workarrounds.
I tested with the polling script (intended for plustek, but customized by me
for snapscan), and also the scanbuttond trick, but doesn't work at all...

When I scan with every program (xsane, scanimage, etc...) from the command
line I got the message:
[snapscan] Scanner warming up - waiting 19 seconds.

But after the 19 seconds the message repeats again - for 5 minutes more or
less. After that, xsane complains about device (snapscan:libusb:003:003)
being busy
Now I'm running it with scanbuttond on the background, and the only
difference is that the lamp is blinking every second.

Any ideas?

Regards

On 5/1/07, t2000kw <email address hidden> wrote:
>
> I should add that I got an acceptable scan, I think, so the scanbuttond
> is doing something. I couldn't' get Xsane to work before.
>
> --
> Canon Lide25 (plustek backend) scanner does not scan via gui
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--

******************************************
Ningún bit ha sido maltratado durante la creación y envío de este mensaje.
No bit has been injured in the creation and sending of this message.
******************************************

scanbuttond works well for me. Just have to remember to run it manually before starting to scan.

Oleksij Rempel (olerem) wrote :

you can try this image on your own risk
http://rapidshare.com/files/28940816/linux-image-2.6.20-15-124-386_2.6.20-15.27ubuntu1.1_i386.deb.html

md5sum
7a11b089b0a1496b98a99cdd77cfcc65 linux-image-2.6.20-15-124-386_2.6.20-15.27ubuntu1.1_i386.deb

I initially had the original reported problem (Kubuntu 7.04 updated to today / Kooka / LiDE 25), with a black scan being produced. I installed scanbuttond, started it, and restarted Kooka after unplugging / replugging the scanner. This allowed me to make a preview. I then adjusted some settings for the final scan, but when I press "Final Scan" the scanner does nothing again, and I get an all-black image.

So, the scanbuttond hack doesn't work well for me here - only one image produced before going back to not working. So, I need a real fix before I'll be able to scan with 7.04.

Hello,
I am in the same situation as Jaime but my scanner is an Epson Perfection 660.
I am using Feisty now. The scanner used to work with Edgy...
scanbuttond does not work for me...

Where does your image come from, fishor ?
Is it safe to try ?

Best regards
jeanjean84

Brieussel.
I made this image from ubuntu source. There is no patches and only
disabled USB_SUSPEND.
It's working well for me and if some thing wrong you can start your old
kernel.

Oleksij Rempel (olerem) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Brieussel.
I made this image from ubuntu source. There is no patches and only
disabled USB_SUSPEND.
It's working well for me and if some thing wrong you can start your old
kernel.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFGN65pVVCoNUmKuAcRAuDSAKDY5TnTnXMRXm+SCleVefDHzARdTQCff6jj
0NHMF0ZI4FFlhYhntB9+AzI=
=mvdG
-----END PGP SIGNATURE-----

William,

Try the Xsane image scanner. Install it if you don't have it and give it a try. The scanbuttond works with it. I just don't see any useful OCR work being done with it. Other than that, it might meet your needs.

marvin duran (marvinduran) wrote :

scanbuttond worked for me on LIDE30!! incredible...

Martin Paulo (martin-paulo) wrote :

scanbuttond worked for me for one scan (CanoScan N670U). Then the whole thing stopped. Sigh.

Hmmm. I have 8 downloads of kernel-image and no comments. Is it working
for you ?

Thanks, fishor, for your answers.
I have downloaded your kernel-image. But I have not tried it yet...
I am not sure about what to do if, for some reason, I want to revert to
the previous (i.e. my present) kernel-image...
Could you, plese, help me ?
Thank you.
Best regards.

fishor a écrit :
> Hmmm. I have 8 downloads of kernel-image and no comments. Is it working
>
> for you ?
--
Linux <http://fr.wikipedia.org/wiki/Linux>ubuntu-fr
<http://www.ubuntu-fr.org/>Firefox
<http://www.mozilla-europe.org/fr/products/firefox/>Thunderbird
<http://www.mozilla-europe.org/fr/products/thunderbird/>
<http://www.mozilla-europe.org/fr/products/thunderbird/>

Unfortunately, I'm on AMD64 so I'm in the process of building a version myself.

I downloaded your image and worked fine, at least for the scanning part
But all my nvidia and other propietary drivers stopped working, so I think a
more user friendly solution is needed...

But thanks ;-)

On 5/2/07, Jean Brieussel <email address hidden> wrote:
>
> Thanks, fishor, for your answers.
> I have downloaded your kernel-image. But I have not tried it yet...
> I am not sure about what to do if, for some reason, I want to revert to
> the previous (i.e. my present) kernel-image...
> Could you, plese, help me ?
> Thank you.
> Best regards.
>
> fishor a écrit :
> > Hmmm. I have 8 downloads of kernel-image and no comments. Is it working
> >
> > for you ?
> --
> Linux <http://fr.wikipedia.org/wiki/Linux>ubuntu-fr
> <http://www.ubuntu-fr.org/>Firefox
> <http://www.mozilla-europe.org/fr/products/firefox/>Thunderbird
> <http://www.mozilla-europe.org/fr/products/thunderbird/>
> <http://www.mozilla-europe.org/fr/products/thunderbird/>
>
> --
> Canon Lide25 (plustek backend) scanner does not scan via gui
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--

******************************************
Ningún bit ha sido maltratado durante la creación y envío de este mensaje.
No bit has been injured in the creation and sending of this message.
******************************************

Oleksij Rempel (olerem) wrote :

Sadenly it is not solution. It needed to confirm if USB_SUSPEND is a
problem. How many of you _CAN'T_ compile vanilla kernel and report bug
to the http://bugzilla.kernel.org/ ?

Jaime schrieb:
> I downloaded your image and worked fine, at least for the scanning part
> But all my nvidia and other propietary drivers stopped working, so I think a
> more user friendly solution is needed...
>
> But thanks ;-)

Oleksij Rempel (olerem) wrote :

Do not worry
to install you will do some thing like this:
sudo dpkg -i linux-image-2.6.20-15-124-386.deb

to uninstall
sudo dpkg -r linux-image-2.6.20-15-124-386

if you can't start with this kernel. chose your old kernel in boot-maneger.

Jean Brieussel schrieb:
> Thanks, fishor, for your answers.
> I have downloaded your kernel-image. But I have not tried it yet...
> I am not sure about what to do if, for some reason, I want to revert to
> the previous (i.e. my present) kernel-image...
> Could you, plese, help me ?
> Thank you.
> Best regards.
>
> fishor a écrit :
>> Hmmm. I have 8 downloads of kernel-image and no comments. Is it working
>>
>> for you ?

fishor, :-)
I have just tried your kernel-image ( linux-image-2.6.20-15-124-386.deb
)and it works fine for me !
I have a desktop and no proprietary drivers, ... so no problem !!! :-)
Xsane works ! gscan2pdf works ! xscanimage works ! scanimage works !
Everything works (so far) !
Thank you so much ! My scanner _just works_ again ! :-)
Thanks for your help and encouragements (yes, I was a bit worried !)
Best regards
Jean

fishor a écrit :
> Do not worry
> to install you will do some thing like this:
> sudo dpkg -i linux-image-2.6.20-15-124-386.deb
>
> to uninstall
> sudo dpkg -r linux-image-2.6.20-15-124-386
>
> if you can't start with this kernel. chose your old kernel in boot-
> maneger.
>
>

Fishor , just like Jean I have tried your kernel-image , linux-image-2.6.20-15-124-386.deb , scanning using Xsane works again !!
Phew... Great job Fishor !
My scanner is Epson Perfection 1670 using the snapscan backend.
Thanks again

Please provide usb_id with device name of your scanner to this bug
http://bugzilla.kernel.org/show_bug.cgi?id=8231

Ok, I rebuilt the kernel on AMD64 without USB_SUSPEND, and everything works OK (mine is not a scanner problem, but another device altogether -- see bug #110806). If someone wants it, I will post it.

Of course, as I didn't build the linux-restricted-modules package (which requires 150MB of source download!!) my nVidia driver stopped working, which is OK as I can live with the open source driver.

If someone DOES want that, you can follow the instructions at

https://wiki.ubuntu.com/KernelCustomBuild#head-12a476b24f14942a9ac7d38bb3c0a2c1edd1bde7

Hallo all.
At the bottom is the part of "drivers/usb/core/quirks.c" of latest
kernel source. You can see that USB_SUSPEND is impotent option for
mobile_linux but need a lot of testing and fixing. If you like make you
device working for you and other, report your usb_id and dmesg which
show broken device. You need make fallowing steps to do this:

install kernel_with debug enabled
# sudo apt-get install linux-image-debug-2.6.20-15-generic

unplug your broken device
boot linux-debug and clear dmesg
# sudo dmesg -c

plug in you broken device
save dmesg usb_id:
# dmesg > my_kerlel.log
# lsusb -v > my_lsusb

5. post it here with description and name of device.

/* List of quirky USB devices. Please keep this list ordered by:
 * 1) Vendor ID
 * 2) Product ID
 * 3) Class ID
 *
 * as we want specific devices to be overridden first, and only after
that, any
 * class specific quirks.
 *
 * Right now the logic aborts if it finds a valid device in the table,
we might
 * want to change that in the future if it turns out that a whole class of
 * devices is broken...
 */
static const struct usb_device_id usb_quirk_list[] = {
        /* HP 5300/5370C scanner */
        { USB_DEVICE(0x03f0, 0x0701), .driver_info =
USB_QUIRK_STRING_FETCH_255 },
        /* Seiko Epson Corp - Perfection 1670 */
        { USB_DEVICE(0x04b8, 0x011f), .driver_info =
USB_QUIRK_NO_AUTOSUSPEND },
        /* Elsa MicroLink 56k (V.250) */
        { USB_DEVICE(0x05cc, 0x2267), .driver_info =
USB_QUIRK_NO_AUTOSUSPEND },

        { } /* terminating entry must be last */
};

Lionel Duval (fennec) wrote :

Sorry to disturb everybody about a side question but how do I enable linux-image-debug-2.6.20-15-generic (in Feisty); once installed, this image isn't listed in Grub ?

Sorry this is my fault!

I just found in the .deb description:
"The kernel image contained in this package is NOT meant to boot from.
It is uncompressed, and unstripped"

I made a new kernel-image from ubuntu-git repository. It include the
usb_suspend blacklist with fix for epson perfection 1670 and
autosuspend module-/sysfs- option. _USB_DEBUG is enabled_
I wrote about this option before.

http://rapidshare.com/files/29473557/linux-image-2.6.22-2-386_2.6.22-2.6_i386.deb

md5sum b7e2909a2502b3a98f7fe39ba08cd6db
linux-image-2.6.22-2-386_2.6.22-2.6_i386.deb

Lionel DUVAL schrieb:
> Sorry to disturb everybody about a side question but how do I enable
> linux-image-debug-2.6.20-15-generic (in Feisty); once installed, this
> image isn't listed in Grub ?
>

Lionel Duval (fennec) wrote :

fishor, do you know that rapidshare.com limits the nb of downloads for free users (like me) ?
I would suggest to post big files through torrent (and attach the torrent file here).

Oleksij Rempel (olerem) wrote :

i hope it working.

t2000kw (donhellen) wrote :

The new kernel didn't work for me--locked up things, couldn't get into Ubuntu, and the Xserver wouldn't load.

How do I delete this kernel so it doesn't show up in GREP and load by default if I am not there when booting up?

Thanks for trying, and I'm glad it's working for some people.

t2000kw (donhellen) wrote :

I tried using Synaptics to remove this kernel and it looked like it worked--until the next reboot, when I was presented with the original kernel and the new one I tried from Fishor, which I thought I had removed.

Oleksij Rempel (olerem) wrote :

This working for me just fine.
sudo dpkg -r linux-image-2.6.22-2-386
If you take a look true all discussion you will find many answers you
need. You xserver can't start because you use restricted video_driver
which need restricted kernel module. You can try opensource driver to
make use of this kernel.

t2000kw schrieb:
> I tried using Synaptics to remove this kernel and it looked like it
> worked--until the next reboot, when I was presented with the original
> kernel and the new one I tried from Fishor, which I thought I had
> removed.
>

Confirmation from here too.
It's pretty astonishing, that this bug is still classified as a "medium" one as a working scanner frontend is an essential part of a distribution, claiming bug #1...

Oleksij Rempel (olerem) wrote :

Don't worry! This bug will be _NOT_ fixed in this ubuntu version. Because:
1. It is upstream bug. And any options for workaround are begin with
version 2.6.21
2. Feisty will use _ONLY_ version 2.6.20. Only gutsy (nex ubuntu) will
use kernel 2.6.22
3. It is a bad idea to disable USB_SUSPEND because of laptop users.
4. It is a bad idea to provide official
linux-image-2.6.20-15_no_usb_suspen because then no one will care about
to fixing this bug.
5. Ubuntu Gutsy will have the same problem because you don't do anything
to fix this bug now.

To fix it you need to use vanila_kernel and stay in contact with
kernel.bugzilla.Only you can make your ubuntu working.

For those people who wont help fix this bug, but can't compile kernel, i
provided 2.6.22.deb to make readable debug. Only you must do is provide
dmesg and usb_id. I guess you made it upstream.

Will some one else classify this bug as a "critical" and wait one year
until some one will fix it for you ? I think it should stay "medium"
because no body care.

Thorsten "stan" Koelbl schrieb:
> Confirmation from here too.
> It's pretty astonishing, that this bug is still classified as a "medium" one as a working scanner frontend is an essential part of a distribution, claiming bug #1...
>

Tux821 (tux821) wrote :

Maybe I can help someone as I game on this page with a similar problem.
Note I use the 'Debian unstable' distro, but I think this can help Ubuntu users too as Ubuntu is based on Debian.

Problem:
Recently Xsane failed to detect my Epson Perfection scanner.

Fix:
The problem (for me) seems to be in the 'libsane 1.0.19~cvs20070421-1' package.
I downgraded this package with a manual install of 'libsane_1.0.18-6' from Debian testing and Xsane worked again.

My system:
- Debian unstable (well close enough to Ubuntu ;)
- Debian AMD64 kernel: 2.6.20-1-amd64
- Xsane: xsane_0.99+0.991-3_amd64

Can confirm this bug:
- Xsane using a Canon LiDE 25 with Mustek backend worked fine in Edgy Eft, stopped working after upgrading to Feisty Fawn yesterday.
- Finds scanner, then produces black image in Preview, as if scanning, but without physical activity from scanner.
- As per earlier post, after installing sane-utils and "sane-find-scanner", am able to use the commandline for scanning. Not very convenient, but better than a Kernel recompile.

xens (r-aviolat) wrote :

Here's the link to the bug:

http://bugzilla.kernel.org/show_bug.cgi?id=8433

see you, Romain

Followup:

After making changes to my configuration to enable another USB device, Xsane is now working too!

The 2 things involved were:
1) Setting up a rule in udev for that device (I don't think that would affect the scanner)
2) Adding myself to the plugdev group (gpasswd -a username plugdev) & restarting.

barbobot (deadlyh) wrote :

OriginalGrumpyOldMan , I just tried your fix and it did not work for my CanoScan Lide 25.

Pere Pie (pere-pie) wrote :

Confirm the bug. Using Feisty and Canon Lide.
Working fine from console with scanimage and working fine using gscan2pdf graphic tool

~$ lsusb
Bus 004 Device 003: ID 046d:c040 Logitech, Inc.
Bus 004 Device 002: ID 2001:f103 D-Link Corp. [hex]
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 003: ID 04a9:2220 Canon, Inc.
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

stefab (bluefuture) wrote :

Confirm the bug. Using Feisty and Canon Lide 25.

Well, I tried again this morning, and it was back to the usual. Obviously I must have done something yesterday to enable it. I didn't have time for a lot of trial and error this morning, but I managed to get it to work again... once. If somebody wants to follow up on that, here are the steps involved:

sudo /etc/init.d/udev restart
reconnect scanner
sane-find-scanner
scanimage -L
scan from the commandline
run Xsane

But again, it only works once, making it fairly useless. Yesterday I was able to repeat it.

And there is definetely something wrong with the USB drivers/kernel: I have a combination mouse/keyboard with a single USB plug, and now the keyboard will not work after booting (but the mouse will!?) unless I 1) hammer the keys during the boot to kepp it active 2) unplug & reconnect the combo after the boot. Good luck trying the second option with a laptop... so it definitely goes beyond a little scanner problem.

Markus Golser (golserma) wrote :

The same problem with a Canon LiDE30

Andreas Ntaflos (daff) wrote :

Same problem for me as well with a Canon LiDE30.

hanichl (oskar-hoffmann) wrote :

same problem for me as well wirh AGFA SnapScan e20.
until 7.04 no problems. but now I must say, when this horrible bug isnt fixed soon ( yes, there are still people who need scanning !! ) there can only be one solution: bye bye UBUNTU. nice to have met you.

stefab (bluefuture) wrote :

Please this bug seems to be already solved in the upstream kernel bug #8231.

Oleksij Rempel (olerem) wrote :

stefab!
#8231 is my bug.
read my comments here.

stefab (bluefuture) wrote :

Fishor i mean the upstream kernel bug traking and not ubuntu bug.

Oleksij Rempel (olerem) wrote :

great, because i mean it too. My name is Alexey Fisher

stefab (bluefuture) wrote :

So alex, was itreally fixed upstream in the kernel.. what the ubuntu kernel team plan to do?

Tanker Bob (tankerbob) wrote :

Bug also happens with an Epson Stylus CX7800 All-in-one scanner, Feisty x86-64, Epson backend. None of the workarounds on this page help. The error I get in every case is "scanimage: sane_start: Operation not supported" This scanner worked perfectly on Edgy. All other USB devices work fine.

I used to have a problem with the parallel port printer activating when trying to scan. "sudo rmmod ppdev" solved that issue, but the scanner still won't scan.

So, will the Ubuntu kernel team step up to the plate and fix this bug with an update in the repositories?

Changed in linux:
status: Unknown → Rejected
udol (udo-liess) wrote :

I have usb standby problems with scanner BenQ 4300U and found this bug entry.
The workaround to run scanbuttond did not help at the first try --> the scanner lamp starts to flash. This shows me that the poll interval was still too long. So I tried to poll the scanner faster.
scanbuttond -f -p 1000 -r 10000
This helped in my case. The solution seems to be not very stable but I can scan with it. So if you still have the problem pleas try to start "scanbuttond -f -p 1000 -r 10000" in the terminal before starting xsane. After scanning you can end the running scan button daemon by pressing Ctrl+C in the terminal window.

(But there is still a question for me: "scanbuttond -h" says, that pollingdelay and retrydelay are in ms. Could that be true? It would mean the default poll delay is 333000ms=333s=nearly 6 minutes? Is poll delay meaning poll interval? Poll every 6 minutes...?)

Yves Pelletier (yp-sferics) wrote :

My Epson perfection 2580 USB scanner is not even recognized (does not appear with lsusb). Worked fine with Edgy. Had I realized such a serious bug made it into Feisty I would not have "upgraded". This is what they'll put on Dell machines??

Well, I'm now able to run correctly my Canon N650U with xsane although it was not working at all in Feisty, even when trying with scanbuttond. Everything works, preview, scan, calibration, and return of the lamp back to stop position.
Here are the few steps I've done for that.

- I've noticed that if you try a scan with xsane only (no scanbuttond running) and then kill xsane to exit, udev becomes unstable.
At that point, using next scanbuttond with xsane _does not_ work also. I needed to restart udev (sudo invoke-rc.d udev stop / sudo invoke-rc.d udev start) or better : reboot the computer
=> So first point: a clean udev freshly running and not hung by a previous xsane crash scan.

- I've then used udol's idea and played with scanbuttond parameters. This did the trick.
However, udol's tweaks made the CPU go to 100% load. So I checked a little bit deeper the scanbuttond parameters
In fact, the -p and -r parameters are expressed in microseconds, not milliseconds. That's why the default settings use large numbers. This gives default 333 millisec for polling and 2 sec for retry. This last figure is a little bit high, compared to the USB_SUSPEND timeout. That's makes the scan lamp not return completly back after the scan.
After a few tweaks, I've used the following scanbuttond command, changing the retry delay to 1sec:
$ scanbuttond -r 1000000
With this tweak, xsane runs perfectly with my CanoScan N650U.
=> At least, I can now wait for a Feisty fix.

- I've just thrown the following in a small script to run my scanner now:
scanbuttond -r 1000000
xsane
killall scanbuttond

- scanbuttond polling can be checked with:
$ sudo udevmonitor -e
You should see udev events when the scanner is plugged in and scanbuttond running.

etx90 (bruno-germain5) wrote :

Nicolas M a écrit :
> Well, I'm now able to run correctly my Canon N650U with xsane although it was not working at all in Feisty, even when trying with scanbuttond. Everything works, preview, scan, calibration, and return of the lamp back to stop position.
> Here are the few steps I've done for that.
>
> - I've noticed that if you try a scan with xsane only (no scanbuttond running) and then kill xsane to exit, udev becomes unstable.
> At that point, using next scanbuttond with xsane _does not_ work also. I needed to restart udev (sudo invoke-rc.d udev stop / sudo invoke-rc.d udev start) or better : reboot the computer
> => So first point: a clean udev freshly running and not hung by a previous xsane crash scan.
>
> - I've then used udol's idea and played with scanbuttond parameters. This did the trick.
> However, udol's tweaks made the CPU go to 100% load. So I checked a little bit deeper the scanbuttond parameters
> In fact, the -p and -r parameters are expressed in microseconds, not milliseconds. That's why the default settings use large numbers. This gives default 333 millisec for polling and 2 sec for retry. This last figure is a little bit high, compared to the USB_SUSPEND timeout. That's makes the scan lamp not return completly back after the scan.
> After a few tweaks, I've used the following scanbuttond command, changing the retry delay to 1sec:
> $ scanbuttond -r 1000000
> With this tweak, xsane runs perfectly with my CanoScan N650U.
> => At least, I can now wait for a Feisty fix.
>
> - I've just thrown the following in a small script to run my scanner now:
> scanbuttond -r 1000000
> xsane
> killall scanbuttond
>
> - scanbuttond polling can be checked with:
> $ sudo udevmonitor -e
> You should see udev events when the scanner is plugged in and scanbuttond running.
>
>
Thank you.

My canon N656U works now with Feisty and Xsane !!

If you speak french (your name sounds french) : tu pourrais laisser ton
truc dans la doc d'Ubuntu.fr (si ce n'est déjà fait), pour ma part je
communique ton astuce sur le forum pour aider ceux qui ont le même
problème. Merci

ubunovi (weber-klaus) wrote :

Thank you, Nicolas!
Your workaround is perfect - until the next kernel fix...
Good work for xsane and kooka on Canon LiDE 20.

Thanks, can confirm that workaround works for xsane using plustek backend on a Canon LiDE 25.

Tanker Bob (tankerbob) wrote :

Workaround does not help my Epson Stylus CX7800 with Epson backend on SANE.

Gewitty (davesones) wrote :

Same problem occurring with my Epson Perfection 1670. When I load Xsane, I get ONE good scan and then the scanner locks out. The power button goes from steady green to flashing red and I have to reboot before it resets.

This scanner worked perfectly under Edgy and has only failed since upgrading to Feisty. I have managed to get scans working by using scanimage from the command line, but it's far from adequate.

The much repeated comment that providing a suspend/resume facility for laptop users ranks above the fact that this leaves potentially thousands of scanner users with broken systems is ludicrous. The fact that this bug was well known before Feisty was released is even more surprising. Since when is it OK to provide a new feature at the expense of another? Suspend resume is a 'nice to have' feature - whilst a scanner is a major item of hardware in regular (and often important) use.

Maybe worth a try:

- Reduce the timing value for scanbuttond, e.g.:

scanbuttond -r 100000

Also, try a dummy scanimage to setup everything before starting xsane:

scanbuttond -r 100000
scanimage -n
xsane

Can't help too much, as I don't own an Epson scanner.

Yves Pelletier (yp-sferics) wrote :

I moved my scanner (Epson 2580) to an older machine without proprietary graphics and installed Fishor's kernel. Now the scanner is detected but there are other issues apparently related to SANE. I'm still looking into it as time permits. On "Edgy", this all just worked. I am appalled at the silence and apparent indifference from Ubuntu maintainers. If there is a strategy for fixing this, how about sharing it with us?

I've been using Linux on my desktop since the early 2.2 kernels. This should tell you that I've done my share of tinkering to get things to work over the years, but that was then. Now I don't have the time or the inclination to mess around. A polished distro like Ubuntu should spare me that trouble, not break major functionality from one version to the next. Gewitty hits the nail on the head with his comment posted on May 15.

Yves Pelletier (yp-sferics) wrote :

Ok, some good news at last. Epson Perfection 2580 is working with Fishor's kernel (still no dice with the stock Feisty kernel, although now at least scanimage -L "sees" the scanner).

Independently of the kernel issue, the scanner may have been stuck in some anomalous state. Strangely, after reinstalling the Windows driver and starting the scanning application under Windows, things started getting better on the Linux side. My symptoms (and remedy) are now more consistent with other reports in this thread.

Lionel Duval (fennec) on 2007-05-18
Changed in sane-backends:
assignee: nobody → ubuntu-kernel-team

See also this bug report in Debian:

Debian Bug report logs -<a href="http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=419197"> #419197 </a>
CONFIG_USB_SUSPEND is experimental and breaks applications

Nothing additional yet, but same bug.

Changed in linux-source-2.6.20:
status: Unknown → Unconfirmed
Tim Frost (timfrost) wrote :

Attributing the problem to sane, rather than the kernel USB drivers, does *NOT* explain the fault that I have with VMware under feisty - i.e. that a Windows XP VM running under edgy as host OS found my scanner, and successfully scanned images, but that it failed when running with feisty as the host OS.

dd (paagol) wrote :

On Mon, 2007-05-21 at 07:02 +0000, Tim Frost wrote:
> Attributing the problem to sane, rather than the kernel USB drivers,
> does *NOT* explain the fault that I have with VMware under feisty -
> i.e.
> that a Windows XP VM running under edgy as host OS found my scanner,
> and
> successfully scanned images, but that it failed when running with
> feisty
> as the host OS.

This plan is brilliant. So, will my Cannon Lide 20 work now, if I run it
through wine, and the usual Scan SW that I never installed, but were
given on the Cannon CD?

mpwalter (mpwalter) wrote :

@ianrose

script works well with Canon LIDE20 with Kooka and xSane

@fraz

scanbuttond works only with xSane on Kooka I get the black page

Kernel 2.6.20-15-generic / i386

These are nice workarounds , but I thinks this is not the solution for this problem ... on Mandriva I didn't have this trouble!

SilverLoz (launchpad-loznet) wrote :

Had the same problem with a Umax Astra 3400 (uses the Plustek backend). The scanbuttond workaround works a treat. For Corsaire, who was worried about his parents having to run it from a command line do this:

Use Text Editor to create a new text file and enter the script as suggested by Nicolas M:

scanbuttond -r 1000000
xsane
killall scanbuttond

save this to the Desktop with the name 'scanner'. In your parent's home folder create a new folder called '.scanner' (note the preceeding dot). You then have to select 'Show Hidden Files' from the View menu to be able to see it (folders whose name starts with a dot are normally not visible). Copy the text file 'scanner' into the folder '.scanner'. Finally, right click the file and select 'Properties' and on the 'Permissions' tab place a check mark next to 'Execute' (Allow executing file as program).

Right-click on 'Applications' on the launch bar and select 'Edit Menus'. Select the 'Graphics' menu and then click on '+New Item'. In the dialgue box that appears you need

Type: Applcation
Name: Scanner
Command: /home/Loz/.scanner/scanner
Comment: Launch scanner

(Obviously, change my user name (Loz) for you parents' in the above command!). You can also click the big 'No Icon' button and select a suitable icon from those presented. Click 'OK' and make sure there is a check mark against your newly created 'Scanner' entry - you may also want to uncheck Xsane Image Scanner, until such times as this is fixed properly. Lastly, click 'Close'.

Now, when your parents want to scan they simply go to the Applications>Graphics menu and click 'Scanner' - totally GUI! (The reason for all the messing about with hidden folders is so that they don't accidently delete it!)

This is actually much quicker to do than the time it's taken me to type it all up!

I've the same problem here.
Canon LiDE 30 is recognized by XSane, but the preview function produces only a black image and the scanner doesn't react at all.
Please, dear Ubuntu team, fix this problem!

Dean Loros (autocrosser) wrote :

I can confirm that this bug is still alive. The current Gutsy kernel, 2.6.22-5 has the same problem (as the last four have). I have opened a new bug report for Gutsy--bug# 116956 & sent a "help us" Email to Matt Z.

Ben Collins (ben-collins) wrote :

Why open a new bug when you can add a target to this one?

I'm pretty sure I've said this in this report, or some other similar report before. Yes, usb_suspend support does break some things, but disabling that breaks even more. Lesser of two evils. The solution will not be disabling usb_suspend, but to get things working with it enabled, so please work with linux-usb on resolving these issues.

Dean Loros (autocrosser) wrote :

Ben--I wanted to bring attention AGAIN to this bug & as far as I know, this has been fixed upstream as of 2.6.21. I need a operating scanner & I REALLY hate booting Windoze to to make a scan. The posted work-arounds in this bug report no longer work in the new kernel.

I do not see how this could have been fixed sometime in the last 6 months (the inital report).

If Ubuntu is going to a bussiness-viable OS, a way to use normal scanners would be a good idea.

I an sorry if I sound miffed---I just can't see how loosing a important fuction could be just bypassed.

Dean Loros (autocrosser) wrote :

Ben--I wanted to bring attention AGAIN to this bug & as far as I know, this has been fixed upstream as of 2.6.21. I need a operating scanner & I REALLY hate booting Windoze to to make a scan. The posted work-arounds in this bug report no longer work in the new kernel.

I do not see how this couldn't have been fixed sometime in the last 6 months (the inital report).

If Ubuntu is going to a bussiness-viable OS, a way to use normal scanners would be a good idea.

I an sorry if I sound miffed---I just can't see how loosing a important fuction could be just bypassed.

Ben Collins (ben-collins) wrote :

If this is fixed in 2.6.21, then it might be worth while for someone to bisect 2.6.20 vs 2.6.21 and see what patch fixed it. Otherwise, we have no idea, and can only guess which of the thousands of patches did it.

Believe me, when I made this decisions long ago, I weighed the options. Yes, it's terrible for you and others like you affected, but the consequences of disabling usb_suspend affects 100% of laptops users, reducing their batter life in the range of 15-60 minutes. Not good at all. I can't justify hurting all laptop users, just to fix a smaller percentage of scanner users.

So, if this is fixed in 2.6.21, then gutsy is going to be ok. If it's wanted in previous editions of Ubuntu, we'll need a specific patch/patchset to regression test for that release.

Again, I apologize if this problem affects you, but it was unavoidable at the time of release.

lanig (alainbe) wrote :

Maybe.
I am a desktop user, it was not difficult to compile a new kernel with usb_suspend disabled and get the scanner to work. But I do think that Ubuntu SHOULD provide an alternative kernel to all users who need it.

Lionel Duval (fennec) wrote :

Thank you Ben for your clarification. Now, the scanner users on laptop will make their mind either to wait 5 months for Gutsy, or to go somewhere else.

Jaime (jaime-lopez) wrote :

Sorry, but I don't see the point of Ben. The 100% of laptop users can't
loose something they haven't in Edgy!

I feel - as Ubuntu laptop user - that I had a perfectly working hardware
configuration on 6.10. My battery lasted long enough - comparable with
Windows; and my scanner worked too!
But upgrading to Feisty supposed a broken configuration by gaining a small
percentage of battery.

The point is that I feel that by choosing USB_SUSPEND I have been affected,
because it is something new that didn't came before, and I have lost
something I used to have.

On 5/27/07, Lionel Duval <email address hidden> wrote:
>
> Thank you Ben for your clarification. Now, the scanner users on laptop
> will make their mind either to wait 5 months for Gutsy, or to go
> somewhere else.
>
> --
> some usb_devices fault if usb_suspend enabled
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--

******************************************
Ningún bit ha sido maltratado durante la creación y envío de este mensaje.
No bit has been injured in the creation and sending of this message.
******************************************

Elmar Klaus (elmar-klaus) wrote :

I have the same problem since updating to feisty
Scanner ist Canon CanoScan 656U

 ID 04a9:2206 Canon, Inc. CanoScan N650U/N656U

Before Feisty everything was fine.

Jenske (radiostermino) wrote :

I've had to revert to a dual boot system Dapper Drake / Feisty Fawn to be able to use my slidescanner. The problem does not seem to be solved.

Followup after the recent kernel update:
- Problem not solved
- Nicolas' "scanbuttond -r 1000000" hack doesn't work anymore either
- commandline scanning still works (sane-find-scanner, scanimage -L etc.) AFTER restarting udev
This on Feisty using a Canon LiDE-25 with the plustek backend.

Conrad Knauer (atheoi) wrote :

OriginalGrumpyOldMan: I'm also running Feisty and recently installed the kernel update [As per Synaptic: "linux (2.6.20.15.14) to 2.6.20.16.28.1"]. I have a Canon CanoScan LiDE 30 which still does work with xsane after "scanbuttond -r 1000000" The trick I find is to run scanbuttond before you start xsane.

With my BenQ 3300U (Acer) this doesn't work.
The line tube doesn't go "home" after starting xsane. If it is at home
position (after using windows program mirascan) it works every now and
then and I don't know why.

Hans van Esdonk

Conrad Knauer schreef:
> OriginalGrumpyOldMan: I'm also running Feisty and recently installed the
> kernel update [As per Synaptic: "linux (2.6.20.15.14) to
> 2.6.20.16.28.1"]. I have a Canon CanoScan LiDE 30 which still does work
> with xsane after "scanbuttond -r 1000000" The trick I find is to run
> scanbuttond before you start xsane.
>
>

Threonin (threonin) wrote :

Canon lide 20 - does not scan with feisty fawn and XSane.

Conrad Knauer (atheoi) wrote :

Hans van Esdonk wrote:

"With my BenQ 3300U (Acer) this doesn't work. The line tube doesn't go "home" after starting xsane. If it is at home position (after using windows program mirascan) it works every now and then and I don't know why."

Your scanner likely requires proprietary firmware to be loaded when running it from Linux, as per http://snapscan.sourceforge.net/#supported

Can you check to see which USB ID your scanner is specifically? To do this, install the "sane-utils" package (from the universe repository) and run "sane-find-scanner" from Terminal.

For me, in the middle of the output was:

"found USB scanner (vendor=0x04a9 [Canon], product=0x220e [CanoScan], chip=LM9832/3) at libusb:003:007"
(the USB ID is the vendor/product strings; 0x04a9, 0x220e)

For you the output should have vendor=0x04a5 and product as 0x20b0 or 0x20de.

If its the one ending in b0, you need the firmware file u176v046.bin
If its the one ending in de, you need the firmware file u222v067.bin

That should be located somewhere in the Windows driver (you'll need to extract it; alternately it should be somewhere installed in Windows).

Put it somewhere on your Ubuntu partition and then run, partially as per http://snapscan.sourceforge.net/#work

gksudo gedit /etc/sane.d/snapscan.conf

At the very top where it says:

---
# Change to the fully qualified filename of your firmware file, if
# firmware upload is needed by the scanner
firmware /usr/share/sane/snapscan/your-firmwarefile.bin
---

change the location in that last line to the location of your firmware file.

Then restart xsane and hopefully it should work :) If not, then try the scanbuttond fix previously mentioned in this bug and see if that fixes it; please report back here either way.

Jaime (jaime-lopez) wrote :

With my BenQ 3300U, the firmware stuff wasn't necessary at all under Edgy.
May be now it is needed...
I'll be checking this to see if solves my problem too.

On 5/29/07, Conrad Knauer <email address hidden> wrote:
>
> Hans van Esdonk wrote:
>
> "With my BenQ 3300U (Acer) this doesn't work. The line tube doesn't go
> "home" after starting xsane. If it is at home position (after using
> windows program mirascan) it works every now and then and I don't know
> why."
>
> Your scanner likely requires proprietary firmware to be loaded when
> running it from Linux, as per http://snapscan.sourceforge.net/#supported
>
> Can you check to see which USB ID your scanner is specifically? To do
> this, install the "sane-utils" package (from the universe repository)
> and run "sane-find-scanner" from Terminal.
>
> For me, in the middle of the output was:
>
> "found USB scanner (vendor=0x04a9 [Canon], product=0x220e [CanoScan],
> chip=LM9832/3) at libusb:003:007"
> (the USB ID is the vendor/product strings; 0x04a9, 0x220e)
>
> For you the output should have vendor=0x04a5 and product as 0x20b0 or
> 0x20de.
>
> If its the one ending in b0, you need the firmware file u176v046.bin
> If its the one ending in de, you need the firmware file u222v067.bin
>
> That should be located somewhere in the Windows driver (you'll need to
> extract it; alternately it should be somewhere installed in Windows).
>
> Put it somewhere on your Ubuntu partition and then run, partially as per
> http://snapscan.sourceforge.net/#work
>
> gksudo gedit /etc/sane.d/snapscan.conf
>
> At the very top where it says:
>
> ---
> # Change to the fully qualified filename of your firmware file, if
> # firmware upload is needed by the scanner
> firmware /usr/share/sane/snapscan/your-firmwarefile.bin
> ---
>
> change the location in that last line to the location of your firmware
> file.
>
> Then restart xsane and hopefully it should work :) If not, then try the
> scanbuttond fix previously mentioned in this bug and see if that fixes
> it; please report back here either way.
>
> --
> some usb_devices fault if usb_suspend enabled
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--

******************************************
Ningún bit ha sido maltratado durante la creación y envío de este mensaje.
No bit has been injured in the creation and sending of this message.
******************************************

Corrected then: I just tried it again and it did work. The problem with the first attempt was most likely that I didn't re-initialize USB/scanner support via "sudo /etc/init.d/udev restart" prior to the attempt.
---quote (Conrad Knauer)---
OriginalGrumpyOldMan: I'm also running Feisty and recently installed the kernel update [As per Synaptic: "linux (2.6.20.15.14) to 2.6.20.16.28.1"]. I have a Canon CanoScan LiDE 30 which still does work with xsane after "scanbuttond -r 1000000" The trick I find is to run scanbuttond before you start xsane.

Conrad Knauer (atheoi) wrote :

Threonin wrote: "Canon lide 20 - does not scan with feisty fawn and XSane"

http://www.sane-project.org/sane-mfgs.html#Z-CANON states that the LiDE 20has "Complete" support, so you're likely getting bitten by this bug; does the work-around with scanbuttond get it operational?

I did the things mentioned below.

u176v046.bin was the file from disk I had to use.

It all looked promising. The scanner worked!!

But strange things happened. It took a lot of time before the scan was possible. After 19 seconds warmup the xsane window appeared. Pressing the prescan button first led to "scanner busy" but after some time it made a prescan and I could print it out.
So, I tried a few times and also from the terminal window. The messages were clear: first line 19 seconds warm-up and then about 20 times the same line: 20 seonds warm-up, so in total about 7 minutes.
Once again a try and it worked. That was the last time. The illumination tube did not return to the beginning and the scanner wasn't found anymore.
So it looks if xsane only detects the scanner in the startposition (detector?)
This is crazy!!!While typing this the scannerlight moves to the start position and a scan is possible.......
So, what can be going on???

Hans van Esdonk

Conrad Knauer schreef:
> Hans van Esdonk wrote:
>
> "With my BenQ 3300U (Acer) this doesn't work. The line tube doesn't go
> "home" after starting xsane. If it is at home position (after using
> windows program mirascan) it works every now and then and I don't know
> why."
>
> Your scanner likely requires proprietary firmware to be loaded when
> running it from Linux, as per http://snapscan.sourceforge.net/#supported
>
> Can you check to see which USB ID your scanner is specifically? To do
> this, install the "sane-utils" package (from the universe repository)
> and run "sane-find-scanner" from Terminal.
>
> For me, in the middle of the output was:
>
> "found USB scanner (vendor=0x04a9 [Canon], product=0x220e [CanoScan], chip=LM9832/3) at libusb:003:007"
> (the USB ID is the vendor/product strings; 0x04a9, 0x220e)
>
> For you the output should have vendor=0x04a5 and product as 0x20b0 or
> 0x20de.
>
> If its the one ending in b0, you need the firmware file u176v046.bin
> If its the one ending in de, you need the firmware file u222v067.bin
>
> That should be located somewhere in the Windows driver (you'll need to
> extract it; alternately it should be somewhere installed in Windows).
>
> Put it somewhere on your Ubuntu partition and then run, partially as per
> http://snapscan.sourceforge.net/#work
>
> gksudo gedit /etc/sane.d/snapscan.conf
>
> At the very top where it says:
>
> ---
> # Change to the fully qualified filename of your firmware file, if
> # firmware upload is needed by the scanner
> firmware /usr/share/sane/snapscan/your-firmwarefile.bin
> ---
>
> change the location in that last line to the location of your firmware
> file.
>
> Then restart xsane and hopefully it should work :) If not, then try the
> scanbuttond fix previously mentioned in this bug and see if that fixes
> it; please report back here either way.
>
>

Jaime (jaime-lopez) wrote :
Download full text (3.6 KiB)

Hans,

Exactly the same problem here. I think it is related with the USB_SUSPEND
issue.

Please, can you test if now scanbuttond solves the problem? (in my case, it
remains the same ....)

On 5/30/07, Hans van Esdonk <email address hidden> wrote:
>
> I did the things mentioned below.
>
> u176v046.bin was the file from disk I had to use.
>
> It all looked promising. The scanner worked!!
>
> But strange things happened. It took a lot of time before the scan was
> possible. After 19 seconds warmup the xsane window appeared. Pressing the
> prescan button first led to "scanner busy" but after some time it made a
> prescan and I could print it out.
> So, I tried a few times and also from the terminal window. The messages
> were clear: first line 19 seconds warm-up and then about 20 times the same
> line: 20 seonds warm-up, so in total about 7 minutes.
> Once again a try and it worked. That was the last time. The illumination
> tube did not return to the beginning and the scanner wasn't found anymore.
> So it looks if xsane only detects the scanner in the startposition
> (detector?)
> This is crazy!!!While typing this the scannerlight moves to the start
> position and a scan is possible.......
> So, what can be going on???
>
> Hans van Esdonk
>
>
>
> Conrad Knauer schreef:
> > Hans van Esdonk wrote:
> >
> > "With my BenQ 3300U (Acer) this doesn't work. The line tube doesn't go
> > "home" after starting xsane. If it is at home position (after using
> > windows program mirascan) it works every now and then and I don't know
> > why."
> >
> > Your scanner likely requires proprietary firmware to be loaded when
> > running it from Linux, as per http://snapscan.sourceforge.net/#supported
> >
> > Can you check to see which USB ID your scanner is specifically? To do
> > this, install the "sane-utils" package (from the universe repository)
> > and run "sane-find-scanner" from Terminal.
> >
> > For me, in the middle of the output was:
> >
> > "found USB scanner (vendor=0x04a9 [Canon], product=0x220e [CanoScan],
> chip=LM9832/3) at libusb:003:007"
> > (the USB ID is the vendor/product strings; 0x04a9, 0x220e)
> >
> > For you the output should have vendor=0x04a5 and product as 0x20b0 or
> > 0x20de.
> >
> > If its the one ending in b0, you need the firmware file u176v046.bin
> > If its the one ending in de, you need the firmware file u222v067.bin
> >
> > That should be located somewhere in the Windows driver (you'll need to
> > extract it; alternately it should be somewhere installed in Windows).
> >
> > Put it somewhere on your Ubuntu partition and then run, partially as per
> > http://snapscan.sourceforge.net/#work
> >
> > gksudo gedit /etc/sane.d/snapscan.conf
> >
> > At the very top where it says:
> >
> > ---
> > # Change to the fully qualified filename of your firmware file, if
> > # firmware upload is needed by the scanner
> > firmware /usr/share/sane/snapscan/your-firmwarefile.bin
> > ---
> >
> > change the location in that last line to the location of your firmware
> > file.
> >
> > Then restart xsane and hopefully it should work :) If not, then try the
> > scanbuttond fix previously mentioned in this bug and see if that fixes
> > it; please report back here...

Read more...

Download full text (4.3 KiB)

Hi Jaime,

Last week I tried the scanbuttond trick but it didn't work.
But believe it or not....at the moment the scanner works and I still
don't know why.
Different from some time ago is that I changed the line in snapscan.conf
like described below by Conrad. I remember something with USB when
installing version 6.10. It could be installed but sometimes the PC
stayed hanging during boot up of 6.10. I switched off the option "usb
legacy support" in the bios of my PC and since then it worked nice.
7.04 runs nicely too with this option off.
Now xsane works both from the gui and terminal window, but I'm not sure
if this will be the case tomorrow.

Hans

Jaime schreef:
> Hans,
>
> Exactly the same problem here. I think it is related with the USB_SUSPEND
> issue.
>
> Please, can you test if now scanbuttond solves the problem? (in my case, it
> remains the same ....)
>
> On 5/30/07, Hans van Esdonk <email address hidden> wrote:
>
>> I did the things mentioned below.
>>
>> u176v046.bin was the file from disk I had to use.
>>
>> It all looked promising. The scanner worked!!
>>
>> But strange things happened. It took a lot of time before the scan was
>> possible. After 19 seconds warmup the xsane window appeared. Pressing the
>> prescan button first led to "scanner busy" but after some time it made a
>> prescan and I could print it out.
>> So, I tried a few times and also from the terminal window. The messages
>> were clear: first line 19 seconds warm-up and then about 20 times the same
>> line: 20 seonds warm-up, so in total about 7 minutes.
>> Once again a try and it worked. That was the last time. The illumination
>> tube did not return to the beginning and the scanner wasn't found anymore.
>> So it looks if xsane only detects the scanner in the startposition
>> (detector?)
>> This is crazy!!!While typing this the scannerlight moves to the start
>> position and a scan is possible.......
>> So, what can be going on???
>>
>> Hans van Esdonk
>>
>>
>>
>> Conrad Knauer schreef:
>>
>>> Hans van Esdonk wrote:
>>>
>>> "With my BenQ 3300U (Acer) this doesn't work. The line tube doesn't go
>>> "home" after starting xsane. If it is at home position (after using
>>> windows program mirascan) it works every now and then and I don't know
>>> why."
>>>
>>> Your scanner likely requires proprietary firmware to be loaded when
>>> running it from Linux, as per http://snapscan.sourceforge.net/#supported
>>>
>>> Can you check to see which USB ID your scanner is specifically? To do
>>> this, install the "sane-utils" package (from the universe repository)
>>> and run "sane-find-scanner" from Terminal.
>>>
>>> For me, in the middle of the output was:
>>>
>>> "found USB scanner (vendor=0x04a9 [Canon], product=0x220e [CanoScan],
>>>
>> chip=LM9832/3) at libusb:003:007"
>>
>>> (the USB ID is the vendor/product strings; 0x04a9, 0x220e)
>>>
>>> For you the output should have vendor=0x04a5 and product as 0x20b0 or
>>> 0x20de.
>>>
>>> If its the one ending in b0, you need the firmware file u176v046.bin
>>> If its the one ending in de, you need the firmware file u222v067.bin
>>>
>>> That should be located somewhere in the Windows driver (you'll need to
>...

Read more...

Jaime (jaime-lopez) wrote :
Download full text (5.1 KiB)

Hans,

Can you give me your current snapscan.conf and firmware file?

Thanks,

Jaime

On 5/30/07, Hans van Esdonk <email address hidden> wrote:
>
> Hi Jaime,
>
> Last week I tried the scanbuttond trick but it didn't work.
> But believe it or not....at the moment the scanner works and I still
> don't know why.
> Different from some time ago is that I changed the line in snapscan.conf
> like described below by Conrad. I remember something with USB when
> installing version 6.10. It could be installed but sometimes the PC
> stayed hanging during boot up of 6.10. I switched off the option "usb
> legacy support" in the bios of my PC and since then it worked nice.
> 7.04 runs nicely too with this option off.
> Now xsane works both from the gui and terminal window, but I'm not sure
> if this will be the case tomorrow.
>
> Hans
>
>
> Jaime schreef:
> > Hans,
> >
> > Exactly the same problem here. I think it is related with the
> USB_SUSPEND
> > issue.
> >
> > Please, can you test if now scanbuttond solves the problem? (in my case,
> it
> > remains the same ....)
> >
> > On 5/30/07, Hans van Esdonk <email address hidden> wrote:
> >
> >> I did the things mentioned below.
> >>
> >> u176v046.bin was the file from disk I had to use.
> >>
> >> It all looked promising. The scanner worked!!
> >>
> >> But strange things happened. It took a lot of time before the scan was
> >> possible. After 19 seconds warmup the xsane window appeared. Pressing
> the
> >> prescan button first led to "scanner busy" but after some time it made
> a
> >> prescan and I could print it out.
> >> So, I tried a few times and also from the terminal window. The messages
> >> were clear: first line 19 seconds warm-up and then about 20 times the
> same
> >> line: 20 seonds warm-up, so in total about 7 minutes.
> >> Once again a try and it worked. That was the last time. The
> illumination
> >> tube did not return to the beginning and the scanner wasn't found
> anymore.
> >> So it looks if xsane only detects the scanner in the startposition
> >> (detector?)
> >> This is crazy!!!While typing this the scannerlight moves to the start
> >> position and a scan is possible.......
> >> So, what can be going on???
> >>
> >> Hans van Esdonk
> >>
> >>
> >>
> >> Conrad Knauer schreef:
> >>
> >>> Hans van Esdonk wrote:
> >>>
> >>> "With my BenQ 3300U (Acer) this doesn't work. The line tube doesn't go
> >>> "home" after starting xsane. If it is at home position (after using
> >>> windows program mirascan) it works every now and then and I don't know
> >>> why."
> >>>
> >>> Your scanner likely requires proprietary firmware to be loaded when
> >>> running it from Linux, as per
> http://snapscan.sourceforge.net/#supported
> >>>
> >>> Can you check to see which USB ID your scanner is specifically? To do
> >>> this, install the "sane-utils" package (from the universe repository)
> >>> and run "sane-find-scanner" from Terminal.
> >>>
> >>> For me, in the middle of the output was:
> >>>
> >>> "found USB scanner (vendor=0x04a9 [Canon], product=0x220e [CanoScan],
> >>>
> >> chip=LM9832/3) at libusb:003:007"
> >>
> >>> (the USB ID is the vendor/product strings; 0x04a9, 0x220e)
> >>>
> >>> For you the output should have ...

Read more...

Download full text (8.1 KiB)

Jaime,

please find attached the files.
In the conf. file there is a line near the top that says: firmware
/home/hans/u176v046.bin
so place the bin in your /home/jaime directory
The bin is directly from the CD of the scanner

By the way, after a reboot the scanner didn't work anymore, but after
some time and for some reason (maybe other usb port) it works again

Lots of luck.....

Hans

Jaime schreef:
> Hans,
>
> Can you give me your current snapscan.conf and firmware file?
>
> Thanks,
>
> Jaime
>
> On 5/30/07, Hans van Esdonk <email address hidden> wrote:
>
>> Hi Jaime,
>>
>> Last week I tried the scanbuttond trick but it didn't work.
>> But believe it or not....at the moment the scanner works and I still
>> don't know why.
>> Different from some time ago is that I changed the line in snapscan.conf
>> like described below by Conrad. I remember something with USB when
>> installing version 6.10. It could be installed but sometimes the PC
>> stayed hanging during boot up of 6.10. I switched off the option "usb
>> legacy support" in the bios of my PC and since then it worked nice.
>> 7.04 runs nicely too with this option off.
>> Now xsane works both from the gui and terminal window, but I'm not sure
>> if this will be the case tomorrow.
>>
>> Hans
>>
>>
>> Jaime schreef:
>>
>>> Hans,
>>>
>>> Exactly the same problem here. I think it is related with the
>>>
>> USB_SUSPEND
>>
>>> issue.
>>>
>>> Please, can you test if now scanbuttond solves the problem? (in my case,
>>>
>> it
>>
>>> remains the same ....)
>>>
>>> On 5/30/07, Hans van Esdonk <email address hidden> wrote:
>>>
>>>
>>>> I did the things mentioned below.
>>>>
>>>> u176v046.bin was the file from disk I had to use.
>>>>
>>>> It all looked promising. The scanner worked!!
>>>>
>>>> But strange things happened. It took a lot of time before the scan was
>>>> possible. After 19 seconds warmup the xsane window appeared. Pressing
>>>>
>> the
>>
>>>> prescan button first led to "scanner busy" but after some time it made
>>>>
>> a
>>
>>>> prescan and I could print it out.
>>>> So, I tried a few times and also from the terminal window. The messages
>>>> were clear: first line 19 seconds warm-up and then about 20 times the
>>>>
>> same
>>
>>>> line: 20 seonds warm-up, so in total about 7 minutes.
>>>> Once again a try and it worked. That was the last time. The
>>>>
>> illumination
>>
>>>> tube did not return to the beginning and the scanner wasn't found
>>>>
>> anymore.
>>
>>>> So it looks if xsane only detects the scanner in the startposition
>>>> (detector?)
>>>> This is crazy!!!While typing this the scannerlight moves to the start
>>>> position and a scan is possible.......
>>>> So, what can be going on???
>>>>
>>>> Hans van Esdonk
>>>>
>>>>
>>>>
>>>> Conrad Knauer schreef:
>>>>
>>>>
>>>>> Hans van Esdonk wrote:
>>>>>
>>>>> "With my BenQ 3300U (Acer) this doesn't work. The line tube doesn't go
>>>>> "home" after starting xsane. If it is at home position (after using
>>>>> windows program mirascan) it works every now and then and I don't know
>>>>> why."
>>>>>
>>>>> Your scanner likel...

Read more...

Download full text (6.0 KiB)

Jaime,

The scanner still gives troubles. Sometimes it works as it should.
I tried different USB ports and sometimes it works. The latest thing I
tried was switching of the power of the scanner and on again. Than it
worked but I'm not sure if this action is the reason.
Anyway, as soon as the scanner works it keeps working so far as I can
see. But after a cold boot (switching on the PC) it is possible that the
scanner doesn't work anymore and that you have to do some magic tricks.

Hans

Jaime schreef:
> Hans,
>
> Can you give me your current snapscan.conf and firmware file?
>
> Thanks,
>
> Jaime
>
> On 5/30/07, Hans van Esdonk <email address hidden> wrote:
>
>> Hi Jaime,
>>
>> Last week I tried the scanbuttond trick but it didn't work.
>> But believe it or not....at the moment the scanner works and I still
>> don't know why.
>> Different from some time ago is that I changed the line in snapscan.conf
>> like described below by Conrad. I remember something with USB when
>> installing version 6.10. It could be installed but sometimes the PC
>> stayed hanging during boot up of 6.10. I switched off the option "usb
>> legacy support" in the bios of my PC and since then it worked nice.
>> 7.04 runs nicely too with this option off.
>> Now xsane works both from the gui and terminal window, but I'm not sure
>> if this will be the case tomorrow.
>>
>> Hans
>>
>>
>> Jaime schreef:
>>
>>> Hans,
>>>
>>> Exactly the same problem here. I think it is related with the
>>>
>> USB_SUSPEND
>>
>>> issue.
>>>
>>> Please, can you test if now scanbuttond solves the problem? (in my case,
>>>
>> it
>>
>>> remains the same ....)
>>>
>>> On 5/30/07, Hans van Esdonk <email address hidden> wrote:
>>>
>>>
>>>> I did the things mentioned below.
>>>>
>>>> u176v046.bin was the file from disk I had to use.
>>>>
>>>> It all looked promising. The scanner worked!!
>>>>
>>>> But strange things happened. It took a lot of time before the scan was
>>>> possible. After 19 seconds warmup the xsane window appeared. Pressing
>>>>
>> the
>>
>>>> prescan button first led to "scanner busy" but after some time it made
>>>>
>> a
>>
>>>> prescan and I could print it out.
>>>> So, I tried a few times and also from the terminal window. The messages
>>>> were clear: first line 19 seconds warm-up and then about 20 times the
>>>>
>> same
>>
>>>> line: 20 seonds warm-up, so in total about 7 minutes.
>>>> Once again a try and it worked. That was the last time. The
>>>>
>> illumination
>>
>>>> tube did not return to the beginning and the scanner wasn't found
>>>>
>> anymore.
>>
>>>> So it looks if xsane only detects the scanner in the startposition
>>>> (detector?)
>>>> This is crazy!!!While typing this the scannerlight moves to the start
>>>> position and a scan is possible.......
>>>> So, what can be going on???
>>>>
>>>> Hans van Esdonk
>>>>
>>>>
>>>>
>>>> Conrad Knauer schreef:
>>>>
>>>>
>>>>> Hans van Esdonk wrote:
>>>>>
>>>>> "With my BenQ 3300U (Acer) this doesn't work. The line tube doesn't go
>>>>> "home" after starting xsane. If it is at home position (after using
>>>>> windows pr...

Read more...

t2000kw (donhellen) wrote :

Well, this is where it gets interesting . . .

Dell is now offering Ubuntu 7.04 (Feisty Fawn) on their Linux computers. You can order it online right now. The standard price includes no support. Then there is a 30-day basic support, a 1 yr basic, and a 1 yr standard.

Imagine when someone who has a business buys a Dell Ubuntu desktop and can't use his scanner. Or even the average consumer who has no support option chosen.

Did Dell pick Feisty over other options (Dapper, or even Fedora, SuSE, etc.) to kill the idea of a Linux computer on the market, or did they just make a bad decision when choosing this particular release of Ubuntu? I'm hoping they just made a bad decision and would like to believe that the naysayers are wrong and that Dell does not have an evil plan to keep Linux out of their offerings.

This won't look good for Dell or Ubuntu. Hopefully, this might be the force to push Ubuntu into offering an early fix and not make the public wait for the next release. This still is bad for customers who choose no support. But if a kernel (or other) update that actually fixes this problem would be offered in the updates offered, I think Dell might be able to contact those customers and offer to help them through the update process if they are uncomfortable following the simple update process the first time.

If I've read correctly, it can be fixed, as other distributons have USB_SUSPEND enabled (which may or may not be related to the problem Ubuntu is experiencing) and still have good scanner support.

I completely agree with t2000kw .

I can't believe that this seems to be ignored.
This is no burning security problem, but Bug Importance is still set to low (kernel) and medium (sane-backends).
Each day there are a minimum of three complains - look at the list.

This is no "low" bug. This is a serial work inhibition in my case.

Please, CALM DOWN. If this were as easy to fix, it would have been done by the kernel team. Btw, it's just not true that only Ubuntu has this problem.

The problem has been fixed for the next version of the linux kernel, but you have to unterstand that they cannot just send out a new kernel version via apt-get without testing it a while. In case you urgently need your scanner, you might try compiling your own kernel:

http://www.kernel.org/pub/linux/kernel/v2.6/testing/linux-2.6.22-rc3.tar.bz2

The reason we are so upset is that we want to support Ubuntu and
therefore we are surprised that Fiesty was issued with the development
team knowing there was a difficulty.
If there had been a clear warning e.g. : "Don't upgrade to Fiesty if
you want to use a xsane or similar scanner" then we (your
customers/clients) could have taken an informed decision and probably
waited for the next issue.
Now you have a lot of very miffed people who are complaining and
probably a lot more who have not complained but just ditched Ubuntu as
too much trouble to mess around with a fix that it shouldn't need.
NB I am using Mandriva 2007 as it lets me use my scanner - It is not
perfect but then we all know only MS is - until Gutsy appears of course
regards
Mervyn Mitchell
Probably I am not using the right protocol for this site but then why
should I bother when courtesy of proper information is missing?

silentb wrote:
> Please, CALM DOWN. If this were as easy to fix, it would have been done
> by the kernel team. Btw, it's just not true that only Ubuntu has this
> problem.
>
> The problem has been fixed for the next version of the linux kernel, but
> you have to unterstand that they cannot just send out a new kernel
> version via apt-get without testing it a while. In case you urgently
> need your scanner, you might try compiling your own kernel:
>
> http://www.kernel.org/pub/linux/kernel/v2.6/testing/linux-2.6.22-rc3.tar.bz2
>
>

Sure, I understand this. My scanner doesn't work, too :).

But I think the ones to blame are the companies which ignore the Linux market and so some of their customers. Often writing a primitive driver is just a matter of 1 or 2 days. Ok, USB host drivers (in this case) are a lot more complicated. But if the companies offered some specifications, that would be a lot of help. Without these drivers developers are forced to experiment till they get stuff right.

What disappoints me is that the kernel team doesn't offer another kernel with "USB suspend" disabled. Most users aren't laptop users, anyway.

BTW I believe that for most people using Linux IS still more trouble than using Windows. I mean, how often do you have to dig yourself in manuals and howtos and tutorials and threads like this and ... and .. because you want configure some littleness. You surely know what I mean. Linux/KDE/Gnome need a few more years for better drivers, infrastructure and administration tools (a la the infamous "Control center").

Sitsofe Wheeler (sitsofe) wrote :

silentb:
Your "second kernel" suggestion is an interesting idea but it proves to be a support nightmare with all kernel testing having to be done twice, all kernel builds having to be done twice etc. and you never know what subtle interactions might occur in your new USB suspend disabled kernel. That's not to mention the difficulty of dealing with bug reports from people who end up on the "wrong" kernel (and then having to find out which kernel they are running) and so on.

pinus (pinus) wrote :

A second kernel might be a support nightmare. But this issue destroys Ubuntus reputation as a professional distribution. If you need your computers for business, would you upgrade after this bug? "Ubuntu" just showed that they release with a major _known_ regression and that they are not able to fix the problem. I can hardly imagine something worse for the reputation.

Markus Golser (golserma) wrote :

100% ACK

Bugs like this show us that Ubuntu is not ready for the desktop.

I have a several years old Canon Lide 30 works fine since Debian Sarge.
You can't just break basic functionality and then ignore the bug for weeks/months.

There are pages out there like sane that list the scanner as perfect working. Imagine someone buys this scanner and can't use it.

For me this is not a large issue (i use my scanner 2 or 3 times per year)

This BUG is NOT MEDIUM, this bug is HUGE.

I have to voice agreement with pinus and Markus. I realize the Ubuntu devs are really committed to meeting a release schedule, and I can definitely respect that, but going to release with this kind of major known regression is bad, BAD karma. Maybe they weren't aware how widespread these scanners are.

Tanker Bob (tankerbob) wrote :

Calm down???? This bug is a huge deal. I've been reading the tech blog debates about Windows vs. Linux for over six months now since my conversion. Things like this bug prove the Windows' proponents point that Linux isn't ready for prime time. After all that the ubuntu devs have done to make Linux accessible to the masses and support a huge range of hardware, it's more than a shame that an entire class of hardware that was supported earlier has been knowingly excluded from that support.

I finally convinced a friend to switch to ubuntu. After having huge issues with his wifi card and scanner, he's ready to give up and go back to Windows. He uses his scanner regularly for his avocation, so its support isn't a trivial issue to him. Without scanner support, he simply cannot use Linux. Everything worked fine for him under Vista. I'm sure that there are hundreds of similar stories, especially in the business environment. The low rating of the bug and the length of time this has gone without a released fix further shows that Linux isn't ready for the mainstream desktop. The suggestion to compile our own kernel sounds like gibberish to a potential convert--you can't possibly be serious. You only get one chance to make a first impression on a new user.

It breaks my heart that after my own conversion to the penguin and my writing articles strongly encouraging users to move from Windows to Linux, ubuntu has seriously regressed. By publishing a major release that regresses so seriously, the devs have proven beyond a shadow of a doubt that Linux is only really suited to geeks, not to the average PC user. They have made and continue to make us Linux evangelists look like fools. Congratulations.

Well, I had a peek at the newest source code and the usb_autosuspend functionality seems to have changed and improved quite a bit (most important point seems to be the addition of an initial delay). So I guess it is best to disable or backport usb_autosuspend officially.

I don't believe there are any new "subtle interactions" to be expected, in fact there are supposed to be less unwanted interactions in my opinion. Autosuspend only exists to save energy. It's no needed functionality for proper USB operation.

Also I noticed my printer prints faster without usb_autosuspend.

I've talked with the maintainer. I'll try to port some modifications back to Feisty... when I find time. Most probably next weekend.

Tanker Bob (tankerbob) wrote :

silentb - Thank you. I'll be out of town that week, but I look forward to the fix when I return.

Gregor Rosenauer (grexe) wrote :

Important note:
This happens also with EPSON Perfection 2480 Photo, so not only Canon is affected.
More importantly, this bug also causes problems with USB flashdrives and cameras (Olympus Camedia 765-UZ)!
It is a general USB-bug here, and I'm using a USB_SUSPEND-less now 2.6.22-based kernel for weeks now without problems to fix this issue.
I am also disappointed by Ubuntu not handling this issue in time, as the bug was reported already before Feisty was released.
As a normal user, I would have given up long ago, but as I am a developer, I struggle on:)

yostral (y-o) wrote :

I can confirm that, for the moment, with Gutsy 2.6.22-6 kernel, the problem is still here...

Hagy Hag (elektroschock) wrote :

Same here with Lide25

List of available devices:
    plustek:libusb:003:004

just another annoyed feisty user with a Canon LiDE 20. scanimage works but not kooka and the other GUIs :-(

device `plustek:libusb:002:002' is a Canon N670U/N676U/LiDE20 USB flatbed scanner

Look here for updates on what I'm doing:

http://usbsuspendbackport.wikispaces.com/

t2000kw (donhellen) wrote :

Well, this is interesting. Not the updates mentioned in the previous post--those are interesting also.

What's interesting is that the latest kernel updates (or patches--whatever) that I installed today allowed me to scan ONCE, not twice, in Xsane. It did not allow me to use Kooka at all. The second scan with Xsane after applying the kernel update and the system reboot did nothing but the black screen, but the program thought it was getting scanner input.

I don't know if this will help any of the developers, but maybe they are on the right track but not quite there yet.

Zulu Eleven (zulu-eleven) wrote :

I've been happily using feisty for a while, then I tried to use my canon lide20 (purchased because it was known to work with Linux). Scanbuttond works for me, thanks. I'm concerned about the above reports of the problem persisting in gutsy. Funny thing is I've got dapper on my laptop, where the scanner just works, and I wasn't aware of any laptop improvement in feisty regarding suspend.

I don't want to sound harsh, but if a decision had to be made between laptop suspend and breaking scanners, then I would suggest the feisty was not ready for release. Though if a large number of folks were bitching about laptop suspend, then I guess I understand. A lot of newbies wouldn't bother to trawl the bug reports for a fix.

That said, there's no OS without problems. Ubuntu has been a great leap forward in ease-of-installation, hardware recognition and usability. There's no way I'm going back to THAT operating system. And Ubuntu is the distro I would recommend to newcomers. BUT I will now be recommending that they install dapper and wait for either a fix or the next LTS edition. I've also logged bugs regarding gwenview, soundjuicer and Ukrainian language support, all of which work on dapper.

Oliver Neukum (oliver-neukum) wrote :

Hi,

the newest USB development trees contain a workaround for some types of breakage relevant here. However the scanner must be blacklisted for that to be activated. I need syslogs, preferably with CONFIG_USB_DEBUG, of your failures to include your scanners in new releases.

Regards
Oliver
usb developer

t2000kw (donhellen) wrote :

I think we'd be willing to help if we knew how to get you what you want, where to find it once it's set up to get a logfile, and how/where to send it.

Please add your syslog file here ( cat /var/log/syslog | grep usb ):

http://usbsuspendbackport.wikispaces.com/ProblematicHardware

t2000kw (donhellen) wrote :

Added what I think you want, both terminal output and syslog text

Donald

scott (sahendrickson) wrote :

For the CX7800, this bug report fixed the problem I was having:
https://launchpad.net/ubuntu/+source/sane-backends/+bug/72506

Oliver Neukum (oliver-neukum) wrote :

Yes, I need the syslog, but I need it for the actual failure case. If the scanner works I can't fix bugs.

SilverLoz (launchpad-loznet) wrote :

Hi Oliver,
I've posted mine to the link in silentb's post - is that what you want and is that the right place to put it?

Oliver Neukum (oliver-neukum) wrote :

Ok, if you want to capture debug info.

1. Boot with your scanner switched off
2. Notice the state of /var/log/messages
3. Switch on your scanner
4. Wait half a minute
5. Do "scanimage -L" (or anything that will fail)
6. Send me everything added to /var/log/messages after step 2

Tanker Bob (tankerbob) wrote :

"For the CX7800, this bug report fixed the problem I was having:
https://launchpad.net/ubuntu/+source/sane-backends/+bug/72506"

This fixed scanning for my CX7800 under Kubuntu 7.04 with the current kernel.

laksdjfaasdf (laksdjfaasdf) wrote :

@Oliver Neukum (#266)

Gutsy Tribe-1 + updates 2007-06-21; Kernel: Linux thinkubuntuz29 2.6.22-6-generic #1 SMP Fri Jun 1 19:24:12 GMT 2007 i686 GNU/Linux

Scanner: S2W 3300u
Ouput of /var/log/messages:

Jun 21 12:13:35 thinkubuntuz29 kernel: [ 265.564000] usb 1-2: new full speed USB device using uhci_hcd and address 2
Jun 21 12:13:35 thinkubuntuz29 kernel: [ 265.736000] usb 1-2: configuration #1 chosen from 1 choice

In step 5 I did the follwing things:

$ scanimage -L
device `snapscan:libusb:001:002' is a Acer FlatbedScanner22 flatbed scanner
$ xsane
[snapscan] Scanner warming up - waiting 20 seconds.
[snapscan] Scanner warming up - waiting 20 seconds.
[snapscan] Scanner warming up - waiting 20 seconds.
[snapscan] Scanner warming up - waiting 20 seconds.
$ scanimage -L
device `snapscan:libusb:001:002' is a Acer FlatbedScanner23 flatbed scanner

What happened was that after scanning a page the scanner head did NOT return to it's initial position like descriped in message #227. What makes me wonder is that after calling scanimage it showed FlatbedScanner23 instead of FlatbedScanner22. Maybe this has nothing to say...

Beside that there was no log message which indicates that the head of the scanner falls to sleep after scanning the page and not returning to initial position. If you need more logs/outputs let me know.

Oliver Neukum (oliver-neukum) wrote :

The increment of the number is consistent with the scanner disconnecting upon suspension, but the part of your log you posted doesn't show it. Is it complete?

Sitsofe Wheeler (sitsofe) wrote :

Oliver:
It probably would have been easier to ask folks to do
sudo dmesg -c
(start scanner)
dmesg > dmesg.txt
then have them upload dmesg.txt
but it's neither here nor there really...

Andrew Jorgensen (ajorg) wrote :

It really seems like this should be fixed in libusb rather than the kernel. To fix it in the kernel apparently the approach is to blacklist specific scanners, which obviously leaves newer scanners still broken. Another possible kernel fix is to lengthen the timeout for sleep, but this obviously doesn't help because humans are involved and humans work on their own time. If libusb checked the sleep state before accessing the device and woke it if needed then that would solve the problem for all programs using libusb.

Or perhaps it should be fixed in the kernel. Why does the kernel not automatically wake the device when a program attempts to access it? Or rather, why does it only wake it when the device is accessed in a particular way. If the design was intentional then libusb should be fixed, if the implementation in the kernel is incomplete then the kernel should be fixed.

My vote, if it matters, is libusb.

Oliver Neukum (oliver-neukum) wrote :

The kernel does wake up the devices if they are opened through usbfs. But that exactly is the point the buggy devices crash. Either you never suspend the scanners at all, or you need a work around.

As for the placement, it must be in kernel space. Some devices that have kernel drivers have the same problem. We cannot have two work arounds.

Michael Chang (thenewme91) wrote :

Just curious, but is there a difference between suspending a USB device and turning it off entirely and turning it on later, and if so, what is it? Maybe one could actually somehow shut off the devices which crash on suspend and turn them back on when the PC comes back? Can we selectively suspend USB devices, or...?

Andrew Jorgensen (ajorg) wrote :

It didn't seem to me that my device (canoscan lide 25, plustek) was crashing. Being able to run scanimage multiple times in sequence suggests that suspend works fine as long as the device is resumed properly. If I'm wrong about that I'd like to know in more detail what's really happening. The reason I'm pressing the issue is that, as I stated earlier, blacklisting specific scanners means that new scanners won't be blacklisted until someone runs into this issue, reports it, and in the case of Ubuntu waits 6 months to 1 year for their device to be added to the blacklist.

Blacklisting is not a forward-looking solution. Perhaps there is some way to probe the device to see if it supports suspend. Maybe by trying to suspend it, resume it, and see if it works. Or active a workaround whenever a device exhibits this behavior. A check of some kind to see if the device did actually resume and force it to wake up somehow if it didn't (by a reset and then a flag to say don't suspend it again).

Whatever the solution is it should work for devices that don't exist yet. Otherwise USB suspend is simply not safe and must not be used.

Michael Chang (thenewme91) wrote :

The following seem somewhat relevant:

http://lkml.org/lkml/2006/9/14/252
http://lkml.org/lkml/2007/1/14/98
http://lkml.org/lkml/2007/1/15/92

Someone seems to have known about this even in January, but there doesn't seem to be a good way of fixing this, apart from perhaps having a separate kernel if USB_SUSPEND must be enabled somewhere.

(Apparently the scanner is reconnecting and getting a new USB ID after an automatic suspend/resume, and as such is being non-compliant with the USB specifications... or something like that. The suspend occurs after two seconds of non-use.)

The workaround some people have used above is to install a daemon that keeps the scanner awake by polling it -- this prevents the scanner from going to sleep, and thus no suspend occurs, therefore there is no problem for resuming. That's not really a fix, though... IMO it's more like a kludge (which is probably worse than a blacklist).

Andrew Jorgensen (ajorg) wrote :

Thanks for the links I can see now that this really has been thought out. I still wonder how rare the problem actually is, and if manufacturers are likely to continue making broken devices, but maybe suspend really does save enough power to be worth the grief.

Michael Chang (thenewme91) wrote :

Most problems are thought out at least once before people start curtly responding "well it's an incompatibility with XYZ and we can't do anything unless they fix XYZ and this is what we think is the best way of fixing it" -- summing things up elegantly does take some work. (Performing Google searches under site:lkml.org are always a good place to start.)

As for the "broken devices" -- that's inevitable. From what I recall, there is a mechanism within a certain proprietary OS which holds a significant market share that says to the user, "Sorry, we can't suspend this computer because device XYZ is preventing it from happening; disconnect it if you want to suspend". To me, I suspect the best way of handling the situation is not a blacklist, but rather a whitelist -- only the components are safe to suspend on should be suspended. If a driver/device does not support suspend, then don't suspend it (at the driver/module level) and tell the user that s/he must disconnect the device if they want USB_SUSPEND. (And if the module is untested, or supports hardware that both does and does not suspend properly, then make it a kernel or runtime config whether that driver/module should use USB_SUSPEND. And add a way of configuring whether devices should be suspended if they're unknown...) Of course, depending on how USB_SUSPEND works, that might mean USB_SUSPEND would be useless if so much as one device is incompatible... but that might have to be a trade-off for this sort of thing.

That said, blacklists tend to be more forward-thinking, IMO... (don't treat a device special unless we have to). For something like USB_SUSPEND which saves power and is useful but isn't crucial to a device's functioning, I suspect it would be better to use a whitelist at the expense of USB_SUSPEND being applied to more devices. Assuming that is possible, which I am not sure about.

Just my two cents.

I just tried my scanner and found it does not show (scanimage -L) unless I'm root.
ran strace as regular user and as root. Ran diff and the most glaring problems seem to be:

user:
< open("/dev/bus/usb/005/004", O_RDWR) = -1 EACCES (Permission denied)
< open("/dev/bus/usb/005/004", O_RDONLY) = 4
< ioctl(4, USBDEVFS_CONNECTINFO, 0xbf9facf4) = -1 EPERM (Operation not permitted)

versus root:

> open("/dev/bus/usb/005/004", O_RDWR) = 4
> ioctl(4, USBDEVFS_CONNECTINFO, 0xbfdde074) = 0

Running lsusb shows my scanner as: Bus 005 Device 004: ID 04a9:221c Canon, Inc.
So as a single user on a system behind a separate firewall on a trusted network, I did the unthinkable and ran the following:

sudo chmod -Rf 0777 /dev/bus/usb/005

That fixed my scanner perms problem.

Cheers,

Alex C.

Arthur Schiwon (blizzz) wrote :

Canon Lide 30 is also not working with Gutsy Tribe 2 (LiveCD)

Ryan Novosielski (novosirj) wrote :

Can anyone here check and see if they have any other symptoms from bug 102659? There is suspicion that these are related.

I think that another issue has to do something with this USB thingy:
My USB mouse does not work when I send the laptop into suspend mode and wake it up again. Plugging it out and in in ANOTHER port makes it work again.

Maybe that's a separate bug, but for me that looks like it has something to do with the whole usb scanner problem/SUB/suspend.

I also have some problems with Mustek BearPaw 1200 when using sane-backends-1.0.18. The obtained image looks overexposed - I suspect that there are problems with calibration. Downgrading to sane-backends-1.0.17 solves this problem.

Responding to Ben Collins and Michael Chang.

The kernel devs are saying their suspend code is a mess. That is not something to foist upon users. If it comes down to either/or choices, probably the buggy suspend code should go. However...

It's not either/or. The best solution right now is a boot flag. That puts choice in the user's hands.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243038#c18

So laptop people can do what they want, and USB device people can do what they want, and everyone can use the same Ubuntu.

This idea that Linux compile flags are the right design is a little misguided anyway. Recognize that Linux is very imperfect as Linus himself keeps saying. Ubuntu is also way too assertive about what it thinks is important to users, Ben. All these bug reports and you're still not getting it....sigh.

There's little "hopefully" about anything kernel-wise as the regression still exists in 2.6.22rc4.
http://bugzilla.kernel.org/show_bug.cgi?id=8606#c4

Chris Samuel (chris-csamuel) wrote :

I believe that 2.6.21 adds the ability to disable autosuspend on a per-device basis under /sys, e.g.

/sys/bus/usb/devices/$USB_ID/power/autosuspend

This advice is from a person I know who is having problems with his USB Braille device under the stock kernel. :-(

Preventing people with sight problems accessing their computer reliably is not good.

Oliver Neukum (oliver-neukum) wrote :

Regarding the Braille device I am sorry. Please get me the vendor:product ids. Or is there a device class?

For the other devices, please post the vendor:product pairs on this page and I'll include them in 2.6.23

SilverLoz (launchpad-loznet) wrote :

Here's the vendor:product pair for my scanner:

ID 1606:0060 Umax [hex] Astra 3400U

michauskiel (hipahipa) wrote :

feisty has not recognized my scanner: canoscan 4400F :-( :-( :-(

matchstich (jaz0977) wrote :

i had 2 working scanners

Bus 002 Device 002: ID 05d8:4005 Ultima Electronics Corp.

found USB scanner (vendor=0x05d8, product=0x4005, chip=GT-6816) at libusb:002:004

and this one.

Bus 002 Device 003: ID 04b8:0104 Seiko Epson Corp. Perfection 1200

found USB scanner (vendor=0x04b8 [EPSON], product=0x0104 [Perfection1200]) at libusb:002:003

do not really care which one i can use as long as i can get one of them working.
thanks.

Chris Samuel (chris-csamuel) wrote :

Hi Oliver,

Thanks for your offer, I contacted the person with the Braille display and he responded with:

> As of the latest svn revision, the BRLTTY braille software
> (http://www.mielke.cc/brltty/) turns off autosuspend
> for this device before accessing it. This solves the problem.
>
> Unfortunately the timing wasn't too good: I discovered and reported this issue
> very shortly after a major release of BRLTTY (namely, version 3.8), so any
> distributors who pick up version 3.8 without the latest bug fix in svn will
> inherit this problem.
>
> Dave Mielke (the BRLTTY maintainer) may make a few extra adjustments to the
> code, but basically the problem was resolved by writing 0 to the
> power/autosuspend file for the device.

laksdjfaasdf (laksdjfaasdf) wrote :

My Benq S2W 3300U ID:

Bus 001 Device 002: ID 04a5:20b0 Acer Peripherals Inc. (now BenQ Corp.) S2W 3300U/4300U
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.00
  bDeviceClass 255 Vendor Specific Class
  bDeviceSubClass 255 Vendor Specific Subclass
  bDeviceProtocol 255 Vendor Specific Protocol
  bMaxPacketSize0 8
  idVendor 0x04a5 Acer Peripherals Inc. (now BenQ Corp.)
  idProduct 0x20b0 S2W 3300U/4300U
  bcdDevice 1.20
  iManufacturer 1 Color
  iProduct 2 FlatbedScanner 22
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 39
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x40
      (Missing must-be-set bit!)
      Self Powered
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 3
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0008 1x 8 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0008 1x 8 bytes
        bInterval 16
Device Status: 0x0001
  Self Powered

t2000kw (donhellen) wrote :

Part of the Ubuntu manifesto is that "every computer user should be
given every opportunity to use software, even if they work under a
disability."

Not having the USB thing working goes against this manifesto, which
Shuttleworth created and endorsed himself.

On the one part, any software that relies on the USB port which can't
use that USB port doesn't give every user the opportunity to use that
software.

Second, a disabled person who has minimal ability to type by hand but
could use a scanner to copy pages (whether for OCR or simply copying)
by using a USB scanner is shut out of the Ubuntu OS if they require
that ability.

Third, some teletype setups that use USB (or whatever it was related
to the deaf, perhaps, mentioned in the bug report forums) are also
locked out, further hurting the disable community.

Would this give someone further reason to pursue a quick resolution to
this problem?

Otherwise, the manifesto should be changed to "we don't care about the
software being usable or about disabled persons, for that matter." Or,
just get rid of that part of the manifesto and forget about it so it can
at least ring true for the rest of it..

This might seem a bit extreme, but imagine if you were one of the
disabled persons who need this feature. I work with some disabled
people and would prefer to be inconvenienced for their benefit
than the other way around. It's sort of like handicapped parking.
Handicapped people need a functional vehicle to get there in the first
place. Given a choice, they would choose to have a functional vehicle
rather than have to walk to the store and look at their available
parking place.

For a disabled person, I would think the power savings (apparently
debatable as to whether it's significant or not from the posts I've read)
would not be as important as the actual functionality of the OS and its
associated software. What good is it for a laptop to power down if the
scanner attached to it won't work in the first place?

Perhaps the priorities of the developers need to be changed.

There's still time to get the new kernel (that works) into Gutsy and into
the beta testing and get it to be part of Ubuntu BEFORE the kernel is
locked in for Gutsy.

t2000kw raises a good point, though I think even if scanners aren't involved, full and flawless support for devices whose function is specifically enabling disabled users to use their computer (i.e. USB braille devices) should be of *paramount* priority. I haven't read the SABDFL's statement but I'd imagine he'd agree that "blind users are a minority" is not an acceptable rationale for letting this go unfixed in Gutsy.

Sitsofe Wheeler (sitsofe) wrote :

Can someone point to the existing blacklist of known devices that can't handle USB suspend? I have access to a couple of scanners and will test them if they are not already known. Further can someone (t2000kw?) post the USB ids of the teletypes that don't work with USB suspend? It would be awful for blind users to suffer just because we couldn't get some USB ids...

Philipp (philipp30) wrote :

I can't believe the importance is still low (kernel) and medium (sane-backends). A lot of people can't use their USB devices and therefore can't use feisty the way it should be. What information do the developers need to solve this bug? how can we help? I love the idea of ubuntu, but I need to be able to reliably use my scanner and I don't know what to do. In fact I am thinking the unthinkable: Install Vista and be able to scan. I hate the Idea of using closed source software, but I don't feel that this bug gets enough importance and I don't think the developers understand the severity of this bug. If it isn't solved in gutsy, I will install vista and look back into ubuntu in about two or three years. Perhaps you don't care. This is really frustrating. :-(

Sitsofe Wheeler schrieb:
> Can someone point to the existing blacklist of known devices that can't
> handle USB suspend?

take a look here:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob;f=drivers/usb/core/quirks.c;hb=HEAD

Michael Chang (thenewme91) wrote :
Download full text (3.9 KiB)

Unfortunately, I think the problem here is twofold:

Firstly, the problem doesn't seem to affect *all* USB devices -- simply those who don't conform to usb_suspend, and violate the USB specification*.

Secondly, I think the issue is that there is a workaround -- but both enabling the workaround and not enabling the workaround will cause regressions either way. (In other words, regardless of what is done, _something_ will stop working, give or take.)

*That said, I think that simply not conforming to a specification seems like a ridiculous reason to cause problems for a device, although I don't think the intent was malicious... or intentional for that matter.

As has been noted above, there are workarounds -- recompiling a custom kernel without usb_suspend, or creating and/or installing a program to constantly poll the device, thus preventing usb_suspend from kicking in.

As fishor's post has noted, there is now code in the linux kernel which will disable usb_suspend on devices which have been specified as having the quirk of faulting under this bug. How long it will take for the code to propagate to users is another issue entirely. Considering the 6-month release cycle of Ubuntu, it might not be until October or even next April before the "fixed" code gets to end users -- and even then, it will only help users who A) encounter the problem, B) find out the cause, and C) report the bug before the necessary release/sync deadlines. (If it weren't for the fact that Ubuntu releases every six months, this might have taken even longer than that.) If your device is uncommon, it would be a good idea to investigate avenues for reporting device IDs to the kernel developers so they can fix the problem for you upstream. Even if the real fix takes six to twelve months to get to you, hopefully this particular won't come back to that device for a long, long time once it's fixed properly. (Unfortunately, A workaround, downgrading, or use under an alternate OS/PC might be necessary in the meantime... or perhaps foregoing the device in the case of non-essential devices... Alternatively, users have the option of compiling and running bleeding-edge code, with all of the additional bugs that comes with that decision.)

In either case, a fix is in the works, and will eventually make its way to machines installed with a future version of *buntu.

As Mark noted, Red Hat has a workaround that works for their kernel -- is there anyone who has such a device who can confirm whether that workaround also works on a Ubuntu machine? (This won't fix the problem, but it will make it go away. However, it will also negate any "power savings" for laptop users that would have come with this particular new feature with the kernel.)

1. Open Applications, then Terminal.
2. A box should appear. In the box, type "sudo gedit /boot/grub/menu.lst" (without quotes) and hit enter.
3. Look about halfway down for a line that starts "# defoptions=" (without quotes; NOTE: use the line with ONE "#" symbol)
4. At the end of this line, add a space, then "usbcore.autosuspend=0" (without quotes)
5. Save and quit gedit.
6. In the box you used earlier, type "sudo /usr/sbin/update-grub" and hit enter.
...

Read more...

This is becoming pathetic: 4 months, 300 comments and finally the bug is confirmed, "Medium" severity. Not really medium to me or most other reporters. Our hardware does not work on a "Medium" level. It does not work at all.

I do get what I pay for. That, however, should never be an excuse (and other options are worse anyways).

FWIW my affected device's ID is: 04a9:220e Canon, Inc. CanoScan N1240U/LiDE 30, if some sort of exclude list is being compiled, as was intimated a few posts ago.

Also, on a different note: I think it might be a little hard to compile yourself a kernel to get your USB braille device working... if you are blind and your USB braille device isn't working. :\

t2000kw (donhellen) wrote :

Maybe this isn't being fixed because the developers think that this fix actually works consistently on all Ubuntu systems?

I tried it, the menu.lst file is changed, GRUB was updated, and I can not use Kooka or Xsane.

Why not assume that all of this chatter is because the "solutions" either don't work or are overly challenging for people who switched to Ubuntu because it was supposed to be the user-friendly Linux?

I've tried recompiling the kernel, following directions posted on the Ubuntu web site. I hit a snag somewhere and the community has not been able to help me figure out what goes wrong. They do debate over which set of directions to use, where to but the link, etc. So if the experienced disagree on how it is to be done, the inexperienced certainly won't feel comfortable doing a recompile of the kernel. It's not reasonable to expect everyone to be able to do this, especially someone who is blind, as mentioned previously.

Why not just push this a little harder, take it a little more seriously, and get this fixed by using the kernel that works in the next beta release of Gutsy and get it in the final release in October. There is still time to do this if the right people care. But from what we're seeing regarding the severity rating of this problem, it won't be taken seriously by the Ubuntu developers. It will be fixed despite them but we will have to wait until the newer kernel makes it into the Ubuntu program. That will happen even in any event. We're just asking that it be done sooner than later.

If Mr. Shuttleworth knew about this problem personally (I doubt he is able to keep track of everythig going on with the OS), I think he would want to show that he values the manifesto, that it's not just a bunch of empty words like so many companies' mission statements. I don't know how to contact him, nor find out if he is personally aware of this, but this is something that should be reported in the linux news community (like Slashdot.org) at this point so others can know how well supported this OS really is. Maybe someone can write up an article for Slashdot to point out the unsolved problems we are having and maybe it will get attention after it hits the international press?

@ Michael Chang

Unfortunately, the fix you posted doesn't work for me at all. No changes, still the same problem.

I've got a Canon LiDE 30, running Ubuntu Feisty Fawn.

How is it possible that such a bug still exists since the release of Feisty, where Launchpad is such a great infrastructure that should be the very first platform to help avoiding such problems. I just don't get it.

Mark (azovap002) wrote :

Michael Chang - that's too much ratiocination. Please stop dismissing user reports like that.

Ubuntu can fix this problem *now*. Compile a Feisty kernel with CONFIG_USB_SUSPEND unset, then make that available as a standard Ubuntu repository item.

Again, this puts choice in user hands. They can install if they need it, and even select whether they want it at boot time from the grub/lilo boot menu.

Vendors will always violate specs. The kernel will always have bugs. Ubuntu should offer better support than: a fix is on the way in a year, our laptop config is more important than your dekstop config, etc.

Michael Chang (thenewme91) wrote :

My apologies, I am simply a user like you guys -- attempting to be helpful.

Nobody (until now) _denied_ that the solution worked -- which is why I reiterated the comment. Now that we know that option doesn't work means that the fix probably involves some RH-specific patch, or RH systems are somehow different from Ubuntu. (Not surprising, but it's important to know.)

Ben Collins, who *is* on the kernel team, has already stated his rationale on the importance of CONFIG_USB_SUSPEND, in https://bugs.launchpad.net/ubuntu/+source/sane-backends/+bug/85488/comments/14 (above).

das (dasd-here) wrote :

<quote>
1. Open Applications, then Terminal.
2. A box should appear. In the box, type "sudo gedit /boot/grub/menu.lst" (without quotes) and hit enter.
3. Look about halfway down for a line that starts "# defoptions=" (without quotes; NOTE: use the line with ONE "#" symbol)
4. At the end of this line, add a space, then "usbcore.autosuspend=0" (without quotes)
5. Save and quit gedit.
6. In the box you used earlier, type "sudo /usr/sbin/update-grub" and hit enter.
... </quote>

Dear Chang, your method did not work with my Cannon LIDE 20 on Feisty. In fact, before trying the usbcore.autosuspend thing, I was at least getting the preview, now both 'preview' and 'scan' in xsane are generating blank black pages. Maybe this black blank preview happened somewhere down the line with some interim upgrade: did check it quite some time back. Earlier in Ubuntu I was getting the previw well, but scans giving be the black blank thing. I don't know what this scanner rigmarole means. It is really too much for an absolute UN-developer user like me. What I did was getting a partition blank and installing SuSE 10.2 there. It is working fine with my scan jobs. When I have them, I boot into SuSE.

Lemmit Kaplinski wrote:
> This is becoming pathetic: 4 months, 300 comments and finally the bug is
> confirmed, "Medium" severity. Not really medium to me or most other
> reporters. Our hardware does not work on a "Medium" level. It does not
> work at all.
>
> I do get what I pay for. That, however, should never be an excuse (and
> other options are worse anyways).
>
Lemmit, your comment does not add any useful information to the bug. I
have seen extensive discussions between our kernel team leads and
release managers about how we can address this issue without risking
existing known-working configurations.

By all means, submit a patch, or help to test the issue. Also, I trust
you are helping to test Gutsy to ensure that a similar issue doesn't
crop up there. Thanks!

jengel (jengel-iname) wrote :

autosuspend=0 in newer kernel releases means "as soon as possible".
A negative value prevents autosuspend.

Can someone with a newer kernel possibly test and confirm this?

I can confirm that autosuspend=0 is not working as a kernel line add.
Current testing Gutsy 2.6.22-7--scanner Canon Lide 20.

I'm running Gutsy Gibbon in VirtualBox (native system is Feisty Fawn), where
Xsane works fine with my Canon LiDE 30. Does that mean that this problem is
solved in Gutsy?

2007/7/10, jengel <email address hidden>:
>
> autosuspend=0 in newer kernel releases means "as soon as possible".
> A negative value prevents autosuspend.
>
> Can someone with a newer kernel possibly test and confirm this?
>
> --
> some usb_devices fault if usb_suspend enabled
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I'm running Gutsy Gibbon in VirtualBox (native system is Feisty Fawn), where Xsane works fine with my Canon LiDE 30. Does that mean that this problem is solved in Gutsy?

Philipp (philipp30) wrote :

I totally agree with comment 300. Why not just compile a kernel for us ubuntu users which allows us to switch autosuspend off, if we want to? I don't understand this.

Sitsofe Wheeler (sitsofe) wrote :

USB suspend has recently been disabled by default in Fedora kernels - see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243038#c19 (although it has been turned on and off a few times). The usbcore.autosuspend=0 parameter was added in 2.6.21 (see http://www.linuxhq.com/kernel/v2.6/21-rc6/Documentation/kernel-parameters.txt or http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=b5e795f8df42936590ba9c606edc715fe3593284 ) .

fishor:
Thank you!

t2000kw:
Do you have the USB id for that USB braille device that was showing this issue?

Sitsofe Wheeler (sitsofe) wrote :

( http://marc.info/?l=linux-usb-devel&w=2&r=1&s=quirks.c&q=b gives a list emails some of which contain patches that are against drivers/usb/core/quirks.c that haven't hit git yet)

Michael Chang (thenewme91) wrote :

@jengel: What constitutes a "newer kernel"? Does the 2.6.20-16.29 in Feisty count? And do negative values have special meaning, or can we assume "-1" for the time being?
@cank1090: IIRC, Herd CDs are also live-install combo CDs, like any other -- would it be possible for you to burn the ISO to e.g. a CD-R or CD-RW and try scanning from the live CD?
@Sitsofe Wheeler: I would presume the kernel team doesn't want to go through periods of inconsistency, where we switch the USB_SUSPEND toggle on and off and on and off... it would probably infuriate users in both classes when A says "it worked two months ago, then stopped, it worked again last week, and now it stopped again", and B says "that didn't work two months, ago, it did a few weeks ago, stopped two weeks ago", etc. -- IMO it would be ideal if we could fix this at the "source" and publish those kinds of changes properly, than give the impression that users won't be able to even guess when their hardware will/will not be working. It's too bad compiling a kernel correctly is both time-consuming and hard to get right even after doing it a few times.

Based on jengel's comment... Can somebody on Feisty who has confirmed the problem, and confirmed autosuspend=0 doesn't work, try using "-1", and failing that, deleting the entire "usbcore..." and adding "usbcore.autosuspend_delay=-1" instead(1)? Simply change the value instead of adding, and run "sudo /usr/sbin/update-grub" again. I don't expect it to work, because it appears the documentation for that "feature" appeared in version 2.6.21 (2)... and my Feisty system has .20, but it's important to be certain that a workaround doesn't work _before_ saying it doesn't work (just in case the functionality went in before the documentation or I'm viewing a weird patch or the versions differ or something else)...

(1) http://www.redhat.com/archives/fedora-kernel-list/2007-June/msg00101.html
(2) http://www.linuxhq.com/kernel/v2.6/21/Documentation/kernel-parameters.txt

SilverLoz (launchpad-loznet) wrote :

OK, Michael. I've just tried the "usbcore.autosuspend_delay=-1" workaround and can confirm that it _doesn't_ work for me (so I'll continue to use the Scanbuttond workaround until this is fixed properly)

SilverLoz (launchpad-loznet) wrote :

Sorry, I should more explicitly have said that neither "usbcore.autosuspend=0", "usbcore.autosuspend=-1" nor "usbcore.autosuspend_delay=-1" worked.

t2000kw (donhellen) wrote :

someone asked:

"t2000kw: Do you have the USB id for that USB braille device that was showing this issue?"

No. I read about it earlier in this or some other thread. It was a problem for someone. If you want to follow up on that one, you can try following back on this thread. I think it was mentioned not that long ago. If I remember correctly, there was a "hack" to work around at least one of the devices' problems with the USB suspend problem. If the general problem is fixed it would most likely remedy that person's problem and others who are not able to do the hack.

It was interesting to see that Red Hat is concerned enough about the problem to do something rather quickly. I'm still here, though, patiently waiting for a fix or the next release. If Gutsy doesn't address the problem, I'll look into switching distros, possibly to another Debian based one so I don't waste a lot of the time I've invested in this one. I can wait until then, booting to XP when I need the scanner, then grabbing the file from the XP drive when in Linux to do things with it.

jengel (jengel-iname) wrote :

I think for the sake of sanity we should include kernel versions if possible when we make comments if something work or not.

It seems the autosuspend went through 3 iterations.

 1. No disable possible, unless you recompile with USB_SUSPEND disabled
 2. autosuspend can be set, with 0 = disable *see note 1.
 3. autosuspend can be set, with negative value to disable, 0= as soon as possible. (at least in 2.6.22)

AFAIK option 2 and 3 will only be available if you compiled your own kernel from kernel.org sources
Option 1 is the option for Feisty kernels
Can't comment on Gutsy

note 1: It might be that this was never the case, but some confusion based on the fact that USB device drivers have a autosuspend that if 1 indicate device can suspend, and if 0, device cannot cannot be suspended. Is it possible that this is being confused for the global setting in kernel parameters?

@Michael, I have no idea what different negative values would do, from KERNEL-PARAMETERS.TXT (2.6.22):

 usbcore.autosuspend=
   [USB] The autosuspend time delay (in seconds) used
   for newly-detected USB devices (default 2). This
   is the time required before an idle device will be
   autosuspended. Devices for which the delay is set
   to a negative value won't be autosuspended at all.
Having a look through the source code it seems the check is if autosuspend_delay < 0 then it is disabled.

@SilverLoz, what kernel version are you using?

SilverLoz (launchpad-loznet) wrote :

@Jengel. "uname -r" reports 2.6.20-16-generic

Michael Chang (thenewme91) wrote :

@jengel: Well if the code _appears_ to do that, then we can probably work with that until the fix comes out and/or people tell us to do differently.

@SilverLoz: Thank you very much for trying our suggestions.

As stated above, I wasn't expecting the boot-time flag to work in 2.6.20 (a.k.a. Feisty kernels) simply because it seems the patch to add that functionality appeared in 2.6.21. Knowing helps, though. The boot-time flag _should_ work in Gutsy, which uses 2.6.22... at least in theory. Would it be possible for you (or someone else with a USB device who is affected by this problem) to download a Gusty *buntu Tribe ISO, burn it to a CD-R/RW, and then try appending "usbcore.autosuspend=-1" to the kernel command line before scanning from the LiveCD environment? (Once I get the ISO downloaded myself I'll try and write up more detailed instructions, but I actually haven't tried Gutsy yet, so I'm not fully familiar with what changes (particularly interface changes), if any, are currently in Gusty.)

Ben Collins (ben-collins) wrote :

On Tue, 2007-07-10 at 04:14 +0000, das wrote:
> <quote>
> 1. Open Applications, then Terminal.
> 2. A box should appear. In the box, type "sudo gedit /boot/grub/menu.lst" (without quotes) and hit enter.
> 3. Look about halfway down for a line that starts "# defoptions=" (without quotes; NOTE: use the line with ONE "#" symbol)
> 4. At the end of this line, add a space, then "usbcore.autosuspend=0" (without quotes)
> 5. Save and quit gedit.
> 6. In the box you used earlier, type "sudo /usr/sbin/update-grub" and hit enter.
> ... </quote>
>
> Dear Chang, your method did not work with my Cannon LIDE 20 on Feisty.

That's because a kernel command line option has no affect on kernel
modules. This would be more proper by doing:

- sudo vi /etc/modprobe.d/usb-core-options
- Add a line with "options usbcore autosuspend=0", without quotes
- sudo update-initramfs -u

Reboot, and hopefully things will work as expected.

Oliver Neukum (oliver-neukum) wrote :

Try the "autosuspend" parameter in /etc/modprobe.conf.local

The IDs so far reported have been added to the USB development tree.

SilverLoz (launchpad-loznet) wrote :

@Ben. I tried that (used nano, not vi - I couldn't understand vi!). After reboot, I tried Xsane and it warned that it couldn't find a scanner attached; so I tried lsusb and drew a blank - NO usb devices were detected (despite several being attached as well as the scanner).

@Oliver. Please can you be a bit more specific about what entry to create. Is it the same as that suggested by Ben "options usbcore autosuspend=0" and do I need to do anything else (like the sudo update-initramfs -u bit)?

Arthur Penn (arthur-penn) wrote :

How do I identify my scanner to add to this quirks list? It is a UMax
Astra Net e3420.

> Try the "autosuspend" parameter in /etc/modprobe.conf.local
>
> The IDs so far reported have been added to the USB development tree.
>
> ** Attachment added: "new_quirks_1.patch"
> http://launchpadlibrarian.net/8410141/new_quirks_1.patch
>
>

t2000kw (donhellen) wrote :

Ben,

Your suggestion to:

"This would be more proper by doing:
- sudo vi /etc/modprobe.d/usb-core-options
 - Add a line with "options usbcore autosuspend=0", without quotes
 - sudo update-initramfs -u
Reboot, and hopefully things will work as expected."

did not work. It actually made the USB connected scanner invisible to Xsane and Kooka. I had to undo those changes for Xsane to even find the scanner.

Scanbuttond works on th efirst scan. It does not allow doing a preview scan followed after cropping the selection with another scan. It only works one time, then has to be run again.

Canon Lide series scanner here.

None of the suggestions made so far are acceptable work-arounds. The kernel needs to be fixed, or actually, the newer kernel that has the fix that works needs to be used in the next release. This would require someone with real authority (and a caring attitude for those who need to use a scanner, including some disabled persons) to make happen. This is an opportunuty for the Ubuntu developers to show that they can not only fix the USB problem but also please those who feel they need a little more time from their laptop batteries (and didn't think ahead to buy a second battery like I did).

Why not bite the bullet, make it happen, and make it work for both types of users. As a laptop user, I would gladly give up battery life for something that worked with my scanner, but it doesn't have to be one or the other, as can be seen by the fix in the new kernel (if I correctly understand the notes I read on the new kernel). It just means a more difficult beta test period to prove it can work or be made to work. Think "oportunity" and not "problem" and maybe it can be so. It won't go awy, that's for sure, unless everyone with a scanner "goes away" to another distro, which might happen if the community loses patience with the developers. From what I see in this forum and other places, it's starting to go that route, unfortunately, for some people. I'm willing to wait a little longer to see if anyone really cares about this.

t2000kw (donhellen) wrote :

And please, no more "fixes" that don't work. Spend your time making the new kernel part of Gutsy instead of trying to make the problem go away.

Oliver Neukum (oliver-neukum) wrote :

> UMax
> Astra Net e3420.

Post vendor:product id

Arthur Penn schrieb:
> How do I identify my scanner to add to this quirks list? It is a UMax
> Astra Net e3420.

lsusb

jengel (jengel-iname) wrote :

@Michael, I tried gutsy, but it doesn't run on my notebook.

@SilverLoz, Try one of the newer kernel, if your comfortable compiling a new one.

@All, Seems even more confusion on how to disable it, based in the posts above.

What I can confirm is:
Ubuntu: Feisty (7.04)
Scanners:
   CanonScan N1240U
   Acer 640BT
Kernel:
    2.6.20-16-generic (Ubunu standard Feisty kernel)
    2.6.20 (Ubuntu source)
    2.6.22 (kernel.org source)
Results:

The Caconscan would scan black pages, with no activity on the scanner itself with CONFIG_USB_SUSPEND set.
The Caconscan would scan black pages, with activity on the scanner itself with CONFIG_USB_SUSPEND not set.

I never tried the Acer with CONFIG_USB_SUSPEND set, but it does scan with it disabled, however, the lamp is always on and I cannot turn the scanner off.

I haven't tried any of the "autosuspend=0" suggestions, because of the uncertainty regarding proper config.

Conclusion:

1. Disable CONFIG_USB_SUSPEND until more stable and documented if having a scanner operational is important
2. CONFIG_USB_SUSPEND is not the issue, at least not with Canon scanners. Something else is wrong here, but it is being overshadowed by the CONFIG_USB_SUSPEND issue.

Re-compiling the kernel is easy, what is not easy is how to resolve the 2nd issue. I don't have any clue where to begin, and project pages on sane and plustek looks fairly quite, unless I'm looking in the wrong place.

Any ideas?

On Thu, 2007-07-12 at 13:25 +0000, jengel wrote:
(snip)
> 1. Disable CONFIG_USB_SUSPEND until more stable and documented if having a scanner operational is important
> 2. CONFIG_USB_SUSPEND is not the issue, at least not with Canon scanners. Something else is wrong here, but it is being overshadowed by the CONFIG_USB_SUSPEND issue.
>
> Re-compiling the kernel is easy, what is not easy is how to resolve the
> 2nd issue. I don't have any clue where to begin, and project pages on
> sane and plustek looks fairly quite, unless I'm looking in the wrong
> place.

Then you need to open a separate bug report. Don't bother with feisty,
test it and file it on gutsy.

Thanks

t2000kw (donhellen) wrote :

In case this particular USB Canon scanner has not been reported, here are the details:

Bus 001 Device 004: ID 04a9:2220 Canon, Inc.

Kernel is 2.6.20.16

The USB Canon printer does work:

Bus 001 Device 005: ID 04a9:1072 Canon, Inc. I850 Printer

Sitsofe Wheeler (sitsofe) wrote :
Download full text (3.3 KiB)

Disabling autosuspend on usbcore on 2.6.22-8-generic on a Gutsy install just resulted in the following warnings within dmesg and no resolution of the black scan problem with a Canoscan LiDE 20:
Bus 004 Device 003: ID 04a9:220d Canon, Inc. CanoScan N670U/N676U/LiDE 20

[ 23.178531] usb 2-1: configuration #1 chosen from 1 choice
[ 23.199413] WARNING: at /build/buildd/linux-source-2.6.22-2.6.22/drivers/usb/core/driver.c:1192 usb_autopm_do_device()
[ 23.199421] [<f886e116>] usb_autopm_do_device+0xf6/0x100 [usbcore]
[ 23.199442] [<f886e486>] usb_suspend_both+0x1c6/0x270 [usbcore]
[ 23.199459] [<f886e0c8>] usb_autopm_do_device+0xa8/0x100 [usbcore]
[ 23.199473] [<f8870fd9>] usb_create_sysfs_intf_files+0x69/0xa0 [usbcore]
[ 23.199489] [<f886ce31>] usb_set_configuration+0x2c1/0x4f0 [usbcore]
[ 23.199505] [<f8874d0d>] generic_probe+0x16d/0x250 [usbcore]
[ 23.199521] [<f886eb23>] usb_probe_device+0x33/0x40 [usbcore]
[ 23.199535] [<c025fa9e>] driver_probe_device+0x8e/0x190
[ 23.199544] [<c02eff23>] klist_next+0x53/0xa0
[ 23.199549] [<c025ed54>] bus_for_each_drv+0x44/0x70
[ 23.199554] [<c025fc66>] device_attach+0x86/0x90
[ 23.199558] [<c025fba0>] __device_attach+0x0/0x10
[ 23.199562] [<c025ecbd>] bus_attach_device+0x4d/0xa0
[ 23.199566] [<c025f109>] bus_add_device+0x129/0x160
[ 23.199571] [<c025d98f>] device_add+0x49f/0x570
[ 23.199576] [<f8868281>] usb_new_device+0x81/0x100 [usbcore]
[ 23.199591] [<f8868f5e>] hub_thread+0x78e/0xc30 [usbcore]
[ 23.199604] [<c02f087a>] schedule+0x2ca/0x890
[ 23.199610] [<c013bd00>] autoremove_wake_function+0x0/0x50
[ 23.199616] [<f88687d0>] hub_thread+0x0/0xc30 [usbcore]
[ 23.199629] [<c013ba42>] kthread+0x42/0x70
[ 23.199633] [<c013ba00>] kthread+0x0/0x70
[ 23.199637] [<c0105487>] kernel_thread_helper+0x7/0x10
[ 23.199642] =======================
[ 23.634675] WARNING: at /build/buildd/linux-source-2.6.22-2.6.22/drivers/usb/core/driver.c:1192 usb_autopm_do_device()
[ 23.634686] [<f886e116>] usb_autopm_do_device+0xf6/0x100 [usbcore]
[ 23.634710] [<f886e486>] usb_suspend_both+0x1c6/0x270 [usbcore]
[ 23.634727] [<f886e0c8>] usb_autopm_do_device+0xa8/0x100 [usbcore]
[ 23.634741] [<f8870fd9>] usb_create_sysfs_intf_files+0x69/0xa0 [usbcore]
[ 23.634758] [<f886ce31>] usb_set_configuration+0x2c1/0x4f0 [usbcore]
[ 23.634774] [<f8874d0d>] generic_probe+0x16d/0x250 [usbcore]
[ 23.634792] [<f886eb23>] usb_probe_device+0x33/0x40 [usbcore]
[ 23.634806] [<c025fa9e>] driver_probe_device+0x8e/0x190
[ 23.634814] [<c02eff23>] klist_next+0x53/0xa0
[ 23.634820] [<c025ed54>] bus_for_each_drv+0x44/0x70
[ 23.634825] [<c025fc66>] device_attach+0x86/0x90
[ 23.634829] [<c025fba0>] __device_attach+0x0/0x10
[ 23.634834] [<c025ecbd>] bus_attach_device+0x4d/0xa0
[ 23.634838] [<c025f109>] bus_add_device+0x129/0x160
[ 23.634843] [<c025d98f>] device_add+0x49f/0x570
[ 23.634849] [<f8868281>] usb_new_device+0x81/0x100 [usbcore]
[ 23.634865] [<f8868f5e>] hub_thread+0x78e/0xc30 [usbcore]
[ 23.634878] [<c02f087a>] schedule+0x2ca/0x890
[ 23.634884] [<c013bd00>] autoremove_wake_function+0x0/0x50
[ 23.634892] [<f88687d0>] hub_th...

Read more...

Sitsofe Wheeler (sitsofe) wrote :

Despite the above problem I have some good news: the sysfs interface for usb seems to work. On a Gutsy LiveCD (http://cdimage.ubuntu.com/daily-live/current/ ) from a few days ago with a 2.6.22-7-generic kernel I was able to do the following after finding xsane was producing black scans:
sudo -s
for i in `find /sys -name autos*`; do echo 60 > $i; done
Close any open xsane windows

After this I started xsane again, did a preview scan and an image was produced. Hopefully these steps will allow people to test whether having their device added to the quirk list will make any difference without having to change any configuration files and then rebooting. Using a value of 0 instead of 60 does not seem to resolve the problem (and when using a value of 60, after 60 seconds of inactivity to that USB device the problem will be back).

Canoscan LiDE 20
Bus 004 Device 003: ID 04a9:220d Canon, Inc. CanoScan N670U/N676U/LiDE 20

Sitsofe Wheeler (sitsofe) wrote :

Just grabbed another scanner. autosuspend issues do not seem to affect the CanoScan LiDE 60:
Bus 005 Device 006: ID 04a9:221c Canon, Inc.

So I guess my original idea of blacklisting all CanoScans would be unwise...

What devices are worth testing at the moment? Is it just scanners or is it worth checking mass storage devices, CD/DVD writers, USB bluetooth dongles, USB widgets, webcams, skype headsets, USB speakers, PDAs, MP3 Players, mobile phones, USB hubs, keyboards, mice and printers?

in the quirk file here:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob;f=drivers/usb/core/quirks.c;hb=HEAD

you can find the newest blacklist of the known devices, there are some
scanners, modem, audio and blackberry.

You should test every usb-device you have.

to disable autosuspend you should do:
echo -1 > /sys/module/usbcore/parameters/autosuspend

and only _after_ this attach you device.

_only_ -1 disable autosuspend

Sitsofe Wheeler schrieb:
> Just grabbed another scanner. autosuspend issues do not seem to affect the CanoScan LiDE 60:
> Bus 005 Device 006: ID 04a9:221c Canon, Inc.
>
> So I guess my original idea of blacklisting all CanoScans would be
> unwise...
>
> What devices are worth testing at the moment? Is it just scanners or is
> it worth checking mass storage devices, CD/DVD writers, USB bluetooth
> dongles, USB widgets, webcams, skype headsets, USB speakers, PDAs, MP3
> Players, mobile phones, USB hubs, keyboards, mice and printers?
>

matchstich (jaz0977) wrote :

do not know what happened. i clicked on xsane image scanner today.
and my epson perfection 1200 worked. scanned a photo.

my mem48 made a grinding sound. which is more than it ever did before.

yea, i have a working scanner.

thanks

brej (brej) wrote :

I had a problem with scanner Agfa snapscan 1212u_2. XSane gived me an error message: "Failed to start scanner : Error during device I/O" after clicking on the preview button.
I try the Fischors kernel and it solved my problem. Thank you very much Fischor.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

you should report the usb ID of you scanner to solve this problem for gutsy.

brej wrote:
> I had a problem with scanner Agfa snapscan 1212u_2. XSane gived me an error message: "Failed to start scanner : Error during device I/O" after clicking on the preview button.
> I try the Fischors kernel and it solved my problem. Thank you very much Fischor.
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGmL42VVCoNUmKuAcRAj9EAKCq75GMlmZrydTO8IhrilfWeMdCigCfXxPr
nYZrACExARP8dhU3aW029fU=
=q3So
-----END PGP SIGNATURE-----

brej (brej) wrote :

ok, there is:
USB scanner (vendor=0x06bd [AGFA], product=0x2061 [ Snapscan1212u_2]) at libusb:001:002

Sitsofe Wheeler (sitsofe) wrote :

fishor:
I don't tihnk you realise the enormity of what you are asking. We are talking about well over 50 different devices (many of which are owned by people's whose time is very expensive) some of which are very big and very heavy. I happen to know that support for autosupending usb mass storage devices isn't in place so unless something has changed it is futile for me to go around testing such devices unless something has changed...

brej:
I actually tested an AGFA snapscan (an extremely "difficult" scanner on Windows and OSX) on a Gutsy LiveCD yesterday (I can't remember if it was 1212u - I won't be able to check until Monday). It worked out of the box but then went on to make xsane generate an I/O error message. However, this did not seem to be related to autosupending. Unplugging and re-plugging in the scanner into the USB port seemed to make the problem go away for good which is why I didn't mention anything here.

dmesg reports:

Bus 004 Device 004: ID 1606:0060 Umax [hex] Astra 3400U

This device needs to be on the 'quirks' list. Thanks!

>> UMax
>> Astra Net e3420.
>>
>
> Post vendor:product id
>
>

Clay Weber (claydoh) wrote :

This works for me in Gutsy
2.6.22-8-generic, for my Lide 25 canon scanner

plustek:libusb:001:003' is a Canon CanoScan LiDE25 flatbed scanner

Clay Weber

On Friday July 13 2007 4:31:34 pm fishor wrote:
>
> to disable autosuspend you should do:
> echo -1 > /sys/module/usbcore/parameters/autosuspend
>
> and only _after_ this attach you device.
>
> _only_ -1 disable autosuspend
>

Hello everybody,
I have been using fishor's kernel since the beginning of may 2007 and it works perfectly !
Thank you again, fishor !

I have just tried the latest Gutsy Gibbon LiveCD : my scanner did not work at all...
Then I have tried what fishor proposed on 2007-07-13 :
"... You should test every usb-device you have.
to disable autosuspend you should do:
echo -1 > /sys/module/usbcore/parameters/autosuspend
and only _after_ this attach you device..."

And it has worked nicely for me as well !

My scanner is :
Bus 001 Device 004: ID 04b8:0114 Seiko Epson Corp. Perfection 660

I really hope this can be sorted out for Gutsy Gibbon... It is such a shame.
Personally I use a desktop and I do not need USB_SUSPEND...
Why can't we have two kernels ?

Thanks, anyway !
Best regards :-)

Amit Kucheria (amitk) wrote :

Can others confirm this bug is closed now?

Lionel Duval (fennec) wrote :

Amit, are you serious? With the number of posts and the unsolved problems remaining, I don't think this bug is going to be closed without any update in Ubuntu repositories.

Amit Kucheria (amitk) wrote :

@Lionel: I asked because Clay mentioned three posts above yours that the problem was fixed. And it was a new 2.6.22-8 kernel.

Clay Weber (claydoh) wrote :

On Tuesday July 17 2007 10:47:37 am Amit Kucheria wrote:
> @Lionel: I asked because Clay mentioned three posts above yours that the
> problem was fixed. And it was a new 2.6.22-8 kernel.

no, I confirmed that after setting /sys/module/usbcore/parameters/autosuspend
to -1, it works in the current gutsy kernel, I probably should have been more
specific about that. It was from Fishor's post #332

(click the "[...]" in a comment to see what was quoted)

--
Clay Weber
http://kubuntuforums.net
http://claydoh.com
http://emacdogsports.com

jjericho (jjjericho) wrote :
Download full text (3.4 KiB)

I've been bouncing around to a few threads on this exact issue for two days. I've only been using Ubuntu on my HP Pavillion dv2116wm laptop for a few weeks now, but I was really trying to fix this issue. I'm not really good at the coding and understanding some of the technical jargon on the threads here, but after a bit of monkeying around I was able to successfully get my scanner to work repeatedly without too much trouble. So it may be a bit off topic from the current angles being worked on, but maybe it'll help some of you guys, I dunno. I'm running Feisty Fawn on my HP (a recent fresh install from Vista), and the scanner is a Canoscan LiDE 30, which seems to be a pretty common scanner or similar to most of them. Here's what I did in lamens terms, and it works great.

I loaded terminal and just ran su to be root.
I installed scanbuttond simply by doing an apt-get install scanbuttond
Then I ran scanimage -L just to make sure my scanner was being recognized by the pc....and it was, I saw plustek:libusb:002:004' is a Canon N1240U/LiDE30 USB flatbed scanner
From here I just typed gimp, and launched gimp
In gimp I did the File>Acquire>Xsane>plustek:libusb:002:004 option (xsane also shows my built in vid cam on the laptop, but that's still not working...separate issue)
At this point, Gimp barked at me saying I shouldn't be running as root because I could screw something up...but I trudged along anyways
It launched Xsane with it's multiple windows
I hit Preview in the scan preview window, and instead of giving me an error...it started scanning!
I'm able to preview multiple times, use Xsane features to change file names, sizes, etc, and all the scanning options seem to work. I scanned multiple images!

I jumped all over the house.
Hopefully someone here can use this little bit of info I seem to have fallen into. Like I said, coding in Linux isn't my greatest talent, so I tried to find a workaround that was both easy and fast, without writing any code. Thus far, there's only one catch.

Once you restart the computer, the scanner is dead again. It's back to only being picked up by the pc, but not scanning. Gives me an error, even when I launch gimp as root and try to Acquire from the scanner. So I simply ran
apt-get remove scanbuttonb
apt-get install scanbuttonb

Launched gimp again, everything working gloriously again. So while everyone's working on the 'official' fix or at least a correct way of doing it, maybe this will help those of you stranded with limited Linux knowledge and just a need to use your scanner real quick. I'll fart around with it some more the next few days, see if I can figure out some sort of fix where you don't have to reinstall anything each time you reboot. I'm not sure if the USB issues with scanners and the fact that my HP laptop loses it's mind when it goes to sleep or is put in hibernate, but it may be. That feature does nothing but give me a black screen when I wake it up, and I have to force it off and back on to regain access again. So IF Ubuntu caused the USB scanner issue in the upgrade to Feisty Fawn simply due to including a sleep/hibernate feature for us laptop users....I seem to have gotte...

Read more...

With my Canon Canoscan N650U, I've just given a try with the Gutsy Tribe 2 burned as a live CD.

I first booted on the live CD, plugged in the scanner, then started xsane from the Applications menu.
The scanner was recognized, but trying a preview scan hunged xsane.
Same behavior as in Feisty (I use scanbuttond on Feisty to have it working fine).

So I disconnected the scanner, rebooted the live CD, then run a terminal, logged into root and keyed in the command to stop autosuspend :

$ sudo -i
# echo -1 > /sys/module/usbcore/parameters/autosuspend

Then, I plugged in the scanner, and started xsane from Applications menu.

At that point, I was able to fully use the scanner, it was working fine.

Whatever the status of this bug in Gutsy, it looks like running this scanner type in Gutsy will be possible with USB autosuspend off, a simple option added into Grub's config file to disable autosuspend at boot time should do the trick.

Sitsofe Wheeler (sitsofe) wrote :

Nicolas M:
Given that using
sudo echo -1 > /sys/module/usbcore/parameters/autosuspend
works for you in Gutsy can you include the output of
lsusb
here so your scanner can be added to the list of devices that need workarounds? That way it will be added to the blacklist of devices that can't cope with autosuspend.

Here is the output of lsusb for this scanner:

$ lsusb
Bus 002 Device 002: ID 04a9:2206 Canon, Inc. CanoScan N650U/N656U

t2000kw (donhellen) wrote :

The kernel freeze is October 4th.

There is still time to move the new kernel into Gutsy.

The fact that Mark Shuttleworth showed up in this forum to comment probably means that this will get fixed. I understand that when he feels strongly about something, it gets done, and that is the mark of a good CEO.

If that ends up to be the case, I will likely offer to do some editing of documentation for Ubuntu. I don't have the suitable equipment to be a tester as of right now, but that sounds like an interesting thing to do sometime in the future.

Oliver Neukum (oliver-neukum) wrote :

Any further IDs? Everything posted so far is on the way into the standard kernel.

Amit Kucheria (amitk) wrote :

I picked a hell of a bug to triage in my first month at work :)

I now have a list (see below) of all the USB IDs listed on this bug along with Oliver's list, that break with USB autosuspend. This list will go into drivers/usb/core/quirks.c in the next kernel release of gutsy (in the next week).

If there are any other devices that have been left out, NOW is the time to speak up. All we require is the output of 'lsusb' on the terminal.

static const struct usb_device_id usb_quirk_list[] = {
        /* HP 5300/5370C scanner */
        { USB_DEVICE(0x03f0, 0x0701), .driver_info = USB_QUIRK_STRING_FETCH_255 },
        /* Elsa MicroLink 56k (V.250) */
        { USB_DEVICE(0x05cc, 0x2267), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       /* Ultima Electronics Corp. */
       { USB_DEVICE(0x05d8, 0x4005), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       /* Acer Peripherals Inc. (now BenQ Corp.) S2W 3300U/4300U */
       { USB_DEVICE(0x04a5, 0x20b0), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       /* Samsung ML-2510 Series printer */
       { USB_DEVICE(0x04e8, 0x327e), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       /* Umax [hex] Astra 3400U */
       { USB_DEVICE(0x1606, 0x0060), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },

       /* Canon */
       /* CanoScan N1240U/LiDE 30 */
       { USB_DEVICE(0x04a9, 0x220e), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       /* CanoScan N670U/N676U/LiDE 20 */
       { USB_DEVICE(0x04a9, 0x220d), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       /* Canon LiDE25 */
       { USB_DEVICE(0x04a9, 0x2220), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       /* CanoScan N650U/N656U */
       { USB_DEVICE(0x04a9, 0x2206), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },

       /* Seiko */
       /* Seiko Epson Corp. Perfection 1200 */
       { USB_DEVICE(0x04b8, 0x0104), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       /* Seiko Epson Corp. Perfection 1200 */
       { USB_DEVICE(0x04b8, 0x0104), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       /* Seiko Epson Corp - Perfection 1670 */
       { USB_DEVICE(0x04b8, 0x011f), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },

       /* RIM Blackberry */
       { USB_DEVICE(0x0fca, 0x0001), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       { USB_DEVICE(0x0fca, 0x0004), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
       { USB_DEVICE(0x0fca, 0x0006), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },

Amit Kucheria (amitk) wrote :

Adding USB devices to blacklist

Changed in linux-source-2.6.22:
assignee: nobody → amitk
importance: Undecided → Medium
status: New → In Progress

Hi Dave,

That one is already on the list that I posted. If you have any other
USB device that breaks due to USB suspend and is _NOT_ on the list,
feel free to post that information here.

Regards,
Amit

On 7/19/07, Dave <email address hidden> wrote:
>
> Hi Amit,
>
> I have an Epson Perfection 1670 that doesn't work in Fiesty.
>
> Is this the output you are looking for?
>
> Bus 004 Device 007: ID 0bc2:0503 Seagate RSS LLC
> Bus 004 Device 008: ID 04a9:10b6 Canon, Inc.
> Bus 004 Device 006: ID 0d5c:a002 Belkin F5D6050 802.11b Adapter
> Bus 004 Device 004: ID 04b8:011f Seiko Epson Corp. Perfection 1670
> Bus 004 Device 002: ID 050d:0234 Belkin Components F5U234 USB 2.0 4-Port
> Hub
> Bus 004 Device 001: ID 0000:0000
> Bus 003 Device 003: ID 0aec:3050 Neodio Technologies Corp. ND3050 8-in-1
> Card Reader
> Bus 003 Device 001: ID 0000:0000
> Bus 002 Device 002: ID 06a5:d800 Divio Chicony TwinkleCam
> Bus 002 Device 001: ID 0000:0000
> Bus 001 Device 001: ID 0000:0000
>
> Regards,
>
> Dave Sones

Philipp (philipp30) wrote :

In my opinion there is also a problem with usb_suspend and the palm m505. If it is suspended you got to start the sync twice. The first sync will always fail because of usb_suspend.

Bus 002 Device 002: ID 0830:0002 Palm, Inc. Palm M505

Hi Amit,
I already posted here on 2007-07-16 !
Anyway, here again is the output of 'lsusb' on my computer :

Bus 001 Device 005: ID 04b8:0114 Seiko Epson Corp. Perfection 660

Do not forget my scanner on the blacklist, please !!!
Thanks !

Amit Kucheria a écrit :
> I picked a hell of a bug to triage in my first month at work :)
>
> I now have a list (see below) of all the USB IDs listed on this bug
> along with Oliver's list, that break with USB autosuspend. This list
> will go into drivers/usb/core/quirks.c in the next kernel release of
> gutsy (in the next week).
>
> If there are any other devices that have been left out, NOW is the time
> to speak up. All we require is the output of 'lsusb' on the terminal.
>
> static const struct usb_device_id usb_quirk_list[] = {
> /* HP 5300/5370C scanner */
> { USB_DEVICE(0x03f0, 0x0701), .driver_info = USB_QUIRK_STRING_FETCH_255 },
> /* Elsa MicroLink 56k (V.250) */
> { USB_DEVICE(0x05cc, 0x2267), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> /* Ultima Electronics Corp. */
> { USB_DEVICE(0x05d8, 0x4005), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> /* Acer Peripherals Inc. (now BenQ Corp.) S2W 3300U/4300U */
> { USB_DEVICE(0x04a5, 0x20b0), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> /* Samsung ML-2510 Series printer */
> { USB_DEVICE(0x04e8, 0x327e), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> /* Umax [hex] Astra 3400U */
> { USB_DEVICE(0x1606, 0x0060), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
>
> /* Canon */
> /* CanoScan N1240U/LiDE 30 */
> { USB_DEVICE(0x04a9, 0x220e), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> /* CanoScan N670U/N676U/LiDE 20 */
> { USB_DEVICE(0x04a9, 0x220d), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> /* Canon LiDE25 */
> { USB_DEVICE(0x04a9, 0x2220), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> /* CanoScan N650U/N656U */
> { USB_DEVICE(0x04a9, 0x2206), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
>
> /* Seiko */
> /* Seiko Epson Corp. Perfection 1200 */
> { USB_DEVICE(0x04b8, 0x0104), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> /* Seiko Epson Corp. Perfection 1200 */
> { USB_DEVICE(0x04b8, 0x0104), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> /* Seiko Epson Corp - Perfection 1670 */
> { USB_DEVICE(0x04b8, 0x011f), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
>
> /* RIM Blackberry */
> { USB_DEVICE(0x0fca, 0x0001), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> { USB_DEVICE(0x0fca, 0x0004), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
> { USB_DEVICE(0x0fca, 0x0006), .driver_info = USB_QUIRK_NO_AUTOSUSPEND },
>
>

My scanner also needs to be added to the blacklist:

Bus 002 Device 003: ID 04a5:207e Acer Peripherals Inc. (now BenQ Corp.) Prisa 640BU

Amit Kucheria (amitk) wrote :

@Philipp: I am loathe to add Palm M505 since atleast it works (wakes up) on a second sync. Could you report this upstream at bugzilla.kernel.org? I will take it if they accept it.

@Jean: This is a *huge* thread. Sorry I missed it the first time. I have it now.

@Luca: Added.

Gregor Rosenauer (grexe) wrote :

Same problem (and solution) with EPSON Perfection 2480:
ID 04b8:0121 Seiko Epson Corp.

Thanks for the work to all involved! I think we affected users should nicely
inform the vendors about this issue, maybe they can provide firmware updates
or at least fix this in newer models.

Gregor

t2000kw (donhellen) wrote :

I thought I posted this before, but I don't see my post, so here's my info:

donald@donald:~$ lsusb
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 004: ID 04a9:1072 Canon, Inc. I850 Printer
Bus 001 Device 003: ID 04a9:2220 Canon, Inc.
Bus 001 Device 001: ID 0000:0000
donald@donald:~$

The printer works. The scanner does not.

renbag (renbag) wrote :

Epson Perfection 1260 Photo is affected (it is the same as Epson Perfection 1260 with a TPA adapter):
ID 04b8:011d Seiko Epson Corp.

I suppose that Epson Perfection 1250 / Photo (ID 04b8:010f) are also affected, since they are similar and from SANE page they use the same plustek backend (http://www.sane-project.org/sane-mfgs.html#Z-EPSON). But this I have not verified by myself.

Chris Perry (clissold345) wrote :

I installed the kernal that fishor posted on rapidshare on 2007-05-01 and now I can use my scanner (Epson Perfection 1670) again.

I am amazed that this problem has not been fixed in the official release.

Matt Howe (howem) wrote :

Also affected:

Bus 002 Device 003: ID 04a9:2207 Canon, Inc. CanoScan 1220U

Sitsofe Wheeler (sitsofe) wrote :

t2000kw:
Your Canon LiDE25 (it might have an additional name) is already on the list.

Anyone new to this bug:
It is important that people with a problem test that doing
sudo echo -1 > /sys/module/usbcore/parameters/autosuspend
on Gutsy (using a live CD (http://cdimage.ubuntu.com/daily-live/current/ ) if you don't want to install it) _actually solves_ the issue they are seeing. It's no good having your device added to the quirks list because it was broken in Feisty and then finding there some other problem was preventing your device from working (or worse, that a workaround had been added in Gutsy that means your device doesn't need blacklisting)...

I'm again going to appeal to someone for information on which types of USB device are worth testing and additionally what the signs are that a given device has failed? I work in a University and if someone can give me a reasonable subset (as time is limited and lots of this equipment will have to be borrowed) I will try and test all the devices I can lay may hands on. However I need to know what failure mode I'm looking for on a given device and how to activate it...

(Previous comment on this was https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/85488/comments/331 )

Sitsofe Wheeler (sitsofe) wrote :

Additionally, it looks like there are different styles of quirk. How do we find out which quirk workaround is best?

Sitsofe Wheeler (sitsofe) wrote :

Oliver:
0x04a9, 0x2220 is probably a
CanoScan LiDE25
. See http://www.sane-project.org/sane-mfgs.html although the USB id doesn't appear to be in http://www.linux-usb.org/usb.ids ...

I will definitely get around to retesting that snapscan 1212u. The one I have access to is definitely that model but I have had very little time this week (ordering academic SLES 10 is actually very difficult...)

Oliver Neukum (oliver-neukum) wrote :

@Philipp

Please report this to <email address hidden>

@Amit

I am taking all IDs reported in this thread and putting them into Greg's tree. You can use its latest quirk file.

Oliver Neukum (oliver-neukum) wrote :

@Renzo Bagnati

Please verify that scanner. I cannot blacklist on a suspicion.

Changed in linux:
status: Invalid → Fix Released
Oliver Neukum (oliver-neukum) wrote :

The most likely devices to fail upon suspension are those that are least likely attached to laptops. Scanners and printers come foremost to my mind. To test printers you'll have to unload the usblp module, wait 4 seconds and reload it. Usually you see a disconnect event in the syslog when the device is resumed.

renbag (renbag) wrote :

I have verified that the Epson Perfection 1260 Photo (ID 04b8:011d) is not working in feisty and that this can be solved by using the scanbuttond workaround (but there are still problems with the TPA adapter, which doesn't work as well).

However I don't own an Epson Perfection 1250, I only guessed from its similarity to the 1260 and from other Epson model which have been reported in this list.

Oliver Neukum (oliver-neukum) wrote :

additional quirks

SteveB (steveb-icenet) wrote :

another for the list
ID 04b8:0122 Seiko Epson Corp.

laksdjfaasdf (laksdjfaasdf) wrote :

Ok, echo -1 > /sys/module/usbcore/parameters/autosuspend did the trick for my Benq 3300 S2W scanner.

It's a good idea creating a quirks list. But what makes me worry is, that in my opinion too less people will come to this bug page and post their problematic USB hardware ID. And I think that especially new Linux users, which Ubuntu tries to address, won't post their problematic hardware specs here.

If their hardware won't work, and they search in ubuntuforums or somewhere and get an answer like: "you have to go to command line, insert a command, post it to this bugs page and wait a few weeks until an updated quirks list is available with a new kernel update" they maybe go further and won't use Linux any more.

I do not know how many USB devices are affected from autosuspend, but it seems that these are a lot of people regarding to length of this report. I think it would be better to offer a dialog for people who have problematic hardware, that appends the line

echo -1 > /sys/module/usbcore/parameters/autosuspend

to /etc/rc.local for example. Maybe this is not a clean solution but better than having people with broken hardware to wait a few weeks/months until an updated quirks list with a new kernel is released.

Michael Chang (thenewme91) wrote :

I like this idea, but (IMO, at least) it would be important for such a dialog to also automatically capture the USB IDs of the devices in question and post them to some place where the quirks list could be updated, perhaps similar to or as a part of the automated bug reporting system now in Ubuntu. (That said, it seems a lot more obvious to capture "app XYZ has crashed" (Segmentation Faults, etceteras) so the dialog might not be something that pops up automatically... the user may have to activate it manually, or it may pop up in cases where it doesn't apply, in which case we have to find a way to A) reverse the change, and B) triage or otherwise verify IDs which appear on any auto-generated list actually exhibit this problem, and can have their functionality restored by adding them to the quirks list.) But wouldn't that be a feature request (i.e. requiring a separate bug report under "wishlist" or specification)?

t2000kw (donhellen) wrote :

I tried today's daily build so I could report on trying out the echo -1 . . . test on the USB scanner I have.

The problem is, while I can boot other ISO Linux CDROMs, this one boos so far and then stops at a light earth-tone (light orange-tan?) screen. The screen is blank, so I can't do anything.

I'll have to wait a few days and try again with another daily build.

Did anyone else encounter that problem?

jengel (jengel-iname) wrote :

@t2000kw Same problem I had with Tribe 2 and later. Try to get Tribe 1 ISO, worked for me.

fraz (franz-pfoertsch) wrote :

today I tested Gutsy Gibbon Tribe 3 with my epson perfection 1670 and xsane worked out of the box!

I am very happy about that, it give me some hope ...

regards
Franz

yostral (y-o) wrote :

On Tribe 3 LiveCD, still doesn't work with Canon Lide 30 scanner (ID 04a9:220e Canon, Inc. CanoScan N1240U/LiDE 30).

Markus Kienast (elias1884) wrote :

I am also having problems with other USB devices.

Robert North suggests in bug #88746 based on info from a kernel bug report that this might also have something to do with the CONFIG_USB_SUSPEND kernel option.

Comment from Robert North: https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/88746/comments/79
Kernel Bug he is referring to: http://bugzilla.kernel.org/show_bug.cgi?id=7932

Sitsofe Wheeler (sitsofe) wrote :

yostral:
This is no surprise... the quirk for your scanner hasn't gone in yet! See https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/85488/comments/351 .

elias:
Can you see if following the steps in https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/85488/comments/363 (as only Gutsy kernel has these options) resolves your issue? If so can you include the output of
lsusb
with the other devices plugged in?

Amit Kucheria (amitk) wrote :

@Oliver: Could you send me a link to the tree you are pushing these to? I am assuming you meant GregKH's tree?

@Afflicted users:
Please make sure your device actually gets fixed by the steps outlined in https://bugs.edge.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/85488/comments/363
Also, find the current blacklist at the following link [1], line 30 onwards. Post additional device IDs _only_ if it is not already on the list. These changes should be available in Gutsy Tribe 4 CD (9th Aug, IIRC).

[1] http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-gutsy.git;a=blob;h=c45403690959124e9382e69fbaf659c074b7c638;hb=f3cd393345b51195bcab12af49c3c043f5f9b91c;f=drivers/usb/core/quirks.c

Amit Kucheria (amitk) wrote :

Patches committed to git tree

Changed in linux-source-2.6.22:
status: In Progress → Fix Committed
oliver.w (oliver-w) wrote :

I have the same problem with my EPSON scanner. Xsane crashed, as well as kooka and scanimage dumps a core. But it looks
like, it has something to do with root privilegs. Runnning all the programs with sudo it works perfectly as before. For me, it looks like ubuntu has done during the last weeks, an update which kills the user rights for certain operations....

Looking forward to get some more ideas.

Sitsofe Wheeler (sitsofe) wrote :

oliver.w:
I suspect your issue is not related to this particular bug. Try searching for a more appropriate bug and if none can be found please open a new bug report. Thanks!

Ben Collins (ben-collins) wrote :
Download full text (3.9 KiB)

linux-source-2.6.22 (2.6.22-9.19) gutsy; urgency=low

  [Amit Kucheria]

  * Fix for FTBFS bug 123178
  * Fix for FTBFS bug 123178
  * Add devices to USB quirks to prevent USB autosuspend
  * More devices added to USB quirks
    - LP: #85488
  * Support for ENE CB-712/4 SD card reader
  * Reorder quirk list based on Vendor/Product ID

  [Ben Collins]

  * ubuntu: Enable HOTPLUG_CPU in sparc64-smp config.
  * ubuntu: Add xen to amd64 custom builds
  * ubuntu: Update real-time kernel to -rt4
  * rt: Patch from Alessio Igor Bogani <email address hidden> for RT-8

  [Chuck Short]

  * IDE: add MHV2080BH to NCQ blacklist
  * XEN: update to 2.6.22 final and amd64 support.
  * NET: Add more pci-ids to zd1211rw
  * IDE: add new PCI ID
  * USB: fix oops in ftdi_sio

  [Eric Piel]

  * ACPI: Allow custom DSDT tables to be loaded from initramfs

  [Ryan Lortie]

  * Macbook calibration loop fix
    - LP: #54621

  [Upstream Kernel Changes]

  * NETFILTER: {ip, nf}_conntrack_sctp: fix remotely triggerable NULL ptr
    dereference (CVE-2007-2876)
  * Linux 2.6.22.1
  * [SPARC64]: Use KERN_ERR in sun4v IRQ printk()'s.
  * [SPARC64]: Add LDOM virtual channel driver and VIO device layer.
  * [SPARC64]: Add Sun LDOM virtual network driver.
  * [SPARC64]: Add Sun LDOM virtual disk driver.
  * [SPARC64]: Create proper obppath sysfs files for VIO bus devices.
  * [SPARC64] LDC: Do limited polled retry on setting RX queue head.
  * [SUNVNET]: Validate RX descriptor size field.
  * [SPARC64]: Add missing symbol exports for LDOM infrastructure.
  * [SPARC64]: Temporary workaround for LDC INO double-delivery.
  * [SPARC64]: Create 'devspec' nodes for vio devices.
  * [SPARC64]: vdev->type can be NULL, handle this in devspec_show().
  * [SPARC64]: Assorted LDC bug cures.
  * [SPARC64]: Add domain-services nodes to VIO device tree.
  * [SPARC64]: Export powerd facilities for external entities.
  * [SPARC64]: Initial domain-services driver.
  * [SPARC64]: Use more mearningful names for IRQ registry.
  * [SPARC64]: Abstract out mdesc accesses for better MD update handling.
  * [SPARC64]: Fix MD property lifetime bugs.
  * [SPARC64]: Fix setting of variables in LDOM guest.
  * [SPARC64]: Initial LDOM cpu hotplug support.
  * [SPARC64]: Unconditionally register vio_bus_type.
  * [SPARC64]: Fix build regressions added by dr-cpu changes.
  * [SPARC64]: mdesc.c needs linux/mm.h
  * [SPARC64]: SMP build fixes.
  * [SPARC64]: More sensible udelay implementation.
  * [SPARC64]: Process dr-cpu events in a kthread instead of workqueue.
  * [SPARC64]: Add ->set_affinity IRQ handlers.
  * [SPARC64]: Fix leak when DR added cpu does not bootup.
  * [SPARC64]: Clear cpu_{core,sibling}_map[] in
    smp_fill_in_sib_core_maps()
  * [SPARC64]: Give more accurate errors in dr_cpu_configure().
  * [SERIAL]: Fix console write locking in sparc drivers.
  * [TIMER]: Fix clockevent notifications on 64-bit.
  * [SPARC64]: dr-cpu unconfigure support.
  * [SPARC64]: Fix UP build.
  * [SPARC64]: SMP build fix.
  * [SPARC64]: Fix race between MD update and dr-cpu add.
  * [SERIAL] SUNHV: Fix jerky console on LDOM guests.
  * [SPARC64]: Kill explicit %gl register reference.
  * [SPARC64]: Add basic inf...

Read more...

Changed in linux-source-2.6.22:
status: Fix Committed → Fix Released

Add Canon LiDE 60 to the blacklists.

@M. Chang - I read all comments before posting, and Ben's rationale is weak and wrong. Debian's Joerg Morbitzer is on target, http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=419197#62 : "as long as it is that buggy and officially 'experimental' I don't want to see it in a _Debian_ kernel!" (25 Jul 2007).

The kernel.org devs admit suspend code is bad, dozens of user bug reports prove it. It should be obvious now that CONFIG_USB_SUSPEND=y was the wrong default.

Besides which, there is a lot of kernel work going into new suspend designs anyway.

But all this debating is wasteful, because there is an easy fix - put an alt kernel in the repos. If Ben feels that strongly about jamming experimental laptop goodies into a one-size-fits-all kernel, maybe Ubuntu should branch a "laptop" kernel astride the server and mobile lineup.

This bug is nearly half a year old on Ubuntu bugzilla. A simple kernel offering in the repos would have solved it months ago for everyone.

@Shuttleworth - You should focus on what makes Ubuntu special, if anything.

I work with many Linux distros. I *want* to use Ubuntu - but generally can't because of issues like this. A common fallacy is, "that will be fixed next time." What can distinguish Ubuntu from the pack is offering solutions when needed. Otherwise I fail to see the value-added. I'm spending as much time fighting Ubuntu software to make it work as any other distro.

When Ubuntu supported PowerPC I did wait - and wait - and wait. I waited across *two* major releases and known bugs were still never fixed. (Then Ubuntu dropped the platform. OK, moving on.) My point is that waiting can turn into real frustration and futility.

An experimental laptop feature is now breaking large numbers of x86 desktops. Kernel.org devs admit the code is bad and mark it experimental. The same bad code is haunting 2.6.22. Ubuntu cannot afford that kind of PR.

Average people just want to know that hardware X works. Telling them "recompile your kernel" or "rebuild your initramfs" or "wait N months for Gutsy" or "use this tweaker script" is not cutting it. If they must do all that, they can suffer with any old Linux, and don't need a "friendly" distro. I am a *software engineer* and *even I* find Ubuntu frustrating. My main frustration is why your fulltime hires can't put fixes in the repos.

When Gutsy comes, there will be similar problems. Linux will *always* have these problems. Ubuntu needs a better strategy than "wait for Happy Hope..."

Please consider a laptop-specific kernel. Please offer alt kernels in the repos to address user needs. Please avoid telling users to wait for the next release. Especially when the fix is so well nailed as this one (simply turn a compile flag off). Offering alt kernels will cut down on bugzilla duplications too.

Myself, I am not persuaded that Gutsy will fix the problem, going by my experience with 2.6.22.1 and LKML research. I am just compiling that flag out of every Linux distro we deploy.

Sitsofe Wheeler (sitsofe) wrote :
jack (ubuntu-jackh) wrote :

i've been following this thread for some time now with a mood of increasing depression...

a year ago i was running 6.06 (kubuntu). it was my first experience of ubuntu and i was pretty happy. everything was working ok.

i failed to get 6.10 to install. i must have tried every option there was, but i couldn't do it. so i stuck with 6.06.

i got a new computer at the same time that 7.04 came out. on it went! and, fantastic, i could suspend it, something i could never do with 6.06.

well, a month or so later there was an update to KDE, which i installed using Adept. the next time i started the computer, no KDE at all.

after much googling (using Windows), i found that i had no swap disk, so i had to type some guid into a config file or two somewhere. i got KDE working...but it had no status bar or Start button. it took me more hours and more googling to get it all working again.

in the course of my googling i discovered that this lost swap disk seemed to have been reported as a problem with the suspend functionality. ok then, i won't use suspend any more.

then i needed to use my scanner. everything was black. more google, then go to a Windows machine (much merriment at my expense) to get the document scanned.

so, i have black scans because someone decided to ship a suspend feature that caused me several hours of grief. arrrghh.

i confess that i *assumed* that a bug like this would get fixed PDQ. i really could not believe the discussion in this thread. i've been dipping in every couple of weeks and it never gets any better.

i am not the kind of user to compile my own kernel. i'll happily run some script before starting the scanner, but custom kernels? no way.

i have a common scanner, which worked fine on 6.06. i can understand something getting broken by a new release (after all, Windows does it all the time) but i do expect such things to be fixed. to me, this is more important than adding new features. (why do i need a new feature if it's going to break at the next release?)

jack

Jack, I too feel that regression bugs are a drag... don't know if other
distros are any better, maybe Debian... but then again you'll have to live
with pretty obsolete software from time to time if you use it.

Anyhow, if Ubuntu has a bigger problem with regressions than other distros, my
guess is that it is due to its tight release schedule. Actually, I wouldn't
mind having a 'release when ready' practise for Ubuntu too (just like with
Debian), but still with a bit more frequent releases.

Then again I too am a KDE user, so for me following GNOME release cycles
doesn't make any sense... But as a KDE user I can get a fresh version of KDE
through kubuntu.org's repositories, if I feel that I need em. In the same way
Ubuntu could actually offer fresh GNOME versions without having to release a
whole new version of the distro...

For the time being I've solved my scanner problem (in Edgy and Feisty) by
having OpenSUSE on my second machine... I'm not saying OpenSUSE has less
bugs, but at least it doesn't have the scanner one... :) (I think Debian
doesn't have it either.)

  cheers, Simon
PS. Sorry for offtopicing, maybe we could find a more appropriate place for
this discussion.

t2000kw (donhellen) wrote :

I even tried to compile the kernel for my machine, following instructions in a Ubuntu forum post on "how to do it" and it didn't work. Turns out when I sought out help in a new post that there was disagreement on some items in the how to post, something about a symlink and where to put it, that the advice given was obsolete, etc. I've done it before, way back about 7 years ago, with Caldera and SuSE and even fiddled with framebuffers to force support for a laptop LCD screen. I'm not supre knowledgable, but I pieced together the information to figure out how to do it all and then posted a step by step procedure on how to get the LCD panel supported in Linux for the Dell Inspiron 7000 so others wouldn't have to piece the information together from various sources. But I am not knowledgeable enough to compile a kernel without step by step directions to follow. (And fortunately, my video devices don't require tinkering with Linux to get them to work now.)

But agree that this should have been fixed by now. Or fork another flavor of Ubuntu for laptops only with the understanding that scanners and some other USB devices might not work. It would be nice to have a "switch" of some sort to enable this feature on the fly or for the next reboot to please everyone if it can't be fixed soon.

I think it's going to be fixed in Gutsy, and I commend those behind the fix. The current alpha didn't fix it for me, though, so it's still a future fix.

I don't see why a generic kernel can't be created and pushed through updates to fix Feisty and just let the laptop users, probably the minority of people (though I might be putting it on mine soon again now that Wine has been changed and might work with it now), let them get a second battery or use the power adapter. I bought two batteries when I bought mine to give me 5 hours or more of use away from a power outlet.

Two questions I have about the power saving feature for laptops:

1. Does it save power when no devices are connected?
2. How much of an improvement in battery life are we talking about with this feature/bug?

@Sitsofe Wheeler - Canon LiDE 60 needs to be blacklisted. I know, because I *specifically recompiled* 2.6.20.15 from kernel.org with CONFIG_USB_SUSPEND=n to make it work again AND to make USB work again. This scanner led me to get into this whole issue. Otherwise USB just did not work at all (disks, let alone scanning). The 60 firmware is similar to LiDE 2x,3x,4x that others have reported. Probably the entire LiDE line should be treated the same.

@Shuttleworth - Just found a good article on the consumer problem manifested here. It relates to my notion that distros should release their own kernels more often not instruct users to wait for Happy Hope. All "Just to get a single periphial device working."
http://www.advogato.org/person/elanthis/diary.html?start=166

Think about this: Ubuntu could close all bugs *today* with the line, "will be fixed in a future release." That's not good long-term support. I realize Feisty is not LTS but you have the idea.

Thanks for listening. I chalk up most of these problems to Linus himself. With such a wild kernel development model, the distros really need to spend more time offering alternative kernel builds and kernel tweaks to fix things that Linus breaks for them.

The whole kernel numbering system is a deception. Major ABI breakages happen between minor point releases like 2.6.18 to 2.6.20. By now the kernel should have a number like 9.4.0.16.

Sitsofe Wheeler (sitsofe) wrote :

Mark:
Various USB fixes and workarounds appear to have gone into kernels later than 2.6.20. While recompiling it may have fixed this issue in the past you _may_ find that when using a LiveCD the problem no longer exists in Gutsy. If you can test a Gutsy LiveCD (several people above have said they can't because the CD doesn't boot) then please do so. I will try and retest on this week but time is short (I haven't even retested the Snapscan I said I would yet). The good news is that in Gutsy and later kernels one will be able to turn USB autosuspend off from userland without having to recompile the kernel using the aforementioned steps, which should make workarounds easier to enact.

As for the "ABI breakages"... I suspect there may be a better place to report your unhappiness about this (although I'm not 100% sure I categorise this as an ABI breakage, rather it is a regression) and the current kernel numbering scheme. Few people will see a comment here and as with all comments it is critical that the comment be aired in the right forum if the intent is for it to be acted upon.

Sitsofe - The point of the article and my comments was not "I'm unhappy" but that distros need to stop deferring solutions to the future.

There will be plenty of users who will not be able to upgrade to Gutsy. Besides, Google shows these problems plague 2.6.22rc's and final. There's no need for deep testing. I gave one 2.6.22rc4 link above, and can report identical problems myself using 2.6.22.1 + LiDE 60 (kernel.org build with suspend=y). My suggestion for Ubuntu Gutsy is to set the flag OFF by default, and supply a separate "laptop" kernel.

It's really amazing you guys are still not putting a simple kernel rebuild in the repos. This kind of non-responsiveness to bug reports has caused us to drop Ubuntu entirely and it is only because I saw Shuttleworth here that I still communicate at all. Otherwise I don't think there is *anyplace* on Ubuntu bugzillas / wikis / newsgroups / mailers that can convince you guys to change the workflow. Only Shuttleworth can do that, and only if he understands the vision disconnect that is happening. Basically the Ubuntu teams would rather work on future stuff than do the mundane things that make users happy....sorry to be a little blunt, but that is my honest impression.

Joel Berger gave a nice little wrapper script in comment #45. For some people this worked, for some people (like me, Canoscan lide 25, Feisty) the scanning element would not always return to its starting position. Until this is fixed, I'll post a new version of his script which basically changes the command to really reset/wake up the scanner again. IMHO this workaround point out that maybe the problem could be with sane, and not with libusb or the kernel. Anyway, here it is:

#!/bin/bash
# plustek-wrapper: finds a plustek USB device and keeps it alive while the
# wrapped program is running.
# Joel Berger <hikari (at) yumemiru (dot) org> 2007-04-15

# Requires:
# sane-utils (scanimage)
# sed
# gawk

# Detect device and store as $SANE_DEVICE
SANE_DEVICE=$( scanimage -L | \
                grep plustek | \
                sed 's/^.*plustek/plustek/' | \
                sed "s/' is a.*//" | \
                awk -F : '{print "/dev/bus/usb/" $3 "/" $4}'
             )

if [ $SANE_DEVICE ] ; then
  $* &
  CHILD_PID=$!
  while ps -p $CHILD_PID > /dev/null; do
# cat $SANE_DEVICE > /dev/null

# I'm not sure whether "scanimage -n" or
# "scanimage -L" is better here
      scanimage -n > /dev/null
      sleep 0.7
  done
else
  # If no plustek device is detected, bail out and run the program normally.
  exec $*
fi

well, the sane developers seem to be working on this as well:
http://lists.alioth.debian.org/pipermail/sane-devel/2007-July/019680.html

quoted:
> Hi,
>
> CONFIG_USB_SUSPEND, a Linux kernel option that makes the USB layer
> automatically put USB devices to suspend state when they're not in
> use, has exposed a number of bugs in pretty much all the USB
> scanners.
>
> Upon being suspended, the scanners will usually do an unplug/plug
> cycle instead of going into the suspended state - what really happens
> in most cases is that the scanner resets himself, loosing its settings
> and sometimes its firmware. Some scanners may react differently,
> exposing more hardware bugs (eg. their USB interface may crash).
>
> Starting with Linux 2.6.22, two things have happened:
> - a blacklist for the autosuspend feature, in which a lot of scanners
> are being added, mainly by Oliver Neukum from what I've seen, has been
> added. As of 2.6.22, the blacklist only has 2 or 3 entries IIRC, and
> is already greatly expanded in Greg KH's git tree - so this will make
> it into 2.6.23. This blacklist alone is obviously not going to cut it;
> we've got rid of the scanner kernel module because it was painful to
> keep it up to date and to update it on user's machine every time we
> needed to add a USB ID. This blacklist is just the same thing.
>
> - a sysfs attribute has been added to USB devices that allows turning
> off the USB autosuspend feature on a per-device basis. This attribute
> can be found under /sys/bus/usb/devices/*/power/level.
>
>
> By doing echo on > /sys/bus/usb/devices/<device id>/power/level, it is
> possible to disable the USB autosuspend feature (and wake the scanner
> up if it's suspended).
>
> By doing echo suspend > /sys/bus/usb/devices/<device id>/power/level,
> it is possible to force a device into suspend mode (and it won't be
> waken up automatically).
>
> By doing echo auto > /sys/bus/usb/devices/<device id>/power/level, the
> default behaviour of automatically suspending the device can be
> restored.
>
>
> So, as of a few minutes ago, the udev rules generated by sane-desc
> include a new RUN rule that will disable the USB autosuspend feature
> for all the scanners we know.
>
>
> That's the end of "black scans" as long as you run a kernel >= 2.6.22
> and this sysfs interface doesn't change :-)
>
> Have fun,
>
> JB.

--
Clay Weber
http://kubuntuforums.net
http://claydoh.com
http://emacdogsports.com

Or it might not work, just re-read it properly!

Looks like the next version of Ubuntu (the "Gutsy Gibbon"!) will take care
of it.

Love,

Robert

On 30/07/07, rubik-cube <email address hidden> wrote:
>
> Joel Berger gave a nice little wrapper script in comment #45. For some
> people this worked, for some people (like me, Canoscan lide 25, Feisty)
> the scanning element would not always return to its starting position.
> Until this is fixed, I'll post a new version of his script which
> basically changes the command to really reset/wake up the scanner again.
> IMHO this workaround point out that maybe the problem could be with
> sane, and not with libusb or the kernel. Anyway, here it is:
>
> #!/bin/bash
> # plustek-wrapper: finds a plustek USB device and keeps it alive while the
> # wrapped program is running.
> # Joel Berger <hikari (at) yumemiru (dot) org> 2007-04-15
>
> # Requires:
> # sane-utils (scanimage)
> # sed
> # gawk
>
> # Detect device and store as $SANE_DEVICE
> SANE_DEVICE=$( scanimage -L | \
> grep plustek | \
> sed 's/^.*plustek/plustek/' | \
> sed "s/' is a.*//" | \
> awk -F : '{print "/dev/bus/usb/" $3 "/" $4}'
> )
>
> if [ $SANE_DEVICE ] ; then
> $* &
> CHILD_PID=$!
> while ps -p $CHILD_PID > /dev/null; do
> # cat $SANE_DEVICE > /dev/null
>
> # I'm not sure whether "scanimage -n" or
> # "scanimage -L" is better here
> scanimage -n > /dev/null
> sleep 0.7
> done
> else
> # If no plustek device is detected, bail out and run the program
> normally.
> exec $*
> fi
>
>
> ** Attachment added: "plustek_wrapper.sh script - don't forget to make
> executable!"
> http://launchpadlibrarian.net/8599730/plustek_wrapper.sh
>
> --
> some usb_devices fault if usb_suspend enabled
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Oliver Neukum (oliver-neukum) wrote :

@Amit

git://www.kernel.org/linux/kernel/git/gregkh/usb-2.6.git

OK I have just this moment tested one of many AGFA Snapscan 1212u scanners that we have here with a 2.6.22-7-generic kernel and I can again state that they are not directly affected by the USB autosuspend option (I have not changed anything on the old Gutsy LiveCD and the scanner worked "out of the box"). I waited 3 minutes after plugging in the scanner before running xsane. Checking /sys shows all autosuspend parameters are 2. Doing an acquire preview scan after waiting 3 minutes results in an image being displayed (but upside down). This snapscan has an external power supply. lsusb: Bus 002 Device 004: ID 06bd:0001 AGFA-Gevaert NV SnapScan 1212U.

I have now just retested a CanoScan LiDE 60 here directly after snapscan. I waited 3 minutes after plugging it into the USB port before attempting an acquire preview scan via xsane. All /sys autosuspend options are unchanged and are at 2. The preview shows an image of what is on the scanner (correct side up). It has no external power supply. lsusb: Bus 006 Device 005: ID 04a9:221c Canon, Inc.

Sitsofe Wheeler (sitsofe) wrote :

A set of USB speakers were also fine even after I killed off gdm, went to a terminal, used asoundconf to change the default sound card and then speaker-test . lsusb: Bus 002 Device 006: ID 0672:1041 Labtec, Inc. LCS1040 Speaker System.

I will need a laptop to test USB and HP printers and that might take some time...

Mark (azovap002) wrote :

Sitsofe, about the Canon LiDE series: Testing to "prove" it's OK is not worthwhile. I can equally "prove" it's not.

What Ubuntu should do gather vendor information. Contact Canon to ask

(1) how similar the firmware is across the LiDE line and
(2) how well it supports USB suspend, if at all.

Then proceed with that data.

The fact that one LiDE model now barely works for one test configuration does not discount the standing LiDE bug reports, let alone kernel chatter about broken suspend code. Right now they are chattering how to change it. That will throw this whole discussion up in the air. The USB subsystem itself has been rewritten three times.

To clarify what does not work: We boot with scanners plugged in. The Canon LiDE60 prevents USB disk detection from working properly. We boot hand-portable USB disks where possible, so for us, the problem is acute. Anyway it is a different usage pattern than your hotplug test. The last thing we want users doing is hotplugging questionable USB devices that activate questionable kernel code.

Another laptop-lust item came to our annoyance recently, a package called uswsusp which we had to purge because it can't handle udev aliases properly; it needs hardwired device letters. Otherwise it stalls the boot sequence with cryptic device questions when booted on another PC. These laptop-lust "killer features" are getting very tiresome.

Michael Chang (thenewme91) wrote :

@Mark: Sitsofe is testing with the *Gusty* (you could say "alpha", "next version" or "testing") kernels, trying his best to ensure that this problem *does not affect the next release*. Whether it is worthwhile or not, at least he is TRYING to help fix the problem.

If you would like to contact Canon, you are free to do so and report back with the results. If they respond with valuable information (sans NDA) then there should be no reason why that information could not also be integrated into later bug fixes.

(Fortunately or unfortunately, the development model here seems to be that fixes can only go into the next version unless it's a security fix. Perhaps that needs to be changed, but that is a discussion for another (wishlist priority) bug report.)

@Mark: I'm certainly watching this bug, but I'm not going to push for a
change in update policy. We have a kernel team that does a very good job
of balancing the needs of many different users - from those running in
virtualised systems, to servers, to laptops, to multimedia desktops. I
trust them to reach the best combination of performance and reliability
for each of those communities.

Sitsofe Wheeler (sitsofe) wrote :

Mark (azovap002):
I apologise if you thought I was referring to Feisty with a 2.6.20 kernel. I have not tested this set up and nor will I due to time constraints. The only thing that I can ask you to do is to try a Gutsy LiveCD and see if the problem with your scanner remains. As for the firmware issues... I would be surprised if our firmware were different - can you indicate how to find out what version of the firmware I am running and can you post the version of firmware your scanner is running? I will try and sit down and restest the Gutsy LiveCD USB flash drive support with the scanner plugged into a laptop but this these tests are becoming torturous in their complexity. The only way for you to know for sure is to test with a recent Gutsy LiveCD...

Ronny D (luckivinatur) wrote :

Please test in Feisty Fawn kernel 262016 desktop (no laptop):

usb canon lide 25 together with usb samsung laserprinter ML-1610
(both usb 1.1)

scanner is there, xsane finds device immediately
printer when added with system, administration, printers is detected immediately and perfectly full name of the printer at USB#1, all fine... pick driver ML1610 from the list...

then what?

(black screen story, then with scanbuttond white screen with "vertical stripes computer code in vague colour") (????)
printer: red light on "On Line / Error"... (no other light...) but when taking the electricitiy cable (not the usb cable!) of the printer out, the red "error" light goes out... and the printer is no more seen in lsusb

all is brand new bought stuff

Ronny D (luckivinatur) wrote :

I am not a geek. What is this:

root 1935 0.0 0.0 0 0 ? S< 00:35 0:00 [ksuspend_usbd]

Is that "the bug"?

(and possibly responsible for either my brandnew scanner nor my brandnew printer functioning though detected perfectly?)

If i can have root access somehow in Feisty 7.04 desktop version, would it be solved for me (so i can scan and print with my usb-attached devices?

Ronny D (luckivinatur) wrote :

)

Ronny D (luckivinatur) wrote :

Please specify what command i need to execute, exactly, to disable 'usb suspend' "bug feature" in my Feisty Fawn 7.04 desktop (i am a non-geek), so i can see whether my usb-printer works at all or not (although perfectly detected) and so whether else it maybe is some fault in the Samsung ML1610 series and i can use the warranty card, although i know the particular printer must ("theoretically"?) work on Feisty; also i then could see whether i can have positive scan results then too. I have these tools brandnew for more than one week now... and have not been able to see them work at all, i was busy finding out... what was wrong (while being non-geek). See my posts above... (sorry for typos)

Ronny D (luckivinatur) wrote :

I will try to download kernel of Fishor...; if all goes wrong i may not be able to come back here to post, if it goes well, i could post results, hopefully positive.

I will execute this:

sudo dpkg -i linux-image-2.6.20-15-124-386.deb

though i don't like this:
if you can't start with this kernel. chose your old kernel in boot-maneger. It's confusing me.

so i do in xterm:
sudo dpkg -i linux-image-2.6.20-15-124-386.deb
now

"bye"

Ronny D (luckivinatur) wrote :

O..., maybe best is i learn somehow to rewrite the kernel myself, just take out that usb suspend; i suppose here is nobody around to teach me that.

t2000kw (donhellen) wrote :

You don't want to re-write the kernel, you want to recompile it, so if you're searching for directions, keep that in mind or you won't find the information you want.

The information you need, except for finding the USB option to disable it, is here:

http://www.howtoforge.com/kernel_compilation_ubuntu

I wasn't successful in getting the kernel to work after compiling it, and the help I got in the forums was contradictory, but you can look through the directions and see if it's something you want to try to tackle (I gave up on the idea and decided to use the work-around and wait for Gutsy). I did use Fishor's kernel but it didn't work for me and I had to remove the GRUB menu listing for it. That doesn't mean it's defective, it's just compiled for a computer different enough that it won't work on mine (might be an AMD-Intel thing).

If you do recompile your kernel (or use someone else's kernel), you'll want to lock your kernel down so it doesn't get updated in the normal updating process.

Another option is to use a distribution that fixes problems instead of requiring their users to wait. Some of the others were quick to address this problem in the Linux kernel. There are distributions that are Ubuntu based now, like Linux Mint (don't know if it has this problem, though). http://linuxmint.com/

I had made a recommendation to my company that we investigate replacing at least sme of our PC operating systems with Linux, but because of watching this problem and seeing how the problem isn't addressed immediately, I won't recommend Ubuntu if they decide to switch some of the computers over to Linux. I don't think all 10,000+ PCs at PACCAR (worldwide) would be able to use a different (non-Windows) OS, but many of them could definitely be switched over.

Markus Kienast (elias1884) wrote :

sitsofe:
I'll go ahead and try the gusty live cd.
I have attached my lshw output to #bug 88746: http://launchpadlibrarian.net/8286612/lshw.txt

To make bug fixing easier I strongly vote for implementation of a malone feature as outlayed here: #bug 3382
I think this could be a great help for bug fixers and bug files alike.

Ronny D (luckivinatur) wrote :

People!

I... but made a very little mistake... and misjudged some little thing... with my brandnew scanner... and i want to say for correction: 'scanbuttond' WORKS... it is true... IT WORKS PERFECT in my Canon Lide 25 in Ubuntu 7.04 (no laptop) Feisty!

problem solved! the bug is gone!

MY SCANNER IS WORKING... !!!!!
THANK YOU SO MUCH

but scanbuttond really works!

I am happy! (Now i hope to get my printer to work too..., i at least have hope for this now)

Ronny D (luckivinatur) wrote :

P.S., thanks for kernel info... not rewrite but recompile, just in case. But for now i do no more feel that need. Thank you all for your information!

Ronny D (luckivinatur) wrote :

@t2000kw
"I had made a recommendation to my company that we investigate replacing at least sme of our PC operating systems with Linux, but because of watching this problem and seeing how the problem isn't addressed immediately, I won't recommend Ubuntu if they decide to switch some of the computers over to Linux. I don't think all 10,000+ PCs at PACCAR (worldwide) would be able to use a different (non-Windows) OS, but many of them could definitely be switched over."

No! You really must try it out! Ubuntu Feisty Fawn is by the way Linux but not all Linux is Ubuntu Feisty Fawn. Yet what are you talking about? This is about a scanner... and now... with scanbuttond it all works perfect and nobody is bothered. You must mix up, if i am not mistaken, the perfectionist attitude of the true geeks who want to program the best possible and they can in Linux. I can guarantee you this. Please do not judge the all of "Linux" because of this very small trivial issue; the people who were complaining were people used to the POWER of Linux and then 'we' do not accept such a little flaw..., but you see: once scanbuttond for to scan everyone was happy! Please do not mix up the perfectionist attitude of the true programming talented geeks and see this little scanner issue in proportion.

Linux is still the best; you just only have to choose wisely the distro for what you need. Most people here work with standalone machines, i suppose, but you want a whole OS for a whole company, i suppose; that is different stuff and you must know that people really understanding how to configure OS Linux will not mistakes and will not leave obstructions in the system but correct it. Really, i feel you do not yet fully grasp the true power of the Open Source. Please so do not judge / misjudge the all of Linux on this then but only trivial scanbuttond issue in just one distro of Linuxkernel.

And anyway: see how happy i am with this scanbuttond "bug solved" for my scanner! Also that is the power of Linux.

Ronny D (luckivinatur) wrote :

@t2000kw

I know you are worried about the 'usb suspend' issue and that you are responsible for your company, but the way some people talk here, is the tone and attitude of geeks among eachother and they are usually very perfectionist, is my experience, but also i as Linux-user am perfectionist in the computersystem i want to use, and that is why i trust those geeks in their skills and i know they are working on the issue. That is why i stick to Feisty. I know my printer must work... because i know someone with exactly the same distro as i have and exactly the same printer and the printer works fine. Linux is an ongoing project and always geeks around to make it better but meanwhile they can seem to be very competitive, but that is only the attitude that goes with perfectionism in programming and so on, because they know Linux is the best or that in Linux the best is possible. Just hire some true geeks for your company, invest a little in them and i suppose you will be fine and in the long run you could not get that quality for the same money ever. And if it is not the one Linux distro, then it is the other. Nowadays it all is clickclack mouse and knowing commandline is but extra, it is not necessary for an ordinary user but just another extra option, it can be really useful and efficient to know and if you can do both to some extent any Linux is extremely flexible, also for an ordinary user (non root). Each distro you can make look like you want it to look like. Just hire in the best geeks to do that for you, they know how to do it. They can even make Ubuntu look like Apple. Development of Linux is principally ongoing, it is multitasking until in most refined multitasking, all level, and this is my experience and i trust Linux will just only become even better all the time.

Michael Chang (thenewme91) wrote :

@t2000kw: If that is your decision, then by all means. Ubuntu is not for everyone (yet). However, I wouldn't be surprised if Canonical's support teams might have been able to provide you a custom workaround (if necessary) if you had bought the right kind of SLA, similar to how other companies deal with these sorts of bug reports. On the flip side -- what must-have features could Feisty possibly have had for you such that you couldn't continue using Edgy?

From what I can tell, Gutsy Tribe 4 seems to be well on its way to fixing this issue, although it currently has its own breakage in other areas.

llimaa (llimaa) wrote :

Debian just fixed it, with the lastest libssane!
http://packages.debian.org/changelogs/pool/main/s/sane-backends/sane-backends_1.0.19~cvs20070730-1/changelog

 sane-backends (1.0.19~cvs20070730-1) unstable; urgency=low

   * New CVS snapshot.
     + Workaround for CONFIG_USB_SUSPEND (closes: #434276).
   * debian/control, debian/rules:
     + Make libsane depend on makedev | udev on Linux (closes: #428220).
   * debian/libsane.postinst:
     + Change MAKEDEV invocation to invoke /dev/MAKEDEV instead of /sbin/MAKEDEV.
   * debian/control:
     + Do not {build-,}depend on libusb-dev nor libieee1284-dev on hurd-i386
       (closes: #434575).
     + Use ${binary:Version} instead of ${Source-Version}.
   * debian/rules:
     + Do not ignore make distclean errors.
   * debian/patches/30_sanei_scsi_sg_ioctl.dpatch:
     + Removed; merged upstream.

Have fun, maybe the package works on ubuntu. too.

llimaa (llimaa) wrote :

@Mark Shuttleworth

Hello Mark what would Canonical do, if a paying customer call and complain that his scanner is not working because of this bug?
Can you explain us the "real" advantage of being a support (paying) customer vs a community (not paying) customer using this bug as example?

Thank you advance
llimaa

Clay Weber (claydoh) wrote :

The sane devs "fixed" this in their latest cvs development versions by using a similar workaround to what the kernel devs are doing. they have just set up a new udev rule for each scanner to disable suspend for that device when it is plugged in, so it is not really all that different from the blacklist in the kernel. And if I am not mistaken (and it would be nice if I were), this ability to disable it this way needs the newer kernels so the latest sane snapshot would not work in Feisty.

If scanning is mission-critical, then as is suggested, using the LTS release would be the best action until Gutsy is released.

I used the scanbutton daemon in Feisty to successfully scan all my photos to my hard drive, and it is now working normally in Gutsy (LiDE 25 scanner)

Hi Mum,

Nothing I can do at the moment for your scanner, but confirmation below that
the next version 'Gutsy Gibbon' fixes the scanner issue. It's due out in 4
months but we can probably upgrade in around 2 months (for the pre-release
version). It's available right now but it could be a bit ropey upgrading at
this point (it's not ready yet).

Love,

Robert

On 11/08/07, Clay Weber <email address hidden> wrote:
>
> The sane devs "fixed" this in their latest cvs development versions by
> using a similar workaround to what the kernel devs are doing. they have
> just set up a new udev rule for each scanner to disable suspend for that
> device when it is plugged in, so it is not really all that different
> from the blacklist in the kernel. And if I am not mistaken (and it would
> be nice if I were), this ability to disable it this way needs the newer
> kernels so the latest sane snapshot would not work in Feisty.
>
> If scanning is mission-critical, then as is suggested, using the LTS
> release would be the best action until Gutsy is released.
>
> I used the scanbutton daemon in Feisty to successfully scan all my
> photos to my hard drive, and it is now working normally in Gutsy (LiDE
> 25 scanner)
>
> --
> some usb_devices fault if usb_suspend enabled
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Mark Shuttleworth (sabdfl) wrote :

@llimaa

I got this from the support team lead:

From a support position we'd do the following for a paid customer

1. Escalate the bug to the distro team
At the very least they'd look into the issue and make a firm decision on
whether it was possible to resolve and if so how it would be resolved
(this release or a future one). This gives you certainty of response.

2. Provide a workaround
If we were unable to resolve it in the current release (seems likely)
then we'd work with the customer on a workaround. This gives you a
best-practise workaround.

We've successfully avoided supporting customers with kernel recompiles
so far! For issues that can't be resolved in the current release we
sometimes provide new compiled kernels to them.

We would provide assistance to a customer on how to recompile their
kernel if there was no other way. In order to avoid errant issues we'd
ask them to use our standard kernel when reporting any future issues (so
if they saw a particular problem and it existed under our standard
kernel we'd consider that valid).

From a support perspective regressions are a problem. They particularly
adversely effect user experience (in my opinion). But, I think it's more
valid for LTS releases than the normal six month releases.

I think for the normal releases we value features; for the LTS we value
certainty. That dictates the approach to regressions.

Max (tancke) wrote :

I have the problem with my N670U.

Andrej (union-kjesi) wrote :

I also have problem with my umax astra net ia101 (using plustek driver). Problems started when I compiled that ($/#&# usb-suspend into kernel 2.6.20. I kept my old one, but now it doesn't matter with which I boot, with both my scanner doesn't work.

Problem was when scanning, lamp is turned off, so the picture was black and scanner head did NOT park (it stoped when returning back). These symptoms only showed in xsane and openoffice gui and not with scanimage.

Today I downloaded and installed sane-backends from cvs, but this didn't entirely fixed my problem.
Now lamp is on and scanned picture is fine, but scanner head still doesn't return, it still stops in the middle of parking.

Does anybody have clue, why I can't scan normally with my old kernel, without usb-suspend? This question bother me the most.

Sitsofe Wheeler (sitsofe) wrote :

This hit the Linux Kernel Mailing list as can be seen here:
http://lkml.org/lkml/2007/8/2/450
I have no idea why this was not mentioned in this bug report though (I only found out when browsing a different bug report). I wish someone had told me about this at the time as I may have wound up wasting my time and words in a meaningless fashion if the suggested change takes place...

Andrej,

I have the same problem with my BenQ (=Acer) scanner.

https://bugs.launchpad.net/ubuntu/+source/sane-backends/+bug/85488/comments/40

works for me, but not always......

Sometimes it looks if nothing happens and then, after a while (5-10
minutes) the scanner starts!!! I'm using xsane scanner program.

Good luck

Hans

Andrej schreef:
> I also have problem with my umax astra net ia101 (using plustek driver).
> Problems started when I compiled that ($/#&# usb-suspend into kernel
> 2.6.20. I kept my old one, but now it doesn't matter with which I boot,
> with both my scanner doesn't work.
>
> Problem was when scanning, lamp is turned off, so the picture was black
> and scanner head did NOT park (it stoped when returning back). These
> symptoms only showed in xsane and openoffice gui and not with scanimage.
>
> Today I downloaded and installed sane-backends from cvs, but this didn't entirely fixed my problem.
> Now lamp is on and scanned picture is fine, but scanner head still doesn't return, it still stops in the middle of parking.
>
> Does anybody have clue, why I can't scan normally with my old kernel,
> without usb-suspend? This question bother me the most.
>
>

Michael Chang (thenewme91) wrote :

@Sitsofe: It appears that in a later message, the patch was rejected. Those messages are from earlier this month.

That said, following the thread leads to this message, which I find somewhat amusing:
http://lkml.org/lkml/2007/8/3/81
Funny how someone said that "the chances are no distribution is going to ship with CONFIG_USB_SUSPEND enabled" -- when Feisty did precisely that, months ago!

However, it is good to see that lkml seems to have developed a bit of a routine for dealing with most USB quirks, assuming the new sane-backends in gutsy doesn't fix your problem. (Yes, they are still using the blacklist.) Provided you are willing to compile small patches into a kernel and report what level of quirkiness the device needs to be accommodated for, similar to what this user did, your quirky device can now be added to the upstream code in a matter of hours! :) (Of course, figuring out how to do the compile takes a bit of work...)
http://lkml.org/lkml/2007/8/14/131

Andrej (union-kjesi) wrote :

Thanks for posting link to Kernel mailing list.

I patched hub.c with this patch http://lkml.org/lkml/2007/8/2/438, and
problem went away.
Any other solution mention it this thread didn't helped.

Sitsofe Wheeler (sitsofe) wrote :

Andrej:
Just for the record it's probably worth posting your device's lsusb output. If you are testing Gutsy (with its 2.6.22 kernel) it might have also been able to workaround the problem without recompiling your kernel as mentioned in https://bugs.edge.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/85488/comments/363 .

As also mentioned elsewhere, it looks like sane is shipping udev scripts to unconditionally disable autosuspend for all scanners so if/once that later version of sane goes in it can be argued there is no point blacklisting scanners (will the existing scanners be removed?)...

Andrej (union-kjesi) wrote :

my lsusb for scanner:
Bus 001 Device 004: ID 1606:0060 Umax [hex] Astra 3400U

Actually I'm using 2.6.20 and gentoo (hope you don't mind to participate in this ubuntu thread, but it is the largest thread about this bug on the net).
2.6.20 don't support those power level suspend command as 2.6.22, so it was necessary to patch and compile it again.

Ronny D (luckivinatur) wrote :

Poooh... (sigh...) Let me, if necessary, sort of 'warn' you that non-techs who need computer as a tool for their non-tech work do not like to upgrade (is not the same as automatic update!) much nor frequently and that they therefore do not consider such (that they do not like to upgrade the whole computer system again and again new for new over and over again ) a "sin" at all, but on the contrary. I mean: it causes much restlessness for a non-tech who needs computer for higly intensely utmost concentration needed non-tech work to upgrade like a tech whose work is tech (in computer). It is but nice to see a bit more of the computersystem adding for pc a non-usb suspend once or twice..., but then after that: really wears me out totally, that is: I AM WORN OUT. Thanks for all the marvellous support of all those techs for kernel alternatives though... and thanks for finding the cause why the scanner and possibly other essential usb devices on pc mode did not and/or would not work when usb-suspend is on in the kernel. But woooo... i need to do MY work, can i? ;-) Thanks... Well..., this is but some sort of a "warning" to please especially with current Ubuntu think of all the non-tech people who need to perform non-tech work with their computer that already is costing them all of their concentration... I mean: they too have to make a living "you know". c.u.

Hello everybody,
on 2007-07-16, I wrote :
"I have been using fishor's kernel since the beginning of may 2007 and it works perfectly !
Thank you again, fishor !
I have just tried the latest Gutsy Gibbon LiveCD : my scanner did not work at all...
Then I have tried what fishor proposed on 2007-07-13 :
"... You should test every usb-device you have.
to disable autosuspend you should do:
echo -1 > /sys/module/usbcore/parameters/autosuspend
and only _after_ this attach you device..."
And it has worked nicely for me as well !
My scanner is :
Bus 001 Device 004: ID 04b8:0114 Seiko Epson Corp. Perfection 660"

I have just tried now Gutsy Tribe 4LiveCD and the Daily Build LiveCD 2007-08-22 .....
They did not work for my scanner !!!
I tried the above tweak "echo -1 > /sys/module/usbcore/parameters/autosuspend", etc...
It did not work this time ... Oups !!!
Back to square one ????
Or did I miss anything ?
Worrying, isn't it ?
Jean

Michael Chang (thenewme91) wrote :

At the time of writing, gutsy does not appear to contain the fixes from Debian's "sane-backends", unless the fix was merged in separate from the entire new version...

Debian: 1.0.19~cvs20070730-1
http://packages.debian.org/unstable/source/sane-backends
http://packages.debian.org/changelogs/pool/main/s/sane-backends/sane-backends_1.0.19~cvs20070730-1/changelog

Ubuntu: 1.0.19~cvs20070505-3ubuntu1
http://packages.ubuntu.com/gutsy/source/sane-backends
http://changelogs.ubuntu.com/changelogs/pool/main/s/sane-backends/sane-backends_1.0.19~cvs20070505-3ubuntu1/changelog

Until this occurs, the only way that this will be "fixed" is if the kernel has been fixed for your device. Did you try Tribe 3? According to https://bugs.launchpad.net/ubuntu/+source/sane-backends/+bug/85488/comments/351 , https://bugs.launchpad.net/ubuntu/+source/sane-backends/+bug/85488/comments/380 , and https://bugs.launchpad.net/ubuntu/+source/sane-backends/+bug/85488/comments/384 , it appears the "quirk listing" for your device _should_ have made it into the 2.6.22-9.19 kernel, and it appears also to be in the latest git, but my Gutsy machine says that the latest (again, at the time of writing) is 2.6.22-10.33, so I'm not 100% sure about other changes between that last message and now.

Changed in linux-source-2.6.20:
status: New → Fix Committed
Michael-250 (michael-250) wrote :

I have a USB Graphical LCD from Alphacool that doesn't work with USB_SUSPEND.
After a kernel-recompile with 'CONFIG_USB_SUSPEND=n' the display works fine!

lsusb:
Bus 003 Device 014: ID 060c:04eb EEH Datalink GmbH

Please add this to the quirks.c !!! Thanks.

Will autosuspend (sysfs option) be integrated in the new gutsy kernel? https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/111177

Brian Murray (brian-murray) wrote :

The autosuspend sysfs option is already in the Gutsy kernel.

Markus Kienast (elias1884) wrote :

Since again, I had to attach the same lspci file to several bugs, I want to make all devs and bug fixers aware of this bug https://bugs.launchpad.net/malone/+bug/3382

I find it is absolutely necessary to be able to attach hardware profiles to launchpad user accounts. I would then simply say, this happens on Feisty on my machine XY and you guys could immediately access the right record in the HW DB. Now you have to over and over again request us to send lspci outputs, lshw outputs, ....

Isn't it the purpose of programming to relieve us from things that we have to do over and over again in exactly the same way? Isn't that what computers are for, to do exactly these stupid always the same operations?

Please use your voice as bug fixers, as the people most annoyed by this, to get canonical to implement such a feature in launchpad!

Same problem here with this hardware:

jupiter linux # lsusb
Bus 002 Device 017: ID 04a9:220d Canon, Inc. CanoScan N670U/N676U/LiDE 20

If you keep the device awake with

while true; do sleep 1; cat /dev/bus/usb/002/017; done > /dev/null
(replace 002 and 017 with your bus and device id from lsusb)

you can do a preview and a full scan in e.g. kooka, but usually only one time. When it stops working, the scanning application has to be restarted. Looks like the backend or libusb cannot keep the device awake long enough.

Ideas for this found here: https://bugs.launchpad.net/ubuntu/+source/sane-backends/+bug/85488

Oleksij Rempel (olerem) wrote :

one more divice with brocken usb_autosuspend:
040d:6204 VIA Technologies, Inc. ( USB->IDE Adapter)
autosuspend will poweroff the harddrive attachet to this adapter, ewery time if there is no acces ... it is still posible use this device and it will be properly enabled agene if some thing trying to acces it agene. But it is not OK if it doing it ewery 10 seconds, i think after two weeks or some more it will be not workable.

Oliver Neukum (oliver-neukum) wrote :

That is not a kernel bug. You can set a default timeout for autosuspend in the module parameters of usbcore.

Oliver Neukum schrieb:
> That is not a kernel bug. You can set a default timeout for autosuspend
> in the module parameters of usbcore.
>

Oliver :)
How do you think this answer will working. OK i can do it because i now
there is some thing wrong and i will decrees timeout to about 2 min but
it still not the proper way usb_supend handle this device. So may be it
will work instead of half a year - one year.

The problem is it will be not correctly disabled. Instead of laptop way
, park heads and spin down the rotor; it will be just power off. Some
thing like this i had on poweroffing of my laptop with broken libata or
acpi. It sounded like some airplane crash. Now it is fixed but the same
issue appear with this adapter. It is the kernel problem but the
question is: is it usb_mass_storage, libata or usb_suspend issue?

MfG
Alexey

David Planella (dpm) wrote :

Slightly off-topic, but maybe worth mentioning:

I've noticed that if you've got a Feisty kernel (2.6.20-16-generic) and you add the line

options usbcore autosuspend=0

to /etc/modprobe.d/usb-core-options, as was suggested on comment #318 (https://bugs.launchpad.net/ubuntu/+source/sane-backends/+bug/85488/comments/318) not only will it have no effect -as the autosuspend option was only added in later kernel versions-, but also will stop your USB sticks from mounting.

So, if you are experiencing this side effect on Feisty, simply remove the above mentioned line from /etc/modprobe.d/usb-core-options, then run 'sudo update-initramfs -u' and reboot.

The effect of having that option enabled on my Feisty system was, as mentioned, that my USB stick would not automount (or be recognised at all), and the output of 'dmesg | grep usb' showing the following:

Sep 7 15:48:20 microstar kernel: [ 45.077629] usbcore: Unknown parameter `autosuspend'
Sep 7 15:48:20 microstar kernel: [ 45.079045] uhci_hcd: Unknown symbol usb_hcd_pci_suspend
Sep 7 15:48:20 microstar kernel: [ 45.079180] uhci_hcd: Unknown symbol usb_hcd_resume_root_hub
Sep 7 15:48:20 microstar kernel: [ 45.079262] uhci_hcd: Unknown symbol usb_hcd_pci_probe
Sep 7 15:48:20 microstar kernel: [ 45.079426] uhci_hcd: Unknown symbol usb_check_bandwidth
Sep 7 15:48:20 microstar kernel: [ 45.079574] uhci_hcd: Unknown symbol usb_disabled
Sep 7 15:48:20 microstar kernel: [ 45.079661] uhci_hcd: Unknown symbol usb_release_bandwidth
Sep 7 15:48:20 microstar kernel: [ 45.079980] uhci_hcd: Unknown symbol usb_claim_bandwidth
Sep 7 15:48:20 microstar kernel: [ 45.080183] uhci_hcd: Unknown symbol usb_hcd_pci_resume
Sep 7 15:48:20 microstar kernel: [ 45.080372] uhci_hcd: Unknown symbol usb_hcd_giveback_urb
Sep 7 15:48:20 microstar kernel: [ 45.080464] uhci_hcd: Unknown symbol usb_hcd_poll_rh_status
Sep 7 15:48:20 microstar kernel: [ 45.080628] uhci_hcd: Unknown symbol usb_hcd_pci_remove
Sep 7 15:48:20 microstar kernel: [ 45.080723] uhci_hcd: Unknown symbol usb_root_hub_lost_power

Oliver Neukum (oliver-neukum) wrote :

@fishor:

sorry I misunderstood you. Nevertheless, the correct handling in your case is to issue a command to spin down the disk in the suspend() method of the storage driver. It needs to be discussed and tested whether this can be done for all devices, or your device needs a new kind of quirk.
Could you report your bug to <email address hidden> ?

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

@Oliver

OK. I made it.
See:
[autosuspend] [ums] spin down the disk in the suspend() method of the
storage driver.

MfG
Alexey Fisher
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFG5Ch3VVCoNUmKuAcRAq1wAJwMs9vki6NjPY82EQ5KIT2UG7u6AQCffHro
g8fYu3RaTWnfwbxhXQGQt04=
=wtEE
-----END PGP SIGNATURE-----

Please add LiDE 50 to quirks.c, doing it manually and recompiling
kernel made the scanner work with SUSE 10.3 Beta 3:

04a9:2213 Canon, Inc. LiDE 50/LiDE 35

Sitsofe Wheeler (sitsofe) wrote :

It looks like regularly blacklisting USB devices in the kernel will soon be at an end. According to this git commit http://git.kernel.org/?p=linux/kernel/git/gregkh/usb-2.6.git;a=commit;h=7d2c592609a7da950b458403f1936d382f38ff9c USB autosuspend will be disabled for everything bar USB hubs. I suspect those devices (or perhaps categories of devices) that do suspend can probably be dealt with by HAL and perhaps put into some sort of whitelist. Some of the discussion leading up to the change can be read on http://kerneltrap.org/Linux/Whitelists_and_Blacklists (which mentions that nearly 2/3rds of all printers can't cope with USB autosuspend).

Will this change be backported to Ubuntu Gutsy?

Brian Murray (brian-murray) wrote :

Sistofe - Thanks for tracking down the upstream kernel commit. This patch has been committed to the Gutsy kernel tree. You can view it at http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-gutsy.git;a=commit;h=e818eec4b546562fb1215a8756805eadb0c390c2 .

Ben Collins (ben-collins) wrote :

linux-source-2.6.22 (2.6.22-11.34) gutsy; urgency=low

  [Alan Stern]

  * USB: disable autosuspend by default for non-hubs
    - LP: #85488

  [Ben Collins]

  * ubuntu: Enable LEDS_TRIGGERS and related options
    - Needed for iwlwifi
  * ubuntu: Add real ABI files for virtual flavour
  * ubuntu: Re-enable missing CONFIG_SERPENT for hppa64
    - Noticed by Lamont
  * ubuntu: Add linux-headers postinst to handle hooks
    - LP: #125816
  * ubuntu: Add support for /etc/kernel/headers_postinst.d/ to
    headers-postinst
    - LP: #120049
  * cell: Add binary-custom flavour "cell" to support ps3

  [Mattia Dongili]

  * sony-laptop: restore the last user requested brightness level on
    resume.
    - LP: #117331

  [Tejun Heo]

  * ata_piix: fix suspend/resume for some TOSHIBA laptops
    - LP: #139045
  * PCI: export __pci_reenable_device()
    - needed for ata_piix change

  [Tim Gardner]

  * Enable Sierra Wireless MC8775 0x6813
    - LP: #131167

  [Zhang Rui]

  * ACPI: work around duplicate name "VID" problem on T61
    - Noted by mjg59

 -- Ben Collins <email address hidden> Sun, 16 Sep 2007 22:31:47 -0400

Markus Kienast (elias1884) wrote :

This bug would also benefit from resolving bug #3382.

huffylinux (huffylinux) wrote :

After upgrading to 7.10 Gutsy, I no longer need to run the kernel that had no suspend compiled in it. My scanner is working fine.

After the initial post-upgrade restart, it did take awhile for the 1st preview to run after xsane was started. If xsane was left running, subsequent previews were as fast as usual.

Now that I shutdown and restarted, the scanner works as expected.

Eric

Markus Kienast (elias1884) wrote :

On Sun, 2007-10-28 at 02:13 +0000, huffy318 wrote:
> After upgrading to 7.10 Gutsy, I no longer need to run the kernel that
> had no suspend compiled in it. My scanner is working fine.
>
> After the initial post-upgrade restart, it did take awhile for the 1st
> preview to run after xsane was started. If xsane was left running,
> subsequent previews were as fast as usual.
>
> Now that I shutdown and restarted, the scanner works as expected.
>
> Eric
>

>From some bug report I got the impression, that this bug was actually
the reason for bug #88746. Is this the case?

Can somebody with the proper knowledge please advice.

Elias

pezcurrel (pezcurrel) wrote :

there's another workaround wich worked for me before using scanbuttond:
http://ubuntuforums.org/showpost.php?p=3126808&postcount=33

Oleksij Rempel (olerem) on 2007-11-23
Changed in libusb:
status: New → Invalid
Changed in linux-source-2.6.20:
status: New → Invalid
Markus Kienast (elias1884) wrote :

This one might actually be for the same reason:

Seagate snubs Linux
Latest drives show no visible means of support
http://www.theinquirer.net/gb/inquirer/news/2007/12/06/seagate-snubs-linux

What is reported in this article is most likely also caused by this bug. Maybe somebody starts to care now! While as seagate already pointed out, it will not be them.

Oleksij Rempel (olerem) wrote :

1. this is not a bug.
2. this report is used to collect information about usb devices which claim to support usb-suspend but do not do it correctly.

do you have this device?
if yes, please report lsusb and demsg about it.

Markus Kienast (elias1884) wrote :

I don't have this device. You should get in contact with Seagate
support. They have investigated the problem.

On Sun, 2007-12-09 at 09:42 +0000, fishor wrote:
> 1. this is not a bug.
> 2. this report is used to collect information about usb devices which claim to support usb-suspend but do not do it correctly.
>
> do you have this device?
> if yes, please report lsusb and demsg about it.
>

Robert North (russetrob) wrote :

Ok, I've reported success using the autosuspend workaround in bug #88746.
(See following comment: https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/88746/comments/188)
Now, should some of my hardware be blacklisted?
Is this now being done in kernel, or in udev rules?

I have also attached the lsusb -v output

Matt Zimmerman (mdz) on 2007-12-19
Changed in kdegraphics:
status: New → Invalid
Changed in linux-source-2.6.20:
status: Fix Committed → New
jack (ubuntu-jackh) wrote :

well, they seem to exist to manage communications with partners, but i
expect you'd worked that out!

they have an internal web site, but after a lot of verbiage it doesn't
really say any more than that.

jack

On Jan 31, 2008 10:33 AM, Bug Watch Updater -
<email address hidden><+ubuntu+jackh+509fb2199f.bugwatch#bugs.launchpad.net@
spamgourmet.com> wrote:

> ** Changed in: linux-source-2.6.20 (Debian)
> Status: Fix Committed => New
>
> --
> some usb_devices fault if usb_suspend enabled
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>

jengel (jengel-iname) wrote :

Since upgrading to Ubuntu 7.10 (kernel 2.6.22-14-generic) my Canon N1240U works perfectly. No suspend issues, no scanning black pages.

Changed in linux-source-2.6.20:
status: New → Fix Committed

This bug was marked "Fix Released" against the 2.6.22 Gutsy kernel. Just adding a note that the 2.6.20 Feisty kernel task is being closed as this does not qualify for a stable release update - https://wiki.ubuntu.com/StableReleaseUpdates . If anyone is still experiencing issues, please test against the latest Hardy Heron 8.04 Beta release and open a new bug report if the issue still exists: http://www.ubuntu.com/testing. Unfortunately, sifting through 450+ comments and 17 duplicate bug reports it not exactly easy on the development teams trying to resolve any remaining outstanding issues. Thanks.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix

Unfortunately Hewlett-Packard ScanJet 7400c also is affected by this bug.
I tried sane-backends-1.0.19 and my scanner was not working at all. I recompiled kernel without USB suspend support and still no go.
Downgraded to 1.0.17 and everything started to work.
With 1.0.18-r6 it's starts to scan but hangs in middle of A4 sheet.

~x86 2.6.24-gentoo-r4

Changed in linux-source-2.6.20:
status: Fix Committed → Fix Released

sane-backends 1.0.19 had some problems that while probing backends the epson2 backend did not properly release the device. This is fixed in 1.0.19-r2 - could you perhaps try this version?

I don't when the variable was first introduced but for canon lide25,
SANE_BACKENDS should be setted to plustek and not canon in make.conf
sane-find-scanner look for the sane db so no problem but scanimage -L needs the correct backend to be available to test the device.
This solved the problem for me.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Joshia (joshia-setiawan) wrote :

I have the same problem on my Hardy (2.6.27-7-generic). My scanner (UMAX, forgot the type) at home works perfectly without any hassles of scanning any document.

But I'm now outside my hometown and I have to scan some pictures for my homework. Here, there is an EPSON Perfection 660. Because no drivers released for Windows Vista for this model, I have been trying to use my hardy.

I just plugged it into one of my USB socket in my laptop. At first, it was unable to access the scanner at all so I installed the firmware file to "/usr/share/sane/snapscan" and input the firmware file location to the config file in "/etc/sane.d/snapscan.conf".

Then I opened Xsane. It worked fine in a few seconds when I tried to scan a book cover in Xsane, and in several seconds, Xsane was no longer able to access my scanner. I restarted Xsane but now It didn't even able to contact my scanner. Then I restarted my computer for several times and it didn't work at all.

So, I googled around and tried to install scanbuttond: No luck. Using other programs didn't give me any outcome to be able to access my scanner. I have also tried to use the command-line method "scanimage" and it produces the same error as in Xsane.

Please help me as I have to finish my work during next two weeks.

This should work for permanent settings:

sudo echo "options usbcore autosuspend=-1" > /etc/modprobe.d/usb_suspend
after this us should reboot.

this is for temporary:

sudo su
echo "-1" > /sys/module/usbcore/parameters/autosuspend

after this you need replug you scanner.

-1 mean - disable autosuspend
2 mean - enable autosuspend with delay 2 seconds

Clay Weber (claydoh) wrote :

Can we consider this bug closed?

On Tue, 2010-08-03 at 21:00 +0000, Clay Weber wrote:
> Can we consider this bug closed?
>
Yes.

--
Peter Miller <email address hidden>

Martin Paulo (martin-paulo) wrote :

yes.

On 4 August 2010 07:00, Clay Weber <email address hidden> wrote:

> Can we consider this bug closed?
>
> --
> some usb_devices fault if usb_suspend enabled
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
==================================================================

Martin Paulo, BSc.
Software Developer

Tel : +61-3-9434 2508 (Home)
Tel : 04 205 20339 (Mobile)
Site: http://www.thepaulofamily.net

"Nobody goes there any more. It's too crowded" - Yogi Berra.

Changed in sane-backends (Ubuntu):
status: Confirmed → Fix Released
Clay Weber (claydoh) on 2010-08-03
Changed in xsane:
status: Confirmed → Invalid
t2000kw (donhellen) wrote :

On Tue, 03 Aug 2010 21:00:27 -0000, you wrote:

>Can we consider this bug closed?

Yes

marvin duran (marvinduran) wrote :

yup!

<firma>
La provocación por invocación de un adjetivo insulso. Sino he caído con
besos, ¿caeré con provocaciones?
http://www.marvinduran.com
</firma>

2010/8/3 t2000kw <email address hidden>

> On Tue, 03 Aug 2010 21:00:27 -0000, you wrote:
>
> >Can we consider this bug closed?
>
> Yes
>
> --
> some usb_devices fault if usb_suspend enabled
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Yes

On Tue, Aug 3, 2010 at 8:51 PM, marvin duran <email address hidden> wrote:

> yup!
>
> <firma>
> La provocación por invocación de un adjetivo insulso. Sino he caído con
> besos, ¿caeré con provocaciones?
> http://www.marvinduran.com
> </firma>
>
>
> 2010/8/3 t2000kw <email address hidden>
>
> > On Tue, 03 Aug 2010 21:00:27 -0000, you wrote:
> >
> > >Can we consider this bug closed?
> >
> > Yes
> >
> > --
> > some usb_devices fault if usb_suspend enabled
> > https://bugs.launchpad.net/bugs/85488
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
>
> --
> some usb_devices fault if usb_suspend enabled
> https://bugs.launchpad.net/bugs/85488
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Dean Loros (autocrosser) wrote :

Please close--has not been a problem for quite a while...

Jeremy Vies (jeremy.vies) wrote :

I guess so.

Le mardi 03 août 2010 à 21:00 +0000, Clay Weber a écrit :
> Can we consider this bug closed?
>

--

Changed in sane-backends (Ubuntu):
assignee: nobody → brethes (jacques-brethes)
Changed in linux:
importance: Unknown → Medium
Changed in sane-backends:
importance: Unknown → Medium

I guess this is history...

Changed in sane-backends:
status: In Progress → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.